# Generated by Makefile. Do not edit.

commit b65284d973219cec41ed6b8f9905c130eeb5721d
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun May 19 14:55:57 2013 +0200

    Pre-release version bump for 1.23.1

 configure.ac     |    2 +-
 doc/geany.1.in   |    2 +-
 doc/geany.html   |   14 +++++++-------
 doc/geany.txt    |    4 ++--
 geany.nsi        |    4 ++--
 geany_private.rc |    4 ++--
 win32-config.h   |    2 +-
 wscript          |    2 +-
 8 files changed, 17 insertions(+), 17 deletions(-)

commit 9b015febb26cc6649edc5ce0a41dd7728e44e9f6
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun May 19 15:44:03 2013 +0300

    Update NEWS for 1.23.1

 NEWS |    8 ++++++++
 1 file changed, 8 insertions(+)

commit eea7ffbff0c5bf14a9662483d989c4213f1392f7
Author: unknown <enrico.troeger@uvena.de>
Date:   Sat May 18 15:45:18 2013 +0200

    Fix #3613096 by remembering the directory Geany was started from
    
    This is one for more workaround for the current directory handling
    on Windows: we now remember the directory from which Geany was started
    to use this to resolve relative paths used to load files from
    the command line.

 src/main.c |   10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit a97b56e19c36bd083e0c8290da7870e6721927a9
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Mar 15 15:54:00 2013 +0100

    Fix our custom styles under KDE and for people using gtk-chtheme
    
    We have a custom RC file defining various styles we need, and we want
    the user to be able to override them (e.g. if they want -- or need --
    other colors).  Fair enough, one would simply call gtk_rc_parse() with
    the appropriate filename.  However, the styling rules applies in the
    order they are loaded, then if we load our styles after GTK has loaded
    the user's ones we'd override them.
    
    There are 2 solutions to fix this:
    1) set our styles' priority to something with lower than "user"
       (actually "theme" priority because rules precedence are first
       calculated depending on the priority no matter of how precise the
       rules is, so we need to override the theme).
    2) prepend our custom style to GTK's list while keeping priority to
       user (which is the default), so it gets loaded before real user's
       ones and so gets overridden by them.
    
    One would normally go for 1 because it's ways simpler and requires less
    code: you just have to add the priorities to your styles, which is a
    matter of adding a few ":theme" in the RC file.  However, KDE being a
    bitch it doesn't set the gtk-theme-name but rather directly includes
    the style to use in a user gtkrc file, which makes the theme have
    "user" priority, hence overriding our styles.  So, we cannot set
    priorities in the RC file if we want to support running under KDE,
    which pretty much leave us with no choice but to go with solution 2,
    which unfortunately requires writing ugly code since GTK don't have a
    gtk_rc_prepend_default_file() function.  Thank you very much KDE.
    
    Though, as a side benefit it also makes the code work with people using
    gtk-chtheme, which also found it funny to include the theme in the user
    RC file.

 data/geany.gtkrc |   14 +++++++-------
 src/main.c       |   45 +++++++++++++++++++++++++++++++++++++++++++++
 src/ui_utils.c   |   11 +----------
 3 files changed, 53 insertions(+), 17 deletions(-)

commit ee1cd3a3e41a01f83bdd17f80d7cf21c213fb4a4
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Mar 10 15:24:47 2013 +0100

    Fix various typos and wordings in the NEWS
    
    Also remove a duplicated item.

 NEWS |   15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 44e0b8ee902e2a8a1bf908af59a97f5e4457b7ae
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Mar 10 14:57:04 2013 +0100

    Update documentation images

 doc/images/build_menu_commands_dialog.png      |  Bin 38736 -> 53471 bytes
 doc/images/find_dialog.png                     |  Bin 13437 -> 17199 bytes
 doc/images/find_in_files_dialog.png            |  Bin 21522 -> 25211 bytes
 doc/images/main_window.png                     |  Bin 79859 -> 73968 bytes
 doc/images/pref_dialog_edit_completions.png    |  Bin 32267 -> 54063 bytes
 doc/images/pref_dialog_edit_display.png        |  Bin 28532 -> 47272 bytes
 doc/images/pref_dialog_edit_features.png       |  Bin 24576 -> 38688 bytes
 doc/images/pref_dialog_edit_indentation.png    |  Bin 28526 -> 40477 bytes
 doc/images/pref_dialog_files.png               |  Bin 33684 -> 49600 bytes
 doc/images/pref_dialog_gen_misc.png            |  Bin 26360 -> 42951 bytes
 doc/images/pref_dialog_gen_startup.png         |  Bin 30596 -> 42976 bytes
 doc/images/pref_dialog_interface_interface.png |  Bin 26399 -> 42346 bytes
 doc/images/pref_dialog_interface_notebook.png  |  Bin 26334 -> 41551 bytes
 doc/images/pref_dialog_interface_toolbar.png   |  Bin 26575 -> 38006 bytes
 doc/images/pref_dialog_keys.png                |  Bin 35278 -> 46262 bytes
 doc/images/pref_dialog_printing.png            |  Bin 25137 -> 35005 bytes
 doc/images/pref_dialog_templ.png               |  Bin 28827 -> 41548 bytes
 doc/images/pref_dialog_tools.png               |  Bin 26815 -> 36754 bytes
 doc/images/pref_dialog_various.png             |  Bin 34526 -> 47404 bytes
 doc/images/pref_dialog_vte.png                 |  Bin 32067 -> 45780 bytes
 doc/images/replace_dialog.png                  |  Bin 16726 -> 21677 bytes
 21 files changed, 0 insertions(+), 0 deletions(-)

commit 5456fa3df978d242ddd81d96201172fd6324ef5e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Mar 10 13:46:19 2013 +0100

    Regenerated the HTML manual

 doc/geany.html |   70 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 40 insertions(+), 30 deletions(-)

commit c917f126678dc26a9afcee444905c52cb8488bfd
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Mar 10 13:42:24 2013 +0100

    Set release date

 NEWS           |    2 +-
 doc/geany.1.in |    2 +-
 doc/geany.txt  |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 6ec0d98e0ad0c7ae515801f6db6d34fb28177ee3
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Mar 10 15:08:46 2013 +0100

    Update NEWS for UAC fix

 NEWS |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 1613f93ad0adbb32faf77172930f981cff4ff8a5
Author: Igor Shaula <gentoo90@gmail.com>
Date:   Mon Feb 18 20:24:15 2013 +0200

    Disable UAC Virtualization on Windows
    
    Includes an application manifest embedded into the .exe resources.

 geany.exe.manifest |   18 ++++++++++++++++++
 geany_private.rc   |    2 ++
 2 files changed, 20 insertions(+)

commit 51c541faa223b5a8cab3eddc0bee49172b85ca2d
Author: tomboy64 <tomboy64@sina.cn>
Date:   Thu Feb 21 06:14:31 2013 +0100

    Add support for the Go programming language
    
    - syntax highlighting
    - support for the go compiler (as opposed to gccgo)

 NEWS                          |    1 +
 data/filetype_extensions.conf |    3 ++-
 data/filetypes.Go.conf        |   54 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 57 insertions(+), 1 deletion(-)

commit d5440c141f9acaa38dff42b12ae1a20f6c23cac8
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Mar 10 09:37:13 2013 +0100

    Another update of Hebrew translation.

 po/he.po |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit c317a93857a6904ad11dba87d7138871a8584314
Author: YosefOr <yosefor3@walla.com>
Date:   Sat Mar 9 20:39:15 2013 +0200

    Small improvement of Hebrew translation

 po/he.po | 2688 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1346 insertions(+), 1342 deletions(-)

commit b2b413470648854320a05954a8581a49c622d0a5
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Mar 9 14:26:33 2013 +0100

    Small improvement of German translation

 po/de.po |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit a6ab76e7ef47e923eee924254780fde4504dc3b3
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Mar 8 20:36:52 2013 +0100

    Update NEWS to reference more bugs and list latest changes

 NEWS |   24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)

commit 771934ae29151e0c16c642fa4739f0aaec5cfd62
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Mar 8 18:32:47 2013 +0100

    Don't translate program name directive in Pascal file template
    
    Pascal code only accepts an identifier in the program name directive,
    but {untitled} wildcard gets replaced with a translated string that may
    not be a valid Pascal identifier.  Moreover, the directive being part
    of the source of the program it's good practice for it to be in English
    anyway.
    
    Closes #3602314.

 data/templates/files/program.pas |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e5e697e5c385d62f686b92b2cca09d940b974863
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Mar 8 17:19:31 2013 +0100

    Upate of Catalan translation

 NEWS     |    2 +-
 po/ca.po | 3277 ++++++++++++++++++++++++++++++--------------------------------
 2 files changed, 1563 insertions(+), 1716 deletions(-)

commit b01f31c09bfdd0988b4fb94bc154683f0bedaff6
Merge: f439a5b e01d5a5
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Fri Mar 8 00:08:58 2013 +0100

    Merge branch 'gentoo90-context-menu-icon'

commit e01d5a568b893a42a089272d8063c35548dfb9e7
Author: Igor Shaula <gentoo90@gmail.com>
Date:   Sat Feb 9 18:47:05 2013 +0200

    Add icon to Explorer context menu entry

 geany.nsi |    1 +
 1 file changed, 1 insertion(+)

commit f439a5be422ede003b279caf1df73f2d90393195
Merge: af23739 a3b9283
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu Mar 7 00:20:39 2013 -0800

    Merge pull request #117 from kgkilo/hu_po
    
    Updated Hungarian translations

commit a3b9283e5bf1a9c84c116e0a2ebad16a3b7cdbac
Author: kilo aka Gabor Kmetyko <kg.kilo@gmail.com>
Date:   Wed Mar 6 23:42:46 2013 +0100

    Updated Hungarian translations

 po/hu.po | 1597 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 714 insertions(+), 883 deletions(-)

commit af237391fc4e1701b6dc6ed98f7081440ca89210
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Mar 6 19:47:47 2013 +0100

    Update of German translation

 po/de.po | 1676 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 743 insertions(+), 933 deletions(-)

commit a552c82a748d1eaed7ec04cc442e0fbbef288af0
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Mar 6 19:28:52 2013 +0100

    Update of Brazilian Portuguese translation

 po/pt_BR.po |   22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit e5245eb053cd02b72827de41f7509512fcbc551c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Mar 5 23:52:45 2013 +0100

    Increase the number of lines where filename is replaced upon save as
    
    Search the first 4 lines (instead of 3) for Python templates support.

 doc/geany.txt  |    2 +-
 src/document.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5b2366964938b54005eec39d392fc5cbea81682b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Mar 5 23:32:17 2013 +0100

    Fix replacing file name in headers upon save as
    
    The code used a Scintilla-specific regex escape (\<) which doesn't work
    anymore since the time we switched to full PCRE (which uses \b).  So,
    update the regular expression to PCRE.
    
    Also, properly escape the name to search in the unlikely case it has
    regular expression escapes in it;  and properly check for word
    boundaries even when not searching with an extension.

 src/document.c |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 77e142bb73cb12777a37ae792784b171b667d0c4
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Mar 5 19:44:31 2013 +0100

    Update of Slovenian translation

 po/sl.po |   27 ++++++++++++---------------
 1 file changed, 12 insertions(+), 15 deletions(-)

commit da5deda697677b508cde71a14e44ee671b07f64c
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Mar 5 19:38:46 2013 +0100

    Update of Kazakh translation

 NEWS     |    3 +-
 po/kk.po |   95 ++++++++++++++++++++++++++------------------------------------
 2 files changed, 42 insertions(+), 56 deletions(-)

commit bf7a399ac9ef4bdbe02feaf53696dd62ca70214c
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Mar 5 19:35:46 2013 +0100

    Update of Brasilian Portugese translation

 po/pt_BR.po | 3262 ++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1547 insertions(+), 1715 deletions(-)

commit 58eb5507753c97fa99c31fb65d25ebcb5a2fab21
Merge: 775ef62 0053431
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Mar 4 09:17:23 2013 -0800

    Merge pull request #115 from xhacker/patch-1
    
    Update zh_CN.po

commit 00534315b38a8f388ab35af8f0e3b5c527fdddc2
Author: LIU Dongyuan <liu.dongyuan@gmail.com>
Date:   Mon Mar 4 23:33:25 2013 +0800

    Update zh_CN.po

 po/zh_CN.po |   79 ++++++++++++++++++++++++-----------------------------------
 1 file changed, 32 insertions(+), 47 deletions(-)

commit 775ef628688c69de34640e12666aed5762a80dff
Author: Enrico Troeger <enrico.troeger@uvena.de>
Date:   Sun Mar 3 23:33:25 2013 +0100

    Set the working directory on Windows very early to also help code which uses relative resource paths

 src/main.c |   25 ++++++++++++++-----------
 1 file changed, 14 insertions(+), 11 deletions(-)

commit fc9795010c504937815fd1c6ecfc9c592aa52e6a
Author: Enrico Troeger <enrico.troeger@uvena.de>
Date:   Sun Mar 3 23:28:22 2013 +0100

    Install geany.gtkrc with the Windows installer

 geany.nsi |    1 +
 1 file changed, 1 insertion(+)

commit 48dc4789ce22a072f4c1ca881d7bc45adb5f57d8
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Mar 3 08:10:44 2013 +0100

    Update of Turkish translation

 po/tr.po | 3307 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 1512 insertions(+), 1795 deletions(-)

commit 39bb444ee53ec47fcd60b9e6e36e27bd9e45bc16
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Mar 1 19:35:41 2013 +0100

    Small update on NEWS

 NEWS |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cf61d5d4258f18c2efe7cf006b909c6fc42d88a3
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Mar 1 19:35:12 2013 +0100

    Update of Italian translation

 po/it.po | 3271 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 1542 insertions(+), 1729 deletions(-)

commit 964a20fb79cb1a55d663e4b519077d4952c817fe
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Mar 1 19:31:30 2013 +0100

    Update of Slovenian translation

 po/sl.po | 1593 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 734 insertions(+), 859 deletions(-)

commit 8db196d2b3838418478b06d637f8310cbdd8a4d7
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Mar 1 19:29:28 2013 +0100

    Update of Galician translation

 po/gl.po | 1724 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 764 insertions(+), 960 deletions(-)

commit d289e3da20a046283e7ead405bc93e00405b9251
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Mar 1 15:19:14 2013 +0100

    Fix comment toggling in PHP and HTML with bottom-up selection
    
    If current position is not at selection start (e.g. bottom-up
    selection), editor_get_filetype_at_current_pos() will start returning
    improper result as soon as the first buffer change since the style at
    the actual current position will have been invalidated and not yet
    recomputed.

 src/editor.c |   21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit d34ca178683c65df9f8bd4959c052966ef482b0b
Author: Lex <elextr@gmail.com>
Date:   Fri Mar 1 12:52:20 2013 +1100

    Correct description of build_activate_menu_item()
    
    Correct the documentation comment for build_activate_menu_item() for
    plugin documentation.

 src/build.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 58bffcbcceb4627b615e09f81cb3f1ebe9975352
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Feb 25 21:07:28 2013 +0100

    Update of Spanish translation

 NEWS     |    2 +-
 po/es.po | 2681 +++++++++++++++++++++++++++++++-------------------------------
 2 files changed, 1335 insertions(+), 1348 deletions(-)

commit 181e91ed8891b7461710de5db40252cf1e417a00
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Feb 25 21:01:47 2013 +0100

    Update of Lithuanian translation

 po/lt.po |   94 ++++++++++++++++++++------------------------------------------
 1 file changed, 30 insertions(+), 64 deletions(-)

commit 8228c3f3df96d235f8e3dec486ad570c47898e27
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Feb 24 15:33:45 2013 +0100

    Update of French translation

 po/fr.po | 1721 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 743 insertions(+), 978 deletions(-)

commit 5997f6a6931bdbabf921a1e351fc3d72e516787f
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Feb 24 14:54:48 2013 +0100

    Update of Japanese translation

 po/ja.po |   71 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 28 insertions(+), 43 deletions(-)

commit 48b370e2c4a76f57c8ccd0584557fcfa007cf71c
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Feb 23 14:29:32 2013 +0100

    Update of po-files for string freeze of Geany 1.23

 po/ar.po    | 2184 +++++++++++++++++-----------------
 po/ast.po   | 2205 ++++++++++++++++++-----------------
 po/be.po    | 2204 ++++++++++++++++++-----------------
 po/bg.po    | 2202 ++++++++++++++++++-----------------
 po/ca.po    | 2205 ++++++++++++++++++-----------------
 po/cs.po    | 2210 ++++++++++++++++++-----------------
 po/de.po    | 2333 ++++++++++++++++++++-----------------
 po/el.po    | 2202 ++++++++++++++++++-----------------
 po/en_GB.po | 2205 ++++++++++++++++++-----------------
 po/es.po    | 2166 ++++++++++++++++++----------------
 po/et.po    | 2111 ++++++++++++++++-----------------
 po/eu.po    | 1849 +++++++++++++++--------------
 po/fa.po    | 2205 ++++++++++++++++++-----------------
 po/fi.po    | 3529 ++++++++++++++++++++++++++++---------------------------
 po/fr.po    | 3503 ++++++++++++++++++++++++++++++-------------------------
 po/gl.po    | 2205 ++++++++++++++++++-----------------
 po/he.po    | 3020 +++++++++++++++++++++++------------------------
 po/hi.po    |  968 +++++++--------
 po/hu.po    | 3458 +++++++++++++++++++++++++++++-------------------------
 po/id.po    | 2205 ++++++++++++++++++-----------------
 po/it.po    | 1864 +++++++++++++++--------------
 po/ja.po    | 2170 +++++++++++++++++-----------------
 po/kk.po    | 2167 +++++++++++++++++-----------------
 po/ko.po    | 2194 +++++++++++++++++-----------------
 po/lb.po    | 2200 ++++++++++++++++++-----------------
 po/lt.po    | 2166 ++++++++++++++++++----------------
 po/mn.po    | 2184 +++++++++++++++++-----------------
 po/nl.po    | 1462 ++++++++++++-----------
 po/nn.po    | 2174 +++++++++++++++++-----------------
 po/pl.po    | 2165 ++++++++++++++++++----------------
 po/pt.po    | 2166 ++++++++++++++++++----------------
 po/pt_BR.po | 2166 ++++++++++++++++++----------------
 po/ro.po    | 2202 ++++++++++++++++++-----------------
 po/ru.po    | 2132 +++++++++++++++++----------------
 po/sk.po    | 2164 +++++++++++++++++-----------------
 po/sl.po    | 2209 ++++++++++++++++++-----------------
 po/sr.po    |  998 ++++++++--------
 po/sv.po    | 2161 ++++++++++++++++++----------------
 po/tr.po    | 2167 ++++++++++++++++++----------------
 po/uk.po    | 2202 ++++++++++++++++++-----------------
 po/vi.po    | 2206 ++++++++++++++++++-----------------
 po/zh_CN.po | 3750 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po | 2197 +++++++++++++++++-----------------
 43 files changed, 50443 insertions(+), 46192 deletions(-)

commit 2b5944d4c21799acbcb7641375f8866c80f149e8
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Feb 23 14:23:49 2013 +0100

    Update of Hindi translation

 po/hi.po |10999 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 5475 insertions(+), 5524 deletions(-)

commit d49b8fbbc0322191b24d70541f06143db6e13634
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Feb 22 14:57:15 2013 +0100

    Update NEWS for new items

 NEWS |   14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 99fbe0bd8ca3882fc4c2c96b4e241301def74ca1
Author: Dimitar Zhekov <dimitar.zhekov@gmail.com>
Date:   Thu Feb 21 19:27:06 2013 +0200

    Fix plugin_add_toolbar_item insertion order

 src/pluginutils.c |    9 ++++-----
 src/ui_utils.c    |   30 +++++++++++++++++++-----------
 src/ui_utils.h    |    3 ++-
 3 files changed, 25 insertions(+), 17 deletions(-)

commit 9d88bd24634f155c111e25476456530ecd244fda
Author: Max Musatov <m1kc@yandex.ru>
Date:   Fri Feb 22 05:12:37 2013 +0400

    Update the main.d template to use a more standard prototype for main()

 data/templates/files/main.d |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5acb92a3cb429e76b26a034ba55bc7fa81481431
Author: Lex <elextr@gmail.com>
Date:   Thu Feb 21 17:07:42 2013 +1100

    More verbose update to manual for Terminal setting
    
    Provide a more complete description of the use of the changed
    Terminal setting in several places.

 doc/geany.txt |   51 ++++++++++++++++++++++++++++++++-------------------
 1 file changed, 32 insertions(+), 19 deletions(-)

commit d577c57e7841f5fef780e114e3fba68ea6808830
Author: Lex <elextr@gmail.com>
Date:   Thu Feb 21 15:02:13 2013 +1100

    Add missing slash in default command

 src/keyfile.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7d6ad6d50fb8b6801448144b1195302f1a3a26d2
Merge: 5df79bc dba93f3
Author: Lex <elextr@gmail.com>
Date:   Thu Feb 21 13:05:54 2013 +1100

    Merge branch 'master' of https://github.com/geany/geany

commit 5df79bc13515d4da647be4185c0c7a47dcb4f82a
Author: Lex <elextr@gmail.com>
Date:   Thu Feb 21 12:42:30 2013 +1100

    Adjust Terminal tooltip in preferences
    
    Adjust to say it is a full command and that %c is substituted by
    the geany_run_script path.

 data/geany.glade |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dba93f3854c9efaaf7e07d09b4d80dd33f09f954
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Feb 21 01:16:04 2013 +0100

    Allow Quit keybinding to be configured
    
    This removes the last unmodifiable keybinding relying on GTK's
    defaults, and allows somebody to change this keybinding.

 data/geany.glade  |    1 -
 doc/geany.txt     |    2 ++
 src/keybindings.c |    5 +++++
 src/keybindings.h |    1 +
 4 files changed, 8 insertions(+), 1 deletion(-)

commit a0dc8af9c4238fe435c7f45ef4c39c358b6803d2
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Feb 21 00:57:06 2013 +0100

    Fix GTK default keybindings being still active after being unbound
    
    If we provide an AccelGroup when creating a menu item using a sock ID,
    it installs the GTK default accelerator, accelerator we can't remove
    since we don't know about it.  So, don't give an AccelGroup so GTK
    don't install it's own accelerator.
    
    This fix also required to properly update the accelerator on some item
    we used to ignore since the update didn't work anyway (since the GTK
    accelerator was displayed instead).
    
    Note that this doesn't fix the fact the editor popup menu accelerators
    are never updated after startup so they don't get updated before
    restart after changing a keybinding in the preferences.  This is a
    separate (and less problematic) issue due to a simple lack of update.
    
    Closes #1912683 and #3599251.

 data/geany.glade  |   27 ---------------------------
 doc/geany.txt     |    8 --------
 src/keybindings.c |   18 ++++++++++++------
 3 files changed, 12 insertions(+), 41 deletions(-)

commit 3c2dc547cdc9343573765ec0502effc00a61f39b
Author: Lex <elextr@gmail.com>
Date:   Thu Jan 24 18:25:44 2013 +1100

    Make the tools->terminal setting more flexible.
    
    Previously was hard coded with options to suit xterm.  As this is
    being replaced with different terminal programs some do not accept
    the same options.  The new setting stores the whole command with
    %c to substitute the script name.  Upgrades old settings if a new
    one does not exist.

 doc/geany.txt |    3 ++-
 src/build.c   |   44 +++++++++++++++-----------------------------
 src/keyfile.c |   29 +++++++++++++++++++++++++----
 3 files changed, 42 insertions(+), 34 deletions(-)

commit eab86bc6adf76764046a2d3959953309ba3cd658
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Feb 14 00:50:59 2013 +0100

    win32: Fix crash with -v if stream redirection setup fails
    
    Properly check for errors when setting up debug console stream
    redirections so if it fails it doesn't crash everything.

 src/win32.c |   71 +++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 54 insertions(+), 17 deletions(-)

commit 1646504a46e4b5af354406fd1f819da0dd6754fa
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Feb 12 23:48:10 2013 +0100

    Fix build with bleeding edge GLib
    
    CTags defines __unused__ and __printf__, which not only are reserved
    identifiers, but actually are used by GNUC as arguments of the
    __attribute__() extension.  This used to work because no code seeing
    those definitions was trying to use them as __attribute__() argument,
    but a recent change in GLib made it use it in atomic operation, which
    are used by the tagmanager, which itself includes the CTags header
    defining those, leading to a weird build failure -- since __unused__
    expanded to an unexpected value.
    
    To fix this, rename CTag's __ununsed__ to UNUSED and __printf__ to
    PRINTF.

 tagmanager/ctags/c.c            |    4 ++--
 tagmanager/ctags/ctags.c        |    4 ++--
 tagmanager/ctags/general.h      |    8 ++++----
 tagmanager/ctags/lregex.c       |   30 +++++++++++++++---------------
 tagmanager/ctags/lua.c          |    2 +-
 tagmanager/ctags/main.h         |    2 +-
 tagmanager/ctags/options.h      |    2 +-
 tagmanager/ctags/parse.c        |    2 +-
 tagmanager/ctags/parse.h        |    2 +-
 tagmanager/src/tm_file_entry.c  |    2 +-
 tagmanager/src/tm_project.c     |    2 +-
 tagmanager/src/tm_source_file.c |    2 +-
 tagmanager/src/tm_workspace.c   |    2 +-
 13 files changed, 32 insertions(+), 32 deletions(-)

commit 76a6e945ec6d64e7eeae0ae81263850da670462a
Merge: 36581d6 2203d8f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Feb 12 15:01:00 2013 +0100

    Merge branch 'touste/abaqus-support'

commit 2203d8f085801492f7863c2c5c468e968df789bc
Author: Baptiste Pierrat <baptiste.pierrat@gmail.com>
Date:   Sun Jan 6 13:50:49 2013 +0100

    Abaqus: remove styles not actually used by the lexer

 data/filetypes.abaqus      |   11 +++--------
 src/highlightingmappings.h |   11 +++--------
 2 files changed, 6 insertions(+), 16 deletions(-)

commit d4e61bf0933038b3de8f7a16425e82bb51c44285
Author: Baptiste Pierrat <baptiste.pierrat@gmail.com>
Date:   Mon Dec 3 15:17:43 2012 +0100

    Add support for Abaqus files
    
    Support for Abaqus (.inp) files, including scintilla lexer and tag
    parser.
    
    Signed-off-by: Baptiste Pierrat <baptiste.pierrat@gmail.com>

 data/filetype_extensions.conf     |    1 +
 data/filetypes.abaqus             |   67 ++++
 scintilla/Makefile.am             |    1 +
 scintilla/lexers/LexAbaqus.cxx    |  620 +++++++++++++++++++++++++++++++++++++
 scintilla/makefile.win32          |    1 +
 scintilla/scintilla_changes.patch |    2 +-
 scintilla/src/Catalogue.cxx       |    1 +
 src/filetypes.c                   |    6 +
 src/filetypes.h                   |    1 +
 src/highlighting.c                |    9 +
 src/highlightingmappings.h        |   30 ++
 src/symbols.c                     |    9 +
 tagmanager/ctags/Makefile.am      |    1 +
 tagmanager/ctags/abaqus.c         |  126 ++++++++
 tagmanager/ctags/makefile.win32   |    2 +-
 tagmanager/ctags/parsers.h        |    4 +-
 wscript                           |    1 +
 17 files changed, 879 insertions(+), 3 deletions(-)

commit 36581d6638236768e3ba00b1da2c15e795bc95f3
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Feb 11 03:31:05 2013 +0100

    Move document status color definition to the gtkrc file
    
    This allows for users to change the colors if needed (may be useful
    with some themes or color blind persons).
    
    On the sidebar, only the color is applied for now.  This is because
    it is not possible to style cell renderers through RC files, all having
    to be done in the code;  so currently only the color is applied.

 data/geany.gtkrc |   17 +++++++++++
 src/document.c   |   84 ++++++++++++++++++++++++++++++++++++++++++++----------
 src/document.h   |    2 ++
 src/ui_utils.c   |   11 ++-----
 4 files changed, 90 insertions(+), 24 deletions(-)

commit 23ef01ede828ffd565ff1acf6a025fb193deb591
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Feb 11 03:20:49 2013 +0100

    Allow user gtkrc to override our gtkrc styles
    
    This allows the user to override the custom styles we apply to some
    widgets, like e.g. the unmatched search entry colors.
    
    We use the :theme priority rather than the :application one because
    it seems that the :application one cannot override theme settings, even
    if it matches against a name the theme don't have rules for but have
    rules for the class of that widget.  This prevents a theme from
    overriding our styles, but it's unlikely a theme actually provide some
    specific stuff for us anyway.

 data/geany.gtkrc |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit dbd6d12160f6d2c4baffca33cf226b4aef6be782
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Feb 11 03:17:12 2013 +0100

    Fix not using monospace font for unmatched search entries
    
    This bug was introduced by RC file switch.

 data/geany.gtkrc |    1 +
 1 file changed, 1 insertion(+)

commit 923c8582e35776f1a4c2414880d79dae1dbe2968
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Feb 6 19:34:21 2013 +0100

    Extend i18n-section of NEWS a bit

 NEWS |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fb7196cf3fce687b089e6cf19c4320abda7d2ccf
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Feb 6 19:30:19 2013 +0100

    Update of German translation

 po/de.po | 2362 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1210 insertions(+), 1152 deletions(-)

commit eab804bae48ee89c4ba6d6b82c35544525c07c54
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Feb 6 19:19:31 2013 +0100

    Update of Swedish translation

 po/sv.po |   13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit 41456c18092a0fa0ff672dfcda2edb4a01ce7e87
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Feb 5 21:27:05 2013 +0100

    Replace ru_RU with simple ru inside credantials as we only have one Russiian translation

 THANKS      |   12 ++++++------
 src/about.c |    2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

commit f087542ef8ffbc5a7860d32e95818d25f4f4a914
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Feb 5 21:25:48 2013 +0100

    Added first version of Serbian translation

 THANKS      |    1 +
 po/sr.po    | 5466 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/about.c |    1 +
 3 files changed, 5468 insertions(+)

commit 92f2bb89707775a85efe852a161f0c1697460d41
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Feb 5 00:41:53 2013 +0100

    Update of Finnish translation

 po/fi.po | 4273 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 2128 insertions(+), 2145 deletions(-)

commit 159d712bd6a60d10d5ec2d2d858429a5ebe7222d
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Feb 5 00:40:31 2013 +0100

    Adding first version of Hindi translation

 THANKS      |    1 +
 po/hi.po    | 5528 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/about.c |    1 +
 3 files changed, 5530 insertions(+)

commit 82f259f6b54a778953fc6715a40e78705977a08c
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Feb 3 12:35:05 2013 +0100

    Print filename of failed plugin

 scripts/plugin_test.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit cfed3c3f23258a2947a44e295d777c9a2e660891
Author: Felix Totir <felix.totir@gmail.com>
Date:   Thu Jan 31 17:42:04 2013 +0100

    Add missing D keywords
    
    Closes #3595187.

 data/filetypes.d |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b02e7e4d04257d43f9cc79d54395f245e238ef49
Author: Felix Totir <felix.totir@gmail.com>
Date:   Thu Jan 31 16:29:04 2013 +0100

    Ignore more build files

 .gitignore |    2 ++
 1 file changed, 2 insertions(+)

commit 911e5dca1761a0aad090e981a60ed5c937d01c46
Author: Stephen Coleman <omegacoleman@gmail.com>
Date:   Thu Jan 31 18:33:37 2013 +0800

    Detect SCons configuration files as Python
    
    SCons configuration files are plain Python, just without the .py
    extension.

 data/filetype_extensions.conf |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5fa4aa5d64695f919e3028ff75b4a1e55e119fd1
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Jan 31 18:07:14 2013 +0100

    Early NEWS update

 NEWS |  101 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 100 insertions(+), 1 deletion(-)

commit 258ea70ad7941e8f9a443d5bae4941c803df8ee6
Merge: b7b4e4d a661a0e
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Jan 26 05:01:31 2013 -0800

    Merge pull request #95 from YosefOr/patch-7
    
    Update Hebrew translator

commit b7b4e4d6c95d88ffea008621faf4cd438eb489b9
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Jan 25 18:48:30 2013 +0100

    Update of Hebrew translation

 po/he.po |  174 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 95 insertions(+), 79 deletions(-)

commit a661a0e3ea3f4bb82343eb0d6e2252492053d6d7
Author: YosefOr <yosefor3@walla.com>
Date:   Wed Jan 23 23:50:56 2013 +0200

    Update po/he.po
    
    Update Hebrew translator

 po/he.po |  174 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 95 insertions(+), 79 deletions(-)

commit bd7b56a80f2c5c250b3f3d8d94f05a7d3513e73d
Author: Lex <elextr@gmail.com>
Date:   Thu Jan 17 15:50:40 2013 +1100

    Comment future fixes/additions
    
    Note where Asciidoc features need to be supported that would
    prevent code sharing with other markup parsers.

 tagmanager/ctags/asciidoc.c |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit dcac3e164c804729f49750510c3491205e2ff19d
Author: Lex <elextr@gmail.com>
Date:   Thu Nov 1 13:44:11 2012 +1100

    Fix indent setting
    
    Asciidoc requires single line comments to be at the start of the line
    so do not want indent.

 data/filetypes.asciidoc |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 280e9eeb1c515bd05603d2d501636abb330dfe13
Author: Lex <elextr@gmail.com>
Date:   Thu Nov 1 13:29:59 2012 +1100

    Correct Names of levels
    
    Make the top level the Document, make lower levels translatable
    although they do not normally show in Symbols pane.

 src/symbols.c |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 8294ea2c2e948894fd211d0ea55b34f12e76d553
Author: Lex <elextr@gmail.com>
Date:   Thu Nov 1 11:14:55 2012 +1100

    Add Asciidoc filetype
    
    Add a filetype for Asciidoc with symbol parser, but not styling.

 data/filetype_extensions.conf   |    1 +
 data/filetypes.asciidoc         |   35 +++++++
 src/filetypes.c                 |    8 ++
 src/filetypes.h                 |    1 +
 src/symbols.c                   |   11 +++
 tagmanager/ctags/Makefile.am    |    1 +
 tagmanager/ctags/asciidoc.c     |  205 +++++++++++++++++++++++++++++++++++++++
 tagmanager/ctags/makefile.win32 |    2 +-
 tagmanager/ctags/parsers.h      |    4 +-
 wscript                         |    1 +
 10 files changed, 267 insertions(+), 2 deletions(-)

commit 76aec0852af3450aabb296dff17f878571d25a49
Author: Lex <elextr@gmail.com>
Date:   Thu Jan 17 15:27:39 2013 +1100

    Revert incomplete Asciidoc filetype commit.
    
    This reverts commit da78a44a1cfeb753e0d06d7175e882f508ad9788.

 data/filetypes.asciidoc     |   35 --------
 tagmanager/ctags/asciidoc.c |  208 -------------------------------------------
 2 files changed, 243 deletions(-)

commit 320f10c85b8381dc5e8dc1daec2fbceb050a9a83
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jan 15 22:28:00 2013 +0100

    Don't install themes index on non-Windows
    
    On non-Windows, the icons are installed on the system's icon directory,
    so installing our index.theme might override the system's one.  Since
    it's highly unlikely the theme index is missing on non-Windows, just
    don't install it.

 icons/Makefile.am       |    5 ++++-
 icons/tango/Makefile.am |    4 +++-
 wscript                 |   14 ++++++++++----
 3 files changed, 17 insertions(+), 6 deletions(-)

commit b80c8cd2a98b2623a85f36d5b28f55abf2e82a92
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jan 14 19:20:01 2013 +0100

    Fix custom icons on Windows
    
    Install all icons on Windows, as well as a theme index because the
    system doesn't have one and one is required.
    
    Also install the theme index on non-Windows, although it shouldn't
    be necessary because the system is likely to provide one.

 icons/Makefile.am       |    5 +++-
 icons/index.theme       |   60 +++++++++++++++++++++++++++++++++++++++++++++++
 icons/tango/Makefile.am |    4 ++++
 icons/tango/index.theme |   33 ++++++++++++++++++++++++++
 wscript                 |    7 +++---
 5 files changed, 104 insertions(+), 5 deletions(-)

commit e506a370e9c3b4661f0832afa1c0fb2c90d61d76
Author: Duncan de Wet <duncandewet@gmail.com>
Date:   Mon Jan 14 09:26:51 2013 +1300

    Added HTML5 self-closing tags
    
    http://www.w3.org/TR/html-markup/syntax.html#syntax-elements

 src/utils.c |   10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit c45a4f3e1be6287249a25dc39ef44e020d180c1a
Merge: 1a7a266 ba09cb3
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Jan 8 23:06:45 2013 -0800

    Merge pull request #92 from YosefOr/patch-6
    
    Update Hebrew Translation

commit ba09cb310b80bcbfd218ad05f9f2fb91280ac07e
Author: YosefOr <yosefor3@walla.com>
Date:   Tue Jan 8 20:52:55 2013 +0200

    Update Hebrew Translator

 po/he.po | 1364 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 686 insertions(+), 678 deletions(-)

commit 1a7a26682d20e55d8d3db478678896fc5fb4cfa6
Author: Matthew Brush <matt@geany.org>
Date:   Sun Jan 6 19:15:00 2013 -0800

    Add doc for terminal background image and regen HTML

 doc/geany.html |  878 ++++++++++++++++++++++++++++----------------------------
 doc/geany.txt  |    3 +
 2 files changed, 447 insertions(+), 434 deletions(-)

commit adfc0985dbc0e4c223051e6225e4863b79a43898
Merge: d236b40 15fddad
Author: Matthew Brush <matt@geany.org>
Date:   Sun Jan 6 19:11:17 2013 -0800

    Merge branch 'krofna/master'

commit d236b40ce9e9898e2d904ff209aab00fee7720e1
Merge: 93ff558 ede5d36
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Jan 6 04:46:28 2013 -0800

    Merge pull request #90 from hroncok/master
    
    Updated the Czech translation

commit ede5d362041baeccf83959d23973b67009103dea
Author: Miro Hrončok <miro@hroncok.cz>
Date:   Sat Jan 5 19:11:13 2013 +0100

    Updated the Czech translation

 po/cs.po |  113 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 50 insertions(+), 63 deletions(-)

commit 93ff558544d0ae3c2c13f885a0c65b454328ee85
Merge: d2a8a11 7688999
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jan 1 19:17:18 2013 +0100

    Merge branch 'use-named-icons'

commit 7688999e62f658bdddb3cde77563db620dcc8774
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jan 1 19:14:50 2013 +0100

    Optimize PNG icons

 icons/16x16/classviewer-macro.png |  Bin 332 -> 257 bytes
 icons/16x16/classviewer-other.png |  Bin 287 -> 273 bytes
 icons/48x48/geany.png             |  Bin 4361 -> 4314 bytes
 3 files changed, 0 insertions(+), 0 deletions(-)

commit 3783eed0ea0a032fae43f031305c1605aa245c8f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 18 02:33:28 2012 +0200

    Use icons from the theme in the completion popup
    
    Drop the XPM icons and load the PNG ones through the theme mechanisms,
    like we do for the symbols tree.

 icons/16x16/Makefile.am            |    4 ----
 icons/16x16/classviewer-method.xpm |   27 ---------------------
 icons/16x16/classviewer-var.xpm    |   27 ---------------------
 src/editor.c                       |   46 ++++++++++++++++++++++++++++++++----
 4 files changed, 42 insertions(+), 62 deletions(-)

commit dabae1f94f13a85b672746aa0a177d3534048d9f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Oct 17 22:18:54 2012 +0200

    Replace images embedded in the sources with proper themable icons
    
    Additionally, provide SVG versions of the icons as well as them
    rendered at the various icons sizes.

 configure.ac                            |    8 +
 data/geany.glade                        |   11 +-
 icons/16x16/Makefile.am                 |   13 +-
 icons/16x16/geany-build.png             |  Bin 0 -> 822 bytes
 icons/16x16/geany-close-all.png         |  Bin 0 -> 760 bytes
 icons/16x16/geany-save-all.png          |  Bin 0 -> 785 bytes
 icons/24x24/Makefile.am                 |    6 +
 icons/24x24/geany-build.png             |  Bin 0 -> 1259 bytes
 icons/24x24/geany-close-all.png         |  Bin 0 -> 1193 bytes
 icons/24x24/geany-save-all.png          |  Bin 0 -> 1157 bytes
 icons/32x32/Makefile.am                 |    6 +
 icons/32x32/geany-build.png             |  Bin 0 -> 1759 bytes
 icons/32x32/geany-close-all.png         |  Bin 0 -> 1612 bytes
 icons/32x32/geany-save-all.png          |  Bin 0 -> 1806 bytes
 icons/48x48/Makefile.am                 |   13 +-
 icons/48x48/geany-build.png             |  Bin 0 -> 2834 bytes
 icons/48x48/geany-close-all.png         |  Bin 0 -> 2659 bytes
 icons/48x48/geany-save-all.png          |  Bin 0 -> 2565 bytes
 icons/Makefile.am                       |   13 +-
 icons/scalable/Makefile.am              |   13 +-
 icons/scalable/geany-build.svg          |  162 ++++
 icons/scalable/geany-close-all.svg      |  446 ++++++++++
 icons/scalable/geany-save-all.svg       |  657 +++++++++++++++
 icons/tango/16x16/Makefile.am           |    7 +
 icons/tango/16x16/geany-save-all.png    |  Bin 0 -> 708 bytes
 icons/tango/16x16/geany-save-all.xcfgz  |  Bin 0 -> 2630 bytes
 icons/tango/24x24/Makefile.am           |    4 +
 icons/tango/24x24/geany-save-all.png    |  Bin 0 -> 1722 bytes
 icons/tango/32x32/Makefile.am           |    4 +
 icons/tango/32x32/geany-save-all.png    |  Bin 0 -> 2406 bytes
 icons/tango/48x48/Makefile.am           |    4 +
 icons/tango/48x48/geany-save-all.png    |  Bin 0 -> 3981 bytes
 icons/tango/Makefile.am                 |    1 +
 icons/tango/scalable/Makefile.am        |    4 +
 icons/tango/scalable/geany-save-all.svg |  613 ++++++++++++++
 po/POTFILES.in                          |    1 -
 src/Makefile.am                         |    2 +-
 src/images.c                            | 1371 -------------------------------
 src/main.c                              |    4 +-
 src/ui_utils.c                          |   98 +--
 src/ui_utils.h                          |   12 -
 wscript                                 |   69 +-
 42 files changed, 2023 insertions(+), 1519 deletions(-)

commit bd02c009a12d78dc90fe8eacd3cbc4ce5e117e05
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Oct 15 15:23:30 2012 +0200

    Use the Geany icon from the theme everywhere

 data/geany.glade |    3 +
 src/about.c      |   10 +-
 src/dialogs.c    |   14 +--
 src/images.c     |  319 ------------------------------------------------------
 src/main.c       |   22 ++--
 src/prefs.c      |    4 -
 src/symbols.c    |   16 +--
 src/ui_utils.c   |    3 -
 src/ui_utils.h   |    1 -
 9 files changed, 20 insertions(+), 372 deletions(-)

commit 003435e16ded66be6084a017a3169a1fc8a61bcb
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jan 1 19:04:59 2013 +0100

    Revert "Make use of theme icon a various pref."
    
    A preference for an icon doesn't make sense;  if someone don't like
    her theme's icon she should either switch to another theme, override
    that specific icon or don't bother.
    
    This reverts commit 6897cd49c69535c6563e56ae011c6f8382fec485.

 src/keyfile.c |    4 ----
 src/main.c    |   20 ++++++--------------
 src/main.h    |    2 --
 3 files changed, 6 insertions(+), 20 deletions(-)

commit b9c1c9093890506b85fc6bd3db9da410717bdd20
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jan 1 19:04:47 2013 +0100

    Revert "Alter default and document icon setting"
    
    This reverts commit 306eaab3916649567c892215ad8390b9d39de82f.

 doc/geany.txt |    2 --
 src/keyfile.c |    2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

commit d2a8a115878d035c148f991e40f4ad226807276d
Merge: 35db698 1bad155
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jan 1 18:54:08 2013 +0100

    Merge branch 'printing-with-scintilla'

commit 1bad1551d7ab0827c3a4d9c08783424003123122
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Nov 2 21:54:51 2012 +0100

    Scintilla: properly update the Pango contexts for the target surface
    
    This fixes drawing on a surface that has different settings (like
    scaling) than the display surface, by performing the measurements on a
    layout properly set up for the target surface.
    
    In practice, this fixes e.g. printing on a scaled surface.
    
    (Applied to Scintilla HG as 74c71632dd1afa726b0f1608d13413e0864da9b0)

 scintilla/gtk/PlatGTK.cxx |    4 ++++
 1 file changed, 4 insertions(+)

commit 35db698eea8b5c25d8885ad6e94270ff26932b7f
Merge: 4449a4d c597e5b
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu Dec 27 23:06:48 2012 -0800

    Merge pull request #89 from andreasots/master
    
    Update to Estonian translation

commit c597e5b3902acc83d237d90dffd027122c83fa3f
Author: Andreas Ots <andreasots@gmail.com>
Date:   Thu Dec 27 16:39:48 2012 +0200

    po/et.po: 970 translated, 4 fuzzy, 267 untranslated

 po/et.po |  242 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 123 insertions(+), 119 deletions(-)

commit 3a7453bec4c5fdd41b735bd464abdc485063296b
Author: Andreas Ots <andreasots@gmail.com>
Date:   Thu Dec 27 15:32:27 2012 +0200

    po/et.po: Git trashed the translations

 po/et.po |    4 ----
 1 file changed, 4 deletions(-)

commit 8b9c9d8e432052dfe80b301a5220f8bafd659f4e
Author: Andreas Ots <andreasots@gmail.com>
Date:   Thu Dec 27 15:31:00 2012 +0200

    po/et.po: Header fix

 po/et.po |    6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit e22d8d7e99dba936abcdb8d33867e9f21cdad645
Merge: 4c3b44f 4e950a3
Author: Andreas Ots <andreasots@gmail.com>
Date:   Thu Dec 27 15:28:19 2012 +0200

    Merge?

commit 4c3b44f9d71eb5b1cc82a286b7a4a5838583b7b4
Author: Andreas Ots <andreasots@gmail.com>
Date:   Thu Dec 27 13:23:50 2012 +0200

    po/et.po: 650 translated, 2 fuzzy, 589 untranslated

 po/et.po |  470 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 240 insertions(+), 230 deletions(-)

commit 4e950a39db1bb046572b0d1c7ba1be922f3969e6
Author: Andreas Ots <andreasots@gmail.com>
Date:   Thu Dec 27 13:23:50 2012 +0200

    po/et.po: 650 translated, 2 fuzzy, 589 untranslated

 po/et.po |   58 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 29 insertions(+), 29 deletions(-)

commit 7234f848d8bc3ae64b415307b540622cd8f025ef
Author: Andreas Ots <andreasots@gmail.com>
Date:   Thu Dec 27 12:26:04 2012 +0200

    po/et.po: 623 translated, 2 fuzzy, 616 untranslated

 po/et.po | 1582 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 833 insertions(+), 749 deletions(-)

commit 4449a4dc37512d41bdea5520e40a07523745a83b
Merge: 40cef34 7511e2b
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu Dec 27 08:24:22 2012 +0100

    Merging a first version of Estonian translation

commit 7511e2b0df042467678c9522dbcc74bba0895606
Author: Andreas Ots <andreasots@gmail.com>
Date:   Thu Dec 27 00:50:04 2012 +0200

    po/et.po: Translation update: 365 translated, 6 fuzzy, 870 untranslated

 po/et.po |  192 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 99 insertions(+), 93 deletions(-)

commit 283638c3d2ad7428d6c855b91008ccdbc3003ddc
Author: Andreas Ots <andreasots@gmail.com>
Date:   Wed Dec 26 21:57:00 2012 +0200

    po/et.po: Initial version of estonian translation: 278 translated, 2 fuzzy, 961 not translated

 po/et.po | 5435 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 5435 insertions(+)

commit 40cef34326f172abeb8ee20949fb7cac25518ee3
Author: Matthew Brush <matt@geany.org>
Date:   Tue Dec 18 15:47:06 2012 -0800

    Fix "default" named style mapping for filetypes.conf
    
    "default" was mapped to "value" which is normally a string-like
    style rather than a "default" type of style which make some themes
    that set different background colour for strings to look weird for
    config files highlighting.

 data/filetypes.conf |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 15fddad323dbd28c147f987936161c09455029ae
Author: Mislav Blažević <krofnica996@gmail.com>
Date:   Tue Dec 18 10:26:48 2012 +0100

    Implement terminal background image

 data/geany.glade |   77 +++++++++++++++++++++++++++++++++++++++++++++++-------
 src/keyfile.c    |    2 ++
 src/prefs.c      |    7 +++++
 src/vte.c        |   10 +++++++
 src/vte.h        |    1 +
 5 files changed, 87 insertions(+), 10 deletions(-)

commit 6241a4520f79b9cab1b61f6114abb2d86d45e555
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Dec 16 10:21:01 2012 +0100

    Remove KEY prefix from GDK_KEY_BackSpace constant
    
    GDK_KEY_* is GTK3 and doesn't work on older GTK versions.

 plugins/filebrowser.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 550b2c1219bb54ff42e346b37212e30e64cebee7
Author: Steven Blatnick <sblatnick@proofpoint.com>
Date:   Thu Dec 13 10:45:08 2012 -0700

    Use a backspace to browse up a directory.

 plugins/filebrowser.c |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 6ca889c78b0c1e089a35e0100b5232b0e6760a76
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Dec 12 13:59:29 2012 +0000

    Add Document->Clone keybinding

 doc/geany.txt     |    2 ++
 src/document.c    |   15 +++++++++++----
 src/document.h    |    2 ++
 src/keybindings.c |    5 +++++
 src/keybindings.h |    1 +
 5 files changed, 21 insertions(+), 4 deletions(-)

commit 83e7afc1991c882890d6e28027e0ec26552c0944
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Dec 10 22:37:20 2012 +0100

    Fix return value of search_find_text() when the match is out of bounds
    
    When performing a regular expression search on a range, and there is a
    match past the end of the range, search_find_text() used to improperly
    return the position of the match, but without filling the
    Sci_TextToFind structure.  This lead to the calling code assume there
    was a match, and maybe read the uninitialized fields in the
    Sci_TextToFind structure, thus leading to undefined behavior.
    
    So, fix search_find_text() so it properly returns -1 when there is a
    match but it is outside the bounds.

 src/search.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 89d6b42503876c23824a7cfb7411732932c13db6
Merge: 288adaf 67fccdb
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Dec 8 14:48:56 2012 -0800

    Merge pull request #82 from YosefOr/patch-5
    
    Update po/he.po

commit 288adaffd719a7027a4bb6e9fa28db11f7dbaacd
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Dec 6 19:38:51 2012 +0100

    Python tag parser: fix detection of keywords followed by a tab (\t)
    
    The Python tag parser used to require a space, and a space only, as the
    character following a keyword.  Fix this so it allows any whitespace.

 tagmanager/ctags/python.c |   25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit ed2cf2e5f423eb484400637a54b58c9876b88b0a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Dec 4 20:07:54 2012 +0100

    VTE: Grab focus upon middle click
    
    When pasting with the X primary clipboard (middle mouse button), the
    user expects the focus to be grabbed by the widget receiving the data.
    
    No idea why the VTE itself don't grab upon middle click, though.

 src/vte.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 67fccdba88f2d1d11b18c684222839b42f8b3d96
Author: YosefOr <yosefor3@walla.com>
Date:   Tue Dec 4 19:40:52 2012 +0200

    Update po/he.po

 po/he.po | 1917 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 970 insertions(+), 947 deletions(-)

commit d01974151248c268fd89d593a7965c35ae10f104
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Dec 2 18:03:14 2012 +0100

    Properly register the statusbar context ID
    
    Getting the statusbar context ID using the context registration API
    allows for other (namely, plugins) to register their own context
    without a risk of overriding Geany's one.

 src/ui_utils.c |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 8c4db25396842c4c4ad08958068e399119e5947d
Author: Quentin Glidic <sardemff7+git@sardemff7.net>
Date:   Sat Dec 1 23:37:21 2012 +0100

    Fix file saving behavior with "allow_always_save"
    
    This preference should only be used for UI action, not for other file
    saving triggering.

 src/callbacks.c |    2 +-
 src/document.c  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8f96498323914d543ab98c7fa9c850f2de551379
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Dec 2 16:45:17 2012 +0100

    Fix a typo in the docs

 doc/geany.txt |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit c4b245776151aa36a05fbc361ce2c2e3efd0279e
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Nov 28 13:50:27 2012 +0000

    Fix clashing button mnemonic in detect/reload dialog (#3587465)

 src/document.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3205eeaa714222114fd82063fe51f9656d3e635d
Author: Evandro Borracini <evandro.borracini@gmail.com>
Date:   Tue Nov 27 17:05:51 2012 +0000

    Reduce unnecessary redraws when typing

 src/document.c |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit a1022060d29e35d4ace6fced2acc277a56f20f65
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Nov 27 14:16:30 2012 +0000

    Show Find in Files status summary on Windows

 src/search.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 48f7efaa68c295d2da6f1e1616312e2dcdd24df4
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Nov 27 13:30:36 2012 +0000

    Ignore D angle brackets e.g. Foo!(x < 2)

 tagmanager/ctags/c.c |    2 ++
 1 file changed, 2 insertions(+)

commit 0b63957e5961c90b081066cadd9d63001dec0d90
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Nov 23 16:18:50 2012 +0000

    Add 'Move Line(s)' menu items in Edit->Commands (and popup menu)
    
    Although using menu items for these is not very practical, it helps
    discoverability, and they're more useful and intuitive than 'Transpose
    Current Line'.

 data/geany.glade  |   36 ++++++++++++++++++++++++++----------
 src/callbacks.c   |   10 ++++++++--
 src/callbacks.h   |    4 ----
 src/keybindings.c |   11 ++++++-----
 4 files changed, 40 insertions(+), 21 deletions(-)

commit b5b31fb43d1fc1102aa9163105756a7eff777095
Merge: 43c49ba 535b7a6
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Nov 23 15:43:21 2012 +0000

    Merge branch 'document-clone'

commit 535b7a6b6e2c0b8e536a7e6d6ce82db92e06c8c1
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sat Nov 17 16:22:23 2012 +0000

    Copy selected text only (when present) for Document->Clone

 doc/geany.txt  |    5 +++--
 src/document.c |   11 +++++++----
 2 files changed, 10 insertions(+), 6 deletions(-)

commit 22d5b4795bdfc9bf5f0544d448e6d8cb8a852510
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Nov 16 14:27:23 2012 +0000

    Update manual for Document->Clone command

 doc/geany.txt |    7 +++++++
 1 file changed, 7 insertions(+)

commit 5200450b854cbef1cb67d42d83767fdfbfbe3803
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Nov 16 14:14:18 2012 +0000

    Clone line breaking, auto indent, indent type, indent width settings

 src/document.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 06661f36a530c409487d6f03351afb0799f520ff
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Nov 16 14:04:19 2012 +0000

    Mark cloned documents as modified
    
    This helps avoid accidental data loss.

 src/document.c |    1 +
 1 file changed, 1 insertion(+)

commit c0a8a2b806956fc7e48ac756985dd68c7ed04441
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Nov 16 13:57:26 2012 +0000

    Disable 'Save As' dialog Rename button unless document exists on disk

 src/dialogs.c |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 85006b6d0b5c2d2aee48d700f646fecc48ed1034
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Nov 15 16:08:56 2012 +0000

    Add 'Document->Clone' menu command
    
    This copies the current document text and properties into a new
    document, similar to the old Save As 'Open file in a new tab'
    option, but easier to understand and decoupled from saving.
    
    One notable difference is that the new document does not copy the
    filename - the old behaviour was confusing and error-prone for the
    user (e.g. editing two documents with the same filename).

 data/geany.glade |   10 ++++++++++
 src/document.c   |   11 ++++++-----
 src/document.h   |    2 --
 3 files changed, 16 insertions(+), 7 deletions(-)

commit 3949cf730435c023215f8b8757144b6fb369a367
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Nov 15 16:06:27 2012 +0000

    Remove 'Open file in a new tab' save as option

 src/dialogs.c |   68 +++++++++++----------------------------------------------
 1 file changed, 13 insertions(+), 55 deletions(-)

commit 43c49ba46d79e57314fd977465dd3819c2522c4f
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Nov 21 13:31:30 2012 +0000

    Make sci_get_contents() accept -1 for buffer_len to get all text

 src/sciwrappers.c |   18 ++++++++++++------
 src/tools.c       |    6 ++----
 2 files changed, 14 insertions(+), 10 deletions(-)

commit fe1da1891a4a21263c477dbd4c9cbc63d32d466d
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Nov 21 12:39:26 2012 +0000

    Fix sci_get_contents() buffer length parameter name & doc
    
    sci_get_contents() takes buffer length as a parameter, not the
    number of characters to copy. Buffer length includes a null byte.

 src/sciwrappers.c |   11 +++++------
 src/sciwrappers.h |    2 +-
 2 files changed, 6 insertions(+), 7 deletions(-)

commit c9f68df68334fd1fad10481bf06aea06b3125a24
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Nov 21 13:07:37 2012 +0000

    Fix cancelling Project Close when showing the unsaved changes dialog

 src/project.c |   15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 9256dd660ccae42d9366cbc004074b3e1e0fb3fa
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Nov 19 22:44:16 2012 +0100

    Update of Dutch translation

 po/nl.po | 2026 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1011 insertions(+), 1015 deletions(-)

commit 3f7eec5910473b8b4b9ed08adb3a51a58db6b2f8
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Nov 19 22:38:45 2012 +0100

    Fix a typo insode geany.glade

 data/geany.glade |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da78a44a1cfeb753e0d06d7175e882f508ad9788
Author: Lex <elextr@gmail.com>
Date:   Sat Nov 17 19:19:27 2012 +1100

    Add Asciidoc filetype with symbol parser
    
    Add an Asciidoc filetype and a basic symbol parser based on ReST.
    See the FIXMEs for ReST to Asciidoc changes still to be done.

 data/filetypes.asciidoc     |   35 ++++++++
 tagmanager/ctags/asciidoc.c |  208 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 243 insertions(+)

commit 9df961f8c580ad0546c28fa185372140d16c1d1c
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Nov 15 15:40:05 2012 +0000

    Scroll cursor in view after line breaking

 src/editor.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8fa21ff3baf773badf65548338d3b5ea7d47080
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Nov 15 13:34:19 2012 +0000

    Never strip trailing spaces for Diff documents

 doc/geany.html |   17 ++++++++++++-----
 doc/geany.txt  |   13 +++++++++----
 src/editor.c   |    4 ++++
 3 files changed, 25 insertions(+), 9 deletions(-)

commit e9e41ee47bb2b53e5a42224477d0ea43471e110f
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Nov 8 16:56:38 2012 +0000

    Move D, Vala unique keyword aliases out of keywordTable
    
    Instead put them in initialize*Parser().

 tagmanager/ctags/c.c |   20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 523e0d7c11c6c99035793a14c2ccc92fabe0c0b3
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Nov 8 15:53:19 2012 +0100

    Fix reStructuredText comment marker
    
    Closes #3585377.

 data/filetypes.restructuredtext |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a742ff354673d6a593b65666f6b158e6f6c8bba3
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Nov 5 16:15:48 2012 +0000

    Parse scope for D nested template blocks (#3582833)

 tagmanager/ctags/c.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 7d4ffb1e4596f9dc2283f3251aae63781de0aea0
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sat Nov 3 16:02:40 2012 +0000

    Fix parsing D 'static assert' (#3582833)

 tagmanager/ctags/c.c |    2 ++
 1 file changed, 2 insertions(+)

commit 4423de1a7223bc85ea89d706e699d2344d8dd36a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Nov 2 15:22:37 2012 +0100

    Printing: fix improper margins when printing to a physical device
    
    We were improperly adding the printing device margins to the area
    where we print, leading to wider margins on physical outputs than
    on PDF or preview outputs (which have no hard margins), as well as
    wasting space and not respecting user's settings.
    
    Closes #3580269.

 src/printing.c |   13 +------------
 1 file changed, 1 insertion(+), 12 deletions(-)

commit 9f32fdd1a4c54ba035c2f655bea6096c3b74fbe9
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Nov 1 16:41:47 2012 +0100

    Printing: draw the vertical separator line more accurately
    
    Use the dimensions and offsets used by Scintilla to position our
    separator line, since its position depends on where Scintilla drawn.
    
    Closes #3580268.

 src/printing.c |   15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 55b8c7af3fbaffe1acb32eb398ff96e1825ca695
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Nov 1 16:38:49 2012 +0100

    Printing: fix text resolution
    
    Scintilla doesn't respect the context resolution, so we need to scale
    its draws ourselves.

 src/printing.c |   38 +++++++++++++++++++++++++++++++++++---
 1 file changed, 35 insertions(+), 3 deletions(-)

commit 75cb789eb5790f3becea5a331ce06000e30b3f7e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Oct 30 23:44:47 2012 +0100

    Fix a c-format typo in the Turkish translation leading to a crash

 po/tr.po |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21096777813f256826b6a1384dc6bcc14e9ad715
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Oct 28 18:55:48 2012 +0100

    JavaScript parser: fix scope of functions nested inside methods

 tagmanager/ctags/js.c |    1 +
 1 file changed, 1 insertion(+)

commit 4dafe0d8d30225be4cdecd36f2ee281f3d6326c9
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Oct 26 16:59:21 2012 +0200

    JavaScript parser: properly parse regular expression literals
    
    This prevents a regex pattern from fooling the parser if it contains
    some recognized constructs, like comment or string literal starts.
    
    Closes #2992393 and #3398636.

 tagmanager/ctags/js.c |   54 +++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 52 insertions(+), 2 deletions(-)

commit 3cfd8fa8b1ff8d8efaa58dae58aa93a0230d841a
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Oct 25 17:45:17 2012 +0100

    Clear search markers on Mark All keybinding when already set

 doc/geany.html    |   14 ++++++++++----
 doc/geany.txt     |    3 ++-
 src/keybindings.c |   12 +++++++++---
 3 files changed, 21 insertions(+), 8 deletions(-)

commit 318b49ab782b2334ec0f33eb255f23b9a6be3239
Merge: d7e285d f7f47af
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 25 17:17:25 2012 +0200

    Merge branch 'scintilla-update'

commit f7f47af0856f32798a07bacf23f8a1fa751bef4b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 25 17:07:07 2012 +0200

    Update NEWS

 NEWS |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4ffd446c43986385170a2e144f951557e101ec05
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Oct 24 23:15:38 2012 +0200

    Update for new PO styles

 data/filetypes.po          |    9 ++++++++-
 src/highlighting.c         |   11 ++++++++++-
 src/highlightingmappings.h |   25 ++++++++++++++++---------
 3 files changed, 34 insertions(+), 11 deletions(-)

commit 2874357a975ebaac4a768690a400da84c44ec7e0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Oct 24 23:13:46 2012 +0200

    Add new PO lexer to the build system

 scintilla/Makefile.am    |    1 +
 scintilla/makefile.win32 |    1 +
 2 files changed, 2 insertions(+)

commit 7acc68ea0082d91e367bd37cdc1e39a65e440647
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Oct 24 22:47:47 2012 +0200

    Refresh our Scintilla patch for the new lexers

 scintilla/scintilla_changes.patch |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d1675426779de628bc47bee3591df76a8028435
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 25 16:08:32 2012 +0200

    Update Scintilla to version 3.2.3
    
    Closes #2909124, #3094431 and #3233160.

 scintilla/gtk/ScintillaGTK.cxx      |    4 +
 scintilla/include/SciLexer.h        |    7 ++
 scintilla/include/Scintilla.iface   |    7 ++
 scintilla/include/ScintillaWidget.h |    4 +-
 scintilla/lexers/LexBash.cxx        |  156 ++++++++++++++++++++++++++++++++---
 scintilla/lexers/LexCPP.cxx         |   15 +++-
 scintilla/lexers/LexOthers.cxx      |   73 ----------------
 scintilla/lexers/LexPO.cxx          |  149 +++++++++++++++++++++++++++++++++
 scintilla/lexers/LexRuby.cxx        |   14 +++-
 scintilla/lexers/LexSQL.cxx         |   33 ++++----
 scintilla/src/Catalogue.cxx         |    2 +-
 scintilla/src/Document.cxx          |   24 +++++-
 scintilla/src/Document.h            |    6 +-
 scintilla/src/Editor.cxx            |   45 ++++------
 scintilla/src/Editor.h              |    1 +
 scintilla/src/RESearch.cxx          |    2 +-
 scintilla/src/RunStyles.cxx         |    1 +
 scintilla/version.txt               |    2 +-
 18 files changed, 402 insertions(+), 143 deletions(-)

commit d7e285d00e2b7d943f32d01e7d3308dbc86620e7
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Oct 25 13:51:14 2012 +0100

    Fix parsing colons in D (#3577788)

 tagmanager/ctags/c.c |    7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 00c2cc20eaacd9ef26e89ab0c0c7a009a8f64118
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Oct 24 17:43:26 2012 +0100

    Fix gcc missing field initializer warning

 src/printing.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a3664fae9ece396952d732cc937e63192d8c6f76
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Sep 17 16:31:28 2012 +0100

    Fix spawning [synchronous] commands on Windows
    
    Build command spawning failed sometimes when there were several
    pages of errors. In these cases the process would block for 30s and
    then abort. (Some hangs were also experienced).
    
    This fix does cause a console window to be shown for the duration of
    the spawned process. This seems acceptable compared with the old
    broken behaviour, and can be useful to abort the build command by
    closing the console window.
    
    Note: If 'env' is passed, the old broken spawning is used.

 src/build.c |   16 ++++++-------
 src/win32.c |   72 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 79 insertions(+), 9 deletions(-)

commit 8855c146cc477ba2961c752fd3fe70ac268ac4a3
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Oct 22 22:40:19 2012 +0200

    Fix a use of non-const variable to hold a string literal

 tagmanager/ctags/c.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6c7f69578d8e142f5994cc9cf0e0abc83a606a1b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Oct 22 20:43:06 2012 +0200

    Parse C++11 classed enums
    
    Part of #3578557.

 tagmanager/ctags/c.c |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit f2f22d34ab9063852279bc6c5a45c8d3cfafdc0a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Oct 22 20:30:18 2012 +0200

    Parse C++11 enums with type specifier
    
    Part of #3578557.

 tagmanager/ctags/c.c |    9 +++++++++
 1 file changed, 9 insertions(+)

commit a77785e3780db6830ce94c01da8ee34c54f116e7
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Oct 20 14:07:13 2012 +0200

    Set style for SCE_C_STRINGRAW (C++11 raw strings)
    
    Part of #3578557.

 data/filetypes.c           |    1 +
 src/highlightingmappings.h |    1 +
 2 files changed, 2 insertions(+)

commit f04df056cdd96be7c3319993d71b8dc36fdd397c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Oct 19 21:39:38 2012 +0200

    Fix parsing of C++11 final classes
    
    Closes #3577559.

 tagmanager/ctags/c.c |    9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit b626cc93e3c819f747160589227596b0d6a53484
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 18 17:02:39 2012 +0200

    ReStructuredText: fix parsing of titles containing UTF-8 characters
    
    If a title contained multi-byte UTF-8 characters, it wasn't properly
    recognized due to the title being longer (in bytes) than the underline.
    So, fix the title length computation to properly count the characters,
    not the bytes.
    
    Note that this fix only handles ASCII, one-byte charsets and UTF-8, it
    won't help with other multi-bytes encodings.  However, the whole parser
    expects ASCII-compatible encoding anyway, and in most situations it
    will be fed the Geany's UTF-8 buffer.
    
    Closes #3578050.

 tagmanager/ctags/rest.c |   36 +++++++++++++++++++++++++++++++++++-
 1 file changed, 35 insertions(+), 1 deletion(-)

commit 6e8e0c7bfb6597cbfbf6e5dbfa2cb9a356146c49
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Oct 18 16:55:33 2012 +0200

    Fix display of non-ASCII tags in the symbols tree for non-UTF-8 files
    
    We used to convert the tags from the file encoding to UTF-8, but since
    we parse directly from our UTF-8 buffer, all tags are UTF-8, which lead
    to an improper conversion.

 src/symbols.c |    3 +++
 1 file changed, 3 insertions(+)

commit 49d88f0cd549635ad46613daa236f1b5d36582e0
Author: Matthew Brush <matt@geany.org>
Date:   Tue Feb 21 20:16:12 2012 -0800

    Don't ignore custom M4 files in m4/ directory

 .gitignore |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 306eaab3916649567c892215ad8390b9d39de82f
Author: Lex <elextr@gmail.com>
Date:   Mon Oct 15 11:56:03 2012 +1100

    Alter default and document icon setting
    
    Previous default value prevented the preceding commit from working
    (by default), oops.

 doc/geany.txt |    2 ++
 src/keyfile.c |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 6897cd49c69535c6563e56ae011c6f8382fec485
Author: Lex <elextr@gmail.com>
Date:   Sun Oct 14 12:55:34 2012 +1100

    Make use of theme icon a various pref.
    
    Some users want the theme icon, some dislike the icon provided by
    their theme and want the traditional Geany icon.
    
    This makes that choice a various pref.  Used a standalone global
    to avoid impacting the plugin interface and CommandLineOptions
    and GeanyStatus didn't make sense.

 src/keyfile.c |    4 ++++
 src/main.c    |   20 ++++++++++++++------
 src/main.h    |    2 ++
 3 files changed, 20 insertions(+), 6 deletions(-)

commit 4c7ca69be0642aeec9e7d3831d799215d1737b95
Author: Matthew Brush <matt@geany.org>
Date:   Sat Oct 13 15:30:41 2012 -0700

    Prefer to use Geany icon from theme over inline one
    
    Note that no attempt is made to handle when the icon theme is changed
    to update Geany's window icon (ex. using the style-set signal).

 src/main.c |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 220ace841ca08baff629e2443df92540aa8fca62
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Oct 12 20:40:38 2012 +0200

    Fix uncommenting multi-line comments when cursor is on a delimiter
    
    If the cursor was inside one of the comment's delimiters, the code used
    to look for another delimiter, leading to removing previous comment's
    start.  Moreover, the code assumed the delimiter will always be found,
    leading to improper deletions if a delimiter could not be found (either
    because of the above problem or because the comment wasn't terminated).
    
    Also, the code used document_find_text() which, if the searched text
    cannot be found on the requested direction, either wraps or asks the
    user whether to wrap.  Wrapping is wrong if there is more than one
    single comment in the file, and the dialog is confusing for the use
    since she didn't ask for it.
    
    So, rework the code for it to correctly find the delimiters, and not
    to wrap search or ask the user.  It is also simpler by reusing some
    already existing code.

 src/editor.c |   86 ++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 54 insertions(+), 32 deletions(-)

commit 206c39cb6aa02e12bbf5d3c5b63f9fd9d95f705f
Author: Matthew Brush <matt@geany.org>
Date:   Thu Oct 11 23:01:29 2012 -0700

    Fix reshowing calltip after autoc list closed
    
    Using default priority causes Geany's reshowing idle handler to run
    before Scintilla's, changing priority to low in hopes of making it
    run after.

 src/editor.c |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 5bb0ca5a83fff906256d9924e8831f7c2bc24024
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Oct 12 00:10:15 2012 +0200

    Fix cursor position after comment toggling with no selection
    
    The implementation drops the non-selection code paths and simply makes
    sure both caret and anchor are placed at the same position if there
    was no selection.  This avoids having two completely different code
    paths for things that are very similar -- and alternative code paths
    were buggy.
    
    Closes #3576431.

 src/editor.c |   54 ++++++++++++++++++++++++------------------------------
 1 file changed, 24 insertions(+), 30 deletions(-)

commit 42b3629aafb223e66695a8079397c16ec39760b0
Author: Lex Trotman <elextr@gmail.com>
Date:   Tue Oct 9 13:56:13 2012 +1100

    Fix sign comparison warnings
    
    GTK uses a signed page_nr parameter to callback draw_page despite
    describing it as 0 based, cast it to unsigned for comparisons to
    array len which is also unsigned.

 src/printing.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit eeddd6f720e1ded79beeec9203b698c9191de624
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Sep 29 20:18:19 2012 +0200

    Move custom styles to a resource file

 Makefile.am      |    3 ++-
 data/geany.gtkrc |   23 +++++++++++++++++++++++
 src/notebook.c   |   11 -----------
 src/search.c     |   28 ----------------------------
 src/ui_utils.c   |   26 ++++++++++++--------------
 wscript          |    1 +
 6 files changed, 38 insertions(+), 54 deletions(-)

commit 3070738df8e30cc62be877aba3d8bd43a5eef1bc
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Oct 6 01:32:54 2012 +0200

    Make wordchars have precedence over whitespacechars
    
    This makes the "wordchars" setting from filetypes.common and each
    specific filetype override filetype.common's "whitespace_chars"
    setting, rather than it overriding filetype-specific "wordchars".
    
    This makes the it easy to chose filetype-specific "wordchars", where
    before user had not only to update this setting, but also the
    filetype.common "whitespace_chars" setting if it listed one or more of
    the new characters for the change to actually have an effect -- and
    changing "whitespace_chars" for every filetype.
    
    Closes #3429368.

 doc/geany.txt      |    3 +--
 src/highlighting.c |   30 ++++++++++++++++++++++++++----
 2 files changed, 27 insertions(+), 6 deletions(-)

commit 565c9176881f8d8a6d308a047c762e9e7cfdbbd4
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Oct 6 00:55:03 2012 +0200

    Consider dash (-) when looking for the word to complete for CSS

 src/editor.c |    2 ++
 1 file changed, 2 insertions(+)

commit 2297badbd7ca808b90fc29db3d48a88aa3ded59f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Oct 5 12:43:10 2012 +0200

    Use "scala" extension for Scala
    
    Closes #3574723.

 data/filetype_extensions.conf |    2 +-
 data/filetypes.Scala.conf     |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 64a47b9cb691e02a00d013374856aa31708bac3b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Sep 26 19:30:18 2012 +0200

    Allow to switch message window orientation to place it on the right

 data/geany.glade |   84 ++++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/keyfile.c    |    5 ++++
 src/main.c       |    3 ++
 src/prefs.c      |    3 ++
 src/ui_utils.h   |    1 +
 5 files changed, 94 insertions(+), 2 deletions(-)

commit 474e60b6fad22c75c57af3a6700d7bc47fceee10
Author: trongthanh <trongthanh@gmail.com>
Date:   Sun Sep 30 11:13:43 2012 -0700

    Add more CSS3 keywords

 data/filetypes.css |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 85cb6d527c859729d592fd33c34a3730c593d076
Author: trongthanh <trongthanh@gmail.com>
Date:   Sun Sep 30 11:08:13 2012 -0700

    Improve CSS highlighting

 data/filetypes.css |   22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit e70d9e5e05c6329d201dfaae19858decb0474e21
Author: trongthanh <trongthanh@gmail.com>
Date:   Sun Sep 30 10:57:38 2012 -0700

    Fix JavaScript ident/keyword highlighting in HTML filetype

 data/filetypes.html |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2c6c210c6f1ed8d0b5ceacabdc67c497ab863f59
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Sep 30 15:46:59 2012 +0200

    Fix detection of keywords when followed by a semicolon
    
    Closes #2130612.

 tagmanager/ctags/ruby.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c1a7b1b475a28c73f830b76de7d1dedf5948df3f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Sep 28 03:27:35 2012 +0200

    Fix various packing issue affecting GTK3 but compatible with GTK2

 plugins/filebrowser.c |    2 +-
 plugins/saveactions.c |    2 +-
 plugins/splitwindow.c |    2 +-
 src/dialogs.c         |   10 +++++-----
 src/highlighting.c    |    2 +-
 src/plugins.c         |    2 +-
 src/pluginutils.c     |    2 +-
 src/project.c         |    2 +-
 8 files changed, 12 insertions(+), 12 deletions(-)

commit 972b34e49ab5db30ae07b099e89c19607e5f581b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Sep 26 22:54:15 2012 +0200

    Keep caret and anchor position upon indent and unindent
    
    Closes #3167355.

 src/editor.c |   68 ++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 40 insertions(+), 28 deletions(-)

commit d6bbdab1661dd798f0d85da3d7f814247c59112c
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Sep 26 21:07:59 2012 +0200

    Update of Basque translation

 po/eu.po |  692 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 360 insertions(+), 332 deletions(-)

commit 00ccac5b78b2e3ea7501906ffa5e0186af01b4f1
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Sep 25 19:58:39 2012 +0200

    Update of Italian translation

 po/it.po |  851 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 433 insertions(+), 418 deletions(-)

commit bf233bc05590acf2c4ac6ecdbca9f9a30b5e5662
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 25 16:47:00 2012 +0200

    JavaScript parser: create class tag for variable with children methods
    
    If we generated methods, properties or class children tags for a
    variable, generate a class tag for the variable itself so the children
    aren't orphaned.

 tagmanager/ctags/js.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 5df551b1ce7d2192f8ddec8eda6da4ac05662969
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 25 16:45:57 2012 +0200

    JavaScript parser: fix parsing non-method properties
    
    If a property value had more than one token, the parser choked on it
    and failed to parse further properties of the object.  Fix that by
    properly skipping the property's value.  If that value is a sub-object,
    parse it recursively.
    
    Closes #3470609.

 tagmanager/ctags/js.c |   41 ++++++++++++++++++++++++++++++++++-------
 1 file changed, 34 insertions(+), 7 deletions(-)

commit dc6e4f272309fa51ad0f2cdccc448adeef4c083d
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 25 02:10:00 2012 +0200

    JavaScript parser: lowercase "object" isn't a keyword
    
    Closes #3036476.

 tagmanager/ctags/js.c |    6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit b9ca95c381624a288a7ea733624f36a9af10212a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 25 00:38:18 2012 +0200

    JavaScript parser: fix some unterminated statement corner case issues
    
    This fixes parsing of the following unterminated statements:
    
    	if () {
    		foo = 42
    	}
    
    	if () {
    		foo = new Object()
    	}
    
    	if () {
    		foo = ({a:1,b:2})
    	}

 tagmanager/ctags/js.c |   40 +++++++++++++++++++++++++---------------
 1 file changed, 25 insertions(+), 15 deletions(-)

commit 205bab83d7d7bbedc16f00f9b6b5b71199d4fde8
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 25 00:18:27 2012 +0200

    JavaScript parser: properly consume closing brace after a block in findCmdTerm()

 tagmanager/ctags/js.c |    1 +
 1 file changed, 1 insertion(+)

commit 74890cc3080a87c95a19d28183a022a9219afcab
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 24 19:27:14 2012 +0200

    JavaScript parser: Simplify parseJfFile() code (no functional changes)

 tagmanager/ctags/js.c |   12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

commit 297bca3799a99f68d177e1105d79a69a7d9ef103
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 24 19:02:38 2012 +0200

    JavaScript parser: Don't drop the token after an unbraced if
    
    If an `if` haven't had braces, the code used to check itself for an
    `else` after it, eating the next token if it wasn't actually an `else`.
    
    So, drop the check for the else altogether since parseLine() handles
    `else`s by calling parseIf() anyway.
    
    This fixes constructs like:
    
    	if (foo)
    		bar();
    	function baz() {
    		// ...
    	}
    
    Closes #3568542.

 tagmanager/ctags/js.c |   33 +++------------------------------
 1 file changed, 3 insertions(+), 30 deletions(-)

commit 66888d580f71e39e0a5f8b56083ccb22eea2d1b5
Author: Oleg Eterevsky <oleg@chromium.org>
Date:   Mon Sep 24 18:47:07 2012 +0400

    In ctags JavaScript parser fix recognizing functions inside methods

 tagmanager/ctags/js.c |   46 ++++++++++++++++++++++++----------------------
 1 file changed, 24 insertions(+), 22 deletions(-)

commit effc8ef86f475db15582ba0e91a9d8ce0ebfd55f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 24 12:12:45 2012 +0200

    Add proper scope for JS tags including their own context
    
    This makes `Foo.bar = function()` properly report a function tag "bar"
    with scope "Foo" rather than a function tag "Foo.bar" with no scope.
    
    Part of #3570192.

 tagmanager/ctags/js.c |   20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)

commit be45924f7c04fcc0f511168b9fdb1c8a2d940a5c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Sep 22 18:13:07 2012 +0200

    JavaScript parser: don't set token position information again and again
    
    There is no need to set the token position information in the loop
    searching for the initial token character, simply do that when we
    finally found the token start.

 tagmanager/ctags/js.c |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 772509e898a6847117e28156859483993376118e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Sep 22 17:52:29 2012 +0200

    ctags: fix improper use of "const" type qualifier
    
    The external declaration of "File" in read.h (defined in read.c) was
    improperly tagged as "const" for it not to be modifiable outside of
    read.c.  Although it is good to protect this global variable against
    improper modification, the use of "const" here makes it perfectly valid
    for the compiler to assume that the fields in this structure never
    changes during runtime, thus allowing it to do optimizations on this
    assumption.  However, this assumption is wrong because this structure
    actually gets modified by many read.c's functions, and thus possibly
    lead to improper and unexpected behavior if the compiler sees a window
    for optimizing fields access.
    
    Moreover, protecting "File" as it was with the "const" type qualifier
    required a hack to be able to include read.h in read.c since "const"
    and non-"const" declarations conflicts.
    
    Actually, at least the JavaScript parser did suffer of the issue,
    because it calls getSourceLineNumber() macro (expanding to a direct
    "File" member access) several times in one single function, making it
    easy for the compilers to cache the value as an optimization.  Both GCC
    and CLang showed this behavior with optimization enabled.  As a result,
    the line numbers of JavaScript tags were often incorrect.

 tagmanager/ctags/read.h |    9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 9ef34bbe0cc9a66b3be062da0dd98a713d74af32
Author: Lex Trotman <elextr@gmail.com>
Date:   Sat Sep 22 16:05:51 2012 +1000

    Fix pointer warning
    
    GCC 4.7.1 gives a incompatible pointer warning because gtk_adjustment_new
    returns a GObject* not a GtkAdjustment* (new compiler default).

 src/stash.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ef6e1627cbe639e5f2b9d974f384c6a5b4eeec2
Author: Lex Trotman <elextr@gmail.com>
Date:   Sat Sep 22 14:13:14 2012 +1000

    Fix multiline comments at end of file
    
    Multiline comments did not work at end of file because there is no
    style there so also check if at end of file as well as style.
    Closes #3026691

 src/editor.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fbb89f523af47b35e238678d348cfa98e56c760a
Author: Lex Trotman <elextr@gmail.com>
Date:   Sat Sep 22 13:40:33 2012 +1000

    Remove illegal signal handling
    
    The SIGTERM handler called the standard exit callback which uses
    functions that are illegal in signal handlers.  Commented out as
    a prelude to full removal if no use case can be made.

 src/main.c |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit e5e37601572f86b9c5712ace5e1d3b16caac67b2
Author: Lex Trotman <elextr@gmail.com>
Date:   Sat Sep 22 12:47:29 2012 +1000

    Use faster squiggle underlining
    
    Geany performance suffered with a lot of error underlining visible.
    Matthew Brush developed an improved implementation that was accepted
    into Scintilla, this selects that implementation.

 src/highlighting.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 877b0477c401e9c359cbf93e04989b7aeccc257e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Sep 21 18:39:15 2012 +0200

    Set scope information for JavaScript tags
    
    Instead of adding the scope to the tag name, properly add it as the
    tag's scope.
    
    Closes #3570192.

 tagmanager/ctags/js.c   |   35 ++++++++++++-----------------------
 tagmanager/src/tm_tag.c |    3 ++-
 2 files changed, 14 insertions(+), 24 deletions(-)

commit 2d83a85eb74cc515853ef0ec68da6832ba99c750
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 23:15:11 2012 +0200

    Update NEWS for a few recently fixed bugs

 NEWS |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit b886ac1b2e601248238a5ab85848d78108e3550e
Merge: afb1eaa 8289e8f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 22:59:52 2012 +0200

    Merge branch 'improve-scope-detection'

commit 8289e8f96289d0c4ca00231d1d2fa0e87179641f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 22:51:36 2012 +0200

    Report scope including classes, namespaces and alike
    
    Don't only match the current function as the current scope, but also
    classes, namespaces and others containers.
    
    Closes #1996778.

 src/symbols.c  |   14 ++++++++++++++
 src/symbols.h  |    2 ++
 src/ui_utils.c |    2 +-
 3 files changed, 17 insertions(+), 1 deletion(-)

commit 491a45f614bc1c4633168e97a06734eff6886601
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 22:41:24 2012 +0200

    Improve symbols_get_current_function() a lot and make it more flexible
    
    Finding the current function now better handles the case the current
    line is after a function but outside its scope, and many other issues
    the scope reporting had.

 src/symbols.c |  164 +++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 101 insertions(+), 63 deletions(-)

commit 9d2dab8fcf4aa4d2b890724b44d483d273732b3c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 20:22:52 2012 +0200

    Fix an off-by-one issue in sci_get_position_from_line()
    
    Scintilla counts lines from 0 but TagManager from 1, so convert them.

 src/callbacks.c |    2 +-
 src/symbols.c   |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit d83bd409388313503dcad58cb6d601bf92e64fbc
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 20:07:45 2012 +0200

    Add tm_get_current_tag()

 tagmanager/src/tm_workspace.c |   23 +++++++++++++++--------
 tagmanager/src/tm_workspace.h |    7 +++++++
 2 files changed, 22 insertions(+), 8 deletions(-)

commit afb1eaaa0186d60723de40ad32ecc14b9267fe69
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 14:26:39 2012 +0200

    Remove improper caching of the current function
    
    The code assumed that if both old and new fold levels were above the
    minimal function fold level the function couldn't have been changed,
    which is wrong if a function can appear both inside and outside another
    fold level (e.g. inside or outside a class).

 src/symbols.c |   11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit adbd162c7b8ca3e9e6f01ee1cc03c96c84c722b1
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 03:02:25 2012 +0200

    Also consider tags up to date if realtime parsing is active
    
    This makes symbols_get_current_function() more accurate by using TM
    data even on a modified file if realtime tag parsing is enabled, thus
    if the data has reasonable chances to be correct.

 src/symbols.c |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 1cfa44ff629f8dbcbf4153cce97cfccf185f9483
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 02:57:17 2012 +0200

    Make tm_get_current_function() find methods too

 tagmanager/src/tm_workspace.c |    2 +-
 tagmanager/src/tm_workspace.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit eed6e25a0e8ad7e21aeeefa1d64a43865400cad9
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 02:53:15 2012 +0200

    Don't duplicate the kind names and letters

 tagmanager/ctags/python.c |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 022524ba2615695425cca2f4b919b74a96cf7707
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 02:49:08 2012 +0200

    Report Python class methods as methods rather than members
    
    This makes the Python kinds more consistent with other parsers and
    allows to find Python methods when filtering on tm_tag_method_t.

 tagmanager/ctags/python.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 17396aaa999a6a2ce91f190d7aac56492c945712
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 17 02:29:55 2012 +0200

    Fix a memory leak in tm_get_current_function()

 tagmanager/src/tm_workspace.c |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 2e725999cc40f7ea668887b8e9e2f949c4892cd4
Merge: df3d35d e020b04
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Sep 16 21:58:05 2012 +0200

    Merge update of Russian translation from m1kc.

commit df3d35dab11a1f3afe99c656d8c7ef06d8ab4a23
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Sep 15 22:45:38 2012 +0200

    No need to update GdkDragContext:action
    
    Updating GdkDragContext:action is not needed and this field is private
    anyway.

 src/notebook.c |    5 -----
 1 file changed, 5 deletions(-)

commit b58995c9fc8c183ef37a31ca74ba44336a6c55ce
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Sep 15 15:52:42 2012 +0200

    Don't access private field GtkNotebook::event_window

 src/notebook.c |   13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit e020b04754cd3f90d71996be687fc9431d72e05a
Author: m1kc <m1kc@yandex.ru>
Date:   Sun Sep 16 00:03:13 2012 +0400

    Fix the rest of the Russian strings.

 po/ru.po |  342 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 156 insertions(+), 186 deletions(-)

commit 978f7703983358f4a25c67f8a78780e6da6f5f4e
Author: m1kc <m1kc@yandex.ru>
Date:   Sat Sep 15 22:31:14 2012 +0400

    Fix some more Russian strings.

 THANKS   |    1 +
 po/ru.po |  290 +++++++++++++++++++++++++++++++-------------------------------
 2 files changed, 145 insertions(+), 146 deletions(-)

commit d807eff73d61de95825d548471e0f00d50a6e6e9
Author: m1kc <m1kc@yandex.ru>
Date:   Sat Sep 15 13:50:36 2012 +0400

    Fix some Russian strings.

 po/ru.po |  368 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 157 insertions(+), 211 deletions(-)

commit 987c13e26fe228a004bb2fe4d20e08264a419f65
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Sep 15 19:10:53 2012 +0200

    Added Basque translation provied by Asier Iturralde Sarasola

 THANKS      |    1 +
 po/eu.po    | 5443 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/about.c |    1 +
 3 files changed, 5445 insertions(+)

commit 8427ab08c2d5531221512c8b2151c259eadb027c
Author: m1kc <m1kc@yandex.ru>
Date:   Sat Sep 15 13:50:36 2012 +0400

    Fix some Russian strings.

 po/ru.po |  368 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 157 insertions(+), 211 deletions(-)

commit f1e88ca311af3c3ced49f4b348d88140a74302b0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Sep 13 16:07:44 2012 +0200

    Ruby parser: don't create an extra scope after "for .. in .. do"
    
    When "do" appears as the separator after a "for", "while" or "until"
    construct, don't improperly make it start its own scope too.

 tagmanager/ctags/ruby.c |   26 +++++++++++++++++++++++---
 1 file changed, 23 insertions(+), 3 deletions(-)

commit faeeaf4bd2ab906441d266baf93b57a13864654a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Sep 12 00:35:02 2012 +0200

    Check the VTE library we're loading actually have all symbols we need
    
    This prevents a crash if the VTE library we happen to load lacks a
    symbol we need, which can happen e.g. if the user passed an improper
    library to the --vte-lib command-line option or if the VTE library is
    loadable but broken.

 src/vte.c |   85 +++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 55 insertions(+), 30 deletions(-)

commit da5bb7f0e1aa5d5bf861697d6d54bff88b177a34
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 20:15:00 2012 +0200

    Don't access GtkColorSelectionDialog fields directly
    
    Also don't hack around and handle clicks on the dialog's buttons but
    rather simply handler the dialog's response.

 src/tools.c |   58 ++++++++++++++++++++++++++++++----------------------------
 1 file changed, 30 insertions(+), 28 deletions(-)

commit 72db3a711e9748c1fbcdd4e4cccb64e4f956a916
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 20:13:05 2012 +0200

    Don't use deprecated GtkObject

 src/stash.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 96afed1e9c906ed76d4f644eefb34cb16cdaec53
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 20:03:19 2012 +0200

    Don't access GtkFontSelectionDialog fields directly
    
    Also don't hack around and handle clicks on the dialog's buttons but
    rather simply handler the dialog's response.

 src/dialogs.c |   56 ++++++++++++++++++++++++++++++--------------------------
 1 file changed, 30 insertions(+), 26 deletions(-)

commit 49f6ebbd0a3eb4967c6a7a50771573a42b5bf6cc
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 19:46:47 2012 +0200

    Don't use gtk_widget_hide_all(), deprecated in 2.24

 src/build.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 926744b4b735c88ad449ce419f9ebee4442a1802
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 17:20:58 2012 +0200

    Don't use pre-GObject types and macros

 src/vte.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8b181f7c79673350803891d4d6bd70a7af62eb29
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 17:15:53 2012 +0200

    Don't access GtkSelectionData fields directly

 src/notebook.c |    5 +++--
 src/toolbar.c  |    4 ++--
 src/vte.c      |    5 +++--
 3 files changed, 8 insertions(+), 6 deletions(-)

commit 593fef7fa0b9c799c58c1e8e9b36193572333b6f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 17:12:35 2012 +0200

    Don't access GtkWidget:parent directly

 src/stash.c    |    2 +-
 src/ui_utils.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c7f699736148535253b92ec7f3dd256a905b53d9
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 16:55:13 2012 +0200

    Don't access GtkNotebook fields directly

 src/notebook.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d878c8a5d307b0c90f6b3d43b6c6fd236812aba
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 16:52:19 2012 +0200

    Don't use deprecated GtkNotebookPage

 src/callbacks.c |    6 +++---
 src/callbacks.h |    6 +++---
 src/notebook.c  |    2 +-
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 4d1673538099b29782292ba92d3605e48b8214f0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 16:48:57 2012 +0200

    Don't access GtkDialog fields directly

 src/about.c    |    4 ++--
 src/gb.c       |    4 ++--
 src/prefs.c    |    4 ++--
 src/search.c   |    4 ++--
 src/ui_utils.c |    2 +-
 5 files changed, 9 insertions(+), 9 deletions(-)

commit 3b14cca451af830bae608fc0e25078280ce6423e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 16:39:34 2012 +0200

    Don't use long-deprecated gtk_widget_{ref,unref}()

 plugins/splitwindow.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5ada77df700ab01b01175cac565b0f36502086fb
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Sep 11 16:37:01 2012 +0200

    Don't use deprecated gtk_box_pack_start_defaults()

 plugins/saveactions.c |    2 +-
 src/project.c         |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9f479b861a2405f23fdd117b3eb54ed269688da4
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Sep 12 19:30:56 2012 +0200

    Regenerate Python tag list
    
    Generated against a clean Python 2.7 installation.

 data/python.tags |   52 +++++-----------------------------------------------
 1 file changed, 5 insertions(+), 47 deletions(-)

commit baafa6325c344bbc2c2370835c9be6968d1a4a67
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Sep 12 19:29:21 2012 +0200

    Strip more tags which start with a keyword

 scripts/create_py_tags.py |   19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 8171af611fefe24561fee70cfe5785afd649c595
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Sep 9 16:05:58 2012 +0200

    Don't set the focus to the editor widget when clicking a symbol while holding Control
    
    When clicking a symbol in the Symbols sidebar and holding the Control modifier key, don't
    set the focus to the editor widget so further navigation in the Symbols sidebar with keys
    is possible.

 src/sidebar.c |   17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit 49dafc85361122fbcc84da5aa3e5172b1f9ab20f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Sep 6 20:43:49 2012 +0200

    Use namespaces icon for Ruby modules
    
    It's not perfect but better than nothing since other tags have icons.

 src/symbols.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f0ddfe4effdddd2fe6cbda30b320f917ade9346
Merge: a5edf57 b82134e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Sep 6 18:44:40 2012 +0200

    Merge branch 'printing-with-scintilla'
    
    Closes #3475444, #2804000 and #2629121.

commit a5edf57a17d491b2e43f69d841ab651c8b1079b7
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Sep 6 14:52:31 2012 +0100

    Don't regenerate deps.mak files on 'make clean' (Windows makefile)

 makefile.win32 |    8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 00714db69c3ce8f8ba2d40be62c596045f1001d7
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Sep 5 16:47:53 2012 +0100

    Improve collapsing fold behaviour when start point is offscreen
    
    When collapsing a fold range whose starting line is offscreen,
    scroll the starting line to display at the top of the view.
    Otherwise it can be confusing when the document scrolls down to hide
    the folded lines.

 src/editor.c      |   13 +++++++++++++
 src/sciwrappers.c |    2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 654f07219f112f3c487675ceb70afda766684a81
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Sep 3 02:31:52 2012 +0200

    Update Scintilla to version 3.2.2

 NEWS                              |    2 +-
 scintilla/gtk/PlatGTK.cxx         |    2 +-
 scintilla/include/Platform.h      |    5 ++++
 scintilla/include/Scintilla.h     |    5 ++++
 scintilla/include/Scintilla.iface |   14 ++++++++++
 scintilla/lexers/LexHTML.cxx      |    2 +-
 scintilla/lexers/LexLua.cxx       |    2 +-
 scintilla/lexers/LexOthers.cxx    |   20 ++++++++-------
 scintilla/lexers/LexYAML.cxx      |    2 +-
 scintilla/src/AutoComplete.cxx    |    4 ++-
 scintilla/src/AutoComplete.h      |    2 ++
 scintilla/src/CallTip.cxx         |   18 +++++++------
 scintilla/src/CallTip.h           |    5 ++++
 scintilla/src/Editor.cxx          |   50 +++++++++++++++++++++++++++++++-----
 scintilla/src/Editor.h            |    4 +++
 scintilla/src/Indicator.cxx       |   51 +++++++++++++++++++++++++++++--------
 scintilla/src/LineMarker.cxx      |   12 ++++-----
 scintilla/src/LineMarker.h        |    2 +-
 scintilla/src/ScintillaBase.cxx   |    4 +--
 scintilla/src/XPM.cxx             |   13 +++++-----
 scintilla/src/XPM.h               |    6 ++++-
 scintilla/version.txt             |    2 +-
 22 files changed, 169 insertions(+), 58 deletions(-)

commit f53f37c578161c0b780443f1a800bb67a6386820
Author: Lex Trotman <elextr@gmail.com>
Date:   Mon Sep 3 18:36:39 2012 +1000

    Save encoding in session as text
    
    Since reading locale and reading encodings from within files by regex
    can find encodings not on the Geany list, saving as text ensures that
    any encoding found can be saved in the session, otherwise a file can
    be opened but will not re-open because the encoding cannot be saved
    in the session.  Since numeric encoding names exist prefix the text
    name by 'E' so they can be distinguished from saved numeric indexes.

 src/keyfile.c |   23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

commit c05f1bdd448e2e2b327b69224608a1e7c01d5b99
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Sep 2 20:28:30 2012 +0200

    Remove a suspect ungetc() call in VHDL parser
    
    This ungetc() call don't look legitimate and actually leads to lots
    of warnings about ungetc() being called when another character was
    already backed up.

 tagmanager/ctags/vhdl.c |    1 -
 1 file changed, 1 deletion(-)

commit e469aa27e06b33e2db0a98bc8d0a969b4b47612b
Author: Miguel Sánchez de León Peque <msdeleonpeque@gmail.com>
Date:   Sun Sep 2 19:12:42 2012 +0200

    Update VHDL parser to display blocks in the symbols list

 src/symbols.c           |    2 +-
 tagmanager/ctags/vhdl.c |    7 +++++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 66b93d2d8d1f60b57bd87d7250a00c3815a78bae
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Sep 2 14:37:51 2012 +0200

    Fix "mark all" search feature when using regular expressions
    
    Use the proper, full-featured, regular expression engine we use
    everywhere else rather than Scintilla's stripped-down one.
    
    Closes #3564132.

 NEWS         |    3 +++
 src/search.c |    5 ++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 69d8295c5ea91f88a33ec41c523c6c9f47e346c9
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Sep 2 14:14:52 2012 +0200

    Don't try to unref NULL regex

 src/search.c |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 13410c0e5a1ba7ba2bbda6398a25074ff9faa3a6
Author: YosefOr <yosefor3@walla.com>
Date:   Fri Aug 31 14:47:36 2012 +0300

    Update po/he.po
    
    Translation error correction

 po/he.po |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 0627817c7b1a133c273a8db3bfbc7bd9e3013125
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Aug 29 23:04:50 2012 +0200

    Regenerate Python tag list
    
    Generated against a clean Python 2.7 installation.

 data/python.tags | 8000 ++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 5703 insertions(+), 2297 deletions(-)

commit 883ce3acb6cb760e8b8ef3238141243f74da8878
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Aug 29 23:03:25 2012 +0200

    Add method to generate also tags for __builtins__
    
    This way we get easily also tags for standard exceptions and a few builtin types.

 scripts/create_py_tags.py |   22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 29f0d02be3072c25e1ccc27258621703830cc623
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Aug 29 22:40:54 2012 +0200

    Add a warning about running this script with its potential side effects

 scripts/create_py_tags.py |   11 +++++++++++
 1 file changed, 11 insertions(+)

commit f1cb61f6cbe7e52c33eed60fa36b40826a792258
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Aug 29 22:22:57 2012 +0200

    Ignore tag names starting a Python keyword
    
    This removes tags like 'pass_', 'pass_stmt' or 'return_stmt' which are quite annoying
    when typing the actual keywords and pressing Enter afterwards.
    Also add some more modules and packages to the ignore list to avoid weird side effects
    when importing them (even though antigravity is funny).

 scripts/create_py_tags.py |   17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit fd8b20c80b5aa3a0e75b5662cf2fcba769d7d937
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Wed Aug 29 22:14:49 2012 +0200

    Add 'memoryview' identifier as found in Python2.7

 data/filetypes.python |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b82134e021adf42e171d025d1f3058197be67ab4
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Aug 27 21:28:46 2012 +0200

    printing: Fix line number margin border position

 src/printing.c |   38 +++++++++++++++++++++++++++-----------
 1 file changed, 27 insertions(+), 11 deletions(-)

commit aba3f9744897ec5997f075f16261e65f942701d8
Author: YosefOr <yosefor3@walla.com>
Date:   Sun Aug 26 20:47:01 2012 +0300

    Update po/he.po
    
    Update of Hebrew translation

 po/he.po |  204 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 104 insertions(+), 100 deletions(-)

commit 2b163c367d564474b5495a13963af806469b2f41
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Aug 25 10:32:14 2012 +0200

    Adding Hebrew translation

 THANKS      |    1 +
 po/he.po    | 5539 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/about.c |    1 +
 3 files changed, 5541 insertions(+)

commit 484f6fcdef245a1501bc93a124a68f0f3d273b5d
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Aug 25 16:02:21 2012 +0200

    Make sure to only use as much data as it was actually read
    
    When reading a C macro, make sure to only use as much byes we actually
    got and not as much as we requested.  This should not be a problem
    anymore now 61c5216 fixed a too long read, but it's safer anyway.

 tagmanager/ctags/get.c |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 61c5216083a916af46c1150f1b4f4a7102c4a25b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Aug 25 15:50:09 2012 +0200

    Fix an off-by-one issue in C macro parsing code
    
    Closes #3556536.

 tagmanager/ctags/get.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9817c1420201554b5c2f9841f5fb192dd7ce00ba
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Aug 24 23:26:11 2012 +0200

    Add a few missing Haxe keywords
    
    Closes #3448664.

 data/filetypes.haxe |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ce742b45dd103435a77f8ab391bdaec67cde36a0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Aug 24 20:20:09 2012 +0200

    Remove spurious semicolons

 src/build.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d80bc7ce56d8f69b1cfe933bc02c4d58dadc2a7e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Aug 24 19:25:57 2012 +0200

    Update FSF address
    
    Closes #3557875.

 COPYING                     |    8 ++++----
 doc/geany.html              |   10 +++++-----
 doc/geany.txt               |    8 ++++----
 doc/plugins.dox             |    7 +++----
 doc/pluginsignals.c         |    7 +++----
 doc/pluginsymbols.c         |    7 +++----
 plugins/classbuilder.c      |    7 +++----
 plugins/demoplugin.c        |    7 +++----
 plugins/export.c            |    7 +++----
 plugins/filebrowser.c       |    7 +++----
 plugins/geanyplugin.h       |    7 +++----
 plugins/htmlchars.c         |    7 +++----
 plugins/saveactions.c       |    7 +++----
 plugins/splitwindow.c       |    7 +++----
 src/about.c                 |    6 +++---
 src/about.h                 |    6 +++---
 src/build.c                 |    6 +++---
 src/build.h                 |    6 +++---
 src/callbacks.c             |    6 +++---
 src/callbacks.h             |   28 ++++++++++++++--------------
 src/dialogs.c               |    6 +++---
 src/dialogs.h               |    6 +++---
 src/document.c              |    6 +++---
 src/document.h              |    6 +++---
 src/documentprivate.h       |    7 +++----
 src/editor.c                |    6 +++---
 src/editor.h                |    6 +++---
 src/encodings.c             |    6 +++---
 src/encodings.h             |    6 +++---
 src/filetypes.c             |    6 +++---
 src/filetypes.h             |    6 +++---
 src/filetypesprivate.h      |    7 +++----
 src/gb.c                    |    6 +++---
 src/geany.h                 |    6 +++---
 src/geanyentryaction.c      |    6 +++---
 src/geanyentryaction.h      |    6 +++---
 src/geanymenubuttonaction.c |    6 +++---
 src/geanymenubuttonaction.h |    6 +++---
 src/geanyobject.c           |    7 +++----
 src/geanyobject.h           |    7 +++----
 src/geanywraplabel.c        |    6 +++---
 src/geanywraplabel.h        |    6 +++---
 src/highlighting.c          |    6 +++---
 src/highlighting.h          |    6 +++---
 src/highlightingmappings.h  |    6 +++---
 src/images.c                |    7 +++----
 src/keybindings.c           |    6 +++---
 src/keybindings.h           |    6 +++---
 src/keyfile.c               |    6 +++---
 src/keyfile.h               |    6 +++---
 src/log.c                   |    6 +++---
 src/log.h                   |    6 +++---
 src/main.c                  |    6 +++---
 src/main.h                  |    6 +++---
 src/msgwindow.c             |    6 +++---
 src/msgwindow.h             |    6 +++---
 src/navqueue.c              |    6 +++---
 src/navqueue.h              |    6 +++---
 src/notebook.c              |    6 +++---
 src/notebook.h              |    6 +++---
 src/plugindata.h            |    7 +++----
 src/pluginprivate.h         |    7 +++----
 src/plugins.c               |    7 +++----
 src/plugins.h               |    7 +++----
 src/pluginutils.c           |    7 +++----
 src/pluginutils.h           |    7 +++----
 src/prefs.c                 |    6 +++---
 src/prefs.h                 |    7 +++----
 src/printing.c              |    6 +++---
 src/printing.h              |    6 +++---
 src/project.c               |    6 +++---
 src/project.h               |    6 +++---
 src/projectprivate.h        |    7 +++----
 src/sciwrappers.c           |    6 +++---
 src/sciwrappers.h           |    6 +++---
 src/search.c                |    6 +++---
 src/search.h                |    6 +++---
 src/sidebar.c               |    6 +++---
 src/sidebar.h               |    6 +++---
 src/socket.c                |    6 +++---
 src/socket.h                |    6 +++---
 src/stash.c                 |    7 +++----
 src/stash.h                 |   29 ++++++++++++++---------------
 src/support.h               |    6 +++---
 src/symbols.c               |    6 +++---
 src/symbols.h               |    6 +++---
 src/templates.c             |    6 +++---
 src/templates.h             |    6 +++---
 src/toolbar.c               |    6 +++---
 src/toolbar.h               |    6 +++---
 src/tools.c                 |    6 +++---
 src/tools.h                 |    6 +++---
 src/ui_utils.c              |    6 +++---
 src/utils.c                 |    6 +++---
 src/utils.h                 |    6 +++---
 src/vte.c                   |    6 +++---
 src/vte.h                   |    6 +++---
 src/win32.c                 |    6 +++---
 src/win32.h                 |    6 +++---
 99 files changed, 323 insertions(+), 349 deletions(-)

commit 2b77157e5ee3a897829dce6a61c217b9cdb82378
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Aug 20 09:46:07 2012 +0200

    Update of Russian translation provided by Igor Burmistrov

 po/ru.po |  737 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 387 insertions(+), 350 deletions(-)

commit e20a57927dc6b760611c8ea2fb72bd43ffc507b4
Author: oco <oco@newmail.ru>
Date:   Thu Aug 16 18:35:27 2012 -0700

    Use all supported keyword sets for Scintilla Forth lexer
    
    Submitted on geany-devel mailing list

 data/filetypes.forth       |    8 ++++++--
 src/highlightingmappings.h |    7 ++++++-
 2 files changed, 12 insertions(+), 3 deletions(-)

commit 7b65d76d5f6e5cad5ad0e8fe9a4c0a1653fec0cf
Author: Matthew Brush <matt@geany.org>
Date:   Thu Aug 16 17:46:18 2012 -0700

    Fix comment style and wording from last commit
    
    Don't use C99/C++ style comments and elaborate a bit on the purpose
    of the call.

 src/editor.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e1a1c54d784c3285b536f1608bb98e1355094644
Author: Yosef Or <Yosefor3@walla.com>
Date:   Sun Aug 12 23:28:24 2012 +0300

    Keep code direction LTR

 src/editor.c |    3 +++
 1 file changed, 3 insertions(+)

commit d36db75bcbcbc43c747d86da0d647528cbb2b904
Author: Matthew Brush <matt@geany.org>
Date:   Fri Aug 10 21:05:41 2012 -0700

    ClassBuilder: Defy GTK+ conventions and instead generate valid C code

 plugins/classbuilder.c |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 7193a1161b0078dedea3dd588910daaf8b1f5dc7
Author: Matthew Brush <matt@geany.org>
Date:   Fri Aug 10 18:19:54 2012 -0700

    Minor style changes from last commit

 src/editor.c |   11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit a17e37bcd84c642136614c6e60a62a4c1bd7604a
Author: Alexander Eberspächer <alex.eberspaecher@gmail.com>
Date:   Fri Aug 10 11:03:42 2012 +0200

    Test against the lexer instead of the filetype when computing
    indentation. This fixes Cython indentation.

 src/editor.c |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 9a63e05f63871e2c89a32f59c585cc93538d74e0
Author: Matthew Brush <matt@geany.org>
Date:   Thu Aug 9 16:49:45 2012 -0700

    Change plugin manager's OK button response to GTK_RESPONSE_OK
    
    Used to be GTK_RESPONSE_CANCEL for some reason.

 src/plugins.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bc5b68822dee11a7c007fee633cf97db0a55b8dd
Author: Matthew Brush <matt@geany.org>
Date:   Thu Aug 9 14:09:27 2012 -0700

    Remove indirection from callback handler

 src/plugins.c |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit e62bec43fcf31451242ea1b8c6107bebab7f9f8b
Author: Matthew Brush <matt@geany.org>
Date:   Thu Aug 9 18:15:47 2012 -0700

    Use `g_build_filename()` instead of `g_strconcat()` for paths

 src/editor.c      |    7 +++----
 src/filetypes.c   |   18 +++++++++---------
 src/keybindings.c |    6 +++---
 src/keyfile.c     |    4 ++--
 src/main.c        |   10 +++++-----
 src/msgwindow.c   |    3 +--
 src/plugins.c     |   10 +++++-----
 src/project.c     |    9 ++++-----
 src/symbols.c     |    8 ++++----
 9 files changed, 36 insertions(+), 39 deletions(-)

commit c2c6a70515d8863347b7022bcf35970b933c1a57
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Aug 8 15:33:45 2012 +0200

    Open files with leading or trailing whitespaces through the socket

 src/socket.c |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit d152c5ce2235c0bd34cc76613e3045100f95a4b9
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Aug 7 17:50:17 2012 +0200

    Properly indent even if the indenting character isn't the last one
    
    For all languages, this change allows comments at the end of the
    checked line, e.g.:
    
    	if 42:  # magic number
    		print("I'm indented!")
    
    For languages with braces, it also properly indent if there is code
    on the same line as the opening brace, e.g.:
    
    	if (42) { printf("some code here...");
    		printf("...but I'm properly indented");
    	} else { /* comment! */
    		printf("normal block is fine too, of course");
    	}
    
    Although this is uncommon (and quite ugly) it's valid and should be
    handled properly.

 src/editor.c |   61 ++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 34 insertions(+), 27 deletions(-)

commit 4c2d8998d736d67215e0e1d7057505f19af6ae2f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Aug 6 16:12:31 2012 +0200

    Fix a reference to a function in the documentation

 src/ui_utils.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 63249c71e82a2fa9bd56b3e151f901a85fdea394
Author: Matthew Brush <matt@geany.org>
Date:   Fri Aug 3 18:49:04 2012 -0700

    Dedent switch block from last commit, pure noise

 tagmanager/ctags/c.c |  206 +++++++++++++++++++++++++-------------------------
 1 file changed, 103 insertions(+), 103 deletions(-)

commit e76a35c2715bfc015af6c965a972bc3eaec35460
Author: Matthew Brush <matt@geany.org>
Date:   Fri Aug 3 18:41:15 2012 -0700

    Minor tweak to D "!" template parameter list parsing code
    
    Note:
    Indentation left as is so that the diff is readable, next commit contains
    the indentation fix.

 tagmanager/ctags/c.c |   13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit 89b7e089c42f52c50dba70bb508d8803fa830f0a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jul 31 00:33:53 2012 +0200

    Fix invalid use of strcpy() on overlapping memory
    
    strcpy()'s behavior on overlapping memory is undefined, so replace such
    uses with memmove().
    
    Based on CTags r783: https://ctags.svn.sourceforge.net/svnroot/ctags@783

 tagmanager/ctags/ctags.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fd40e4aa547b4fb8027bd9a5a8946afc7c93fd8d
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jul 31 00:32:53 2012 +0200

    Mark a few things as static
    
    Based on CTags r779: https://ctags.svn.sourceforge.net/svnroot/ctags@779

 tagmanager/ctags/objc.c |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 3a460a2c5ba2de3aa01f2bea2a001c36dd01b839
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jul 31 00:31:43 2012 +0200

    Remove and unused structure member
    
    Based on CTags r769: https://ctags.svn.sourceforge.net/svnroot/ctags@769

 tagmanager/ctags/read.c |    2 --
 tagmanager/ctags/read.h |    1 -
 2 files changed, 3 deletions(-)

commit 13e5c0202a73f70b4aa76dfa23aef7da5493e320
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jul 30 20:08:05 2012 +0200

    Fix Haskell parsing when a comment is the first thing inside a type
    
    Closes #3552129.

 tagmanager/ctags/haskell.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb54ccf8e1b8af381fa8d65f7ecf0872e5807fd2
Merge: 5110fab 4cdcaa2
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jul 30 17:06:00 2012 +0200

    Merge branch 'scintilla-update'

commit 4db0813a79f7dff8cfc7d29dbdeabf2f7f29ce1a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jul 30 02:55:36 2012 +0200

    Rewrite GTK printing using Scintilla
    
    We used to draw the pages to print ourselves, but it is a tedious and
    error-prone task (and we did made mistakes) that Scintilla would do
    better by itself.  So, rewrite the GTK (e.g. non-external) print code
    to use Scintilla's built-in capabilities of drawing the buffer's
    content on the pages.
    
    Not only this makes the code a lot simpler and shorter, but it gives a
    more accurate render (proper handling of tab stops, wrapping on word
    boundaries, no missing character when a wrapped line spans on multiple
    pages, ...), and it is noticeably faster (around 3 times).
    
    Additionally we now paginate properly, which fixes printing starting
    after page 1 or printing non-contiguous pages (we used to always print
    starting from page 1 and counting, no matter what pages were selected).
    
    However, note that obviously the render is not the same, even though
    it's quite similar.

 src/printing.c |  564 ++++++++++++--------------------------------------------
 1 file changed, 117 insertions(+), 447 deletions(-)

commit 5772178d3a98388d4e5df683d9a90ae2771e2152
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jul 30 01:38:59 2012 +0200

    printing: Avoid an useless allocation

 src/printing.c |   12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 5110fab0e10b2f352ce4dbf66d991820a97079dd
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jul 28 19:23:37 2012 +0200

    Fix search and replacement of empty matches (again)
    
    f4eb89cd7d79738a9c6c45e29abdd9d15d22e4fd was partially wrong and
    removed legitimate re-matches when two different matches ends at the
    same position.  Particularly, the replacement changes are reverted.
    
    Interestingly, Perl and Python does not agree on how to do such
    replacements.  Python does what I did in the above-cited commit, e.g.
    doesn't replace twice if the match end overlaps, but Perl does.
    Perl looks more legitimate here since both Python and Perl does find
    the overlapping matches when performing a search, so Python is the odd
    guy here doing it differently on replace than it does upon search.
    
    For example, replacing using the pattern "a?(?=b)" and the replacement
    string "_":
    
    	Python: ababcdb -> _b_bcd_b
    	Perl:   ababcdb -> __b__bcd_b
    
    But finding using the same pattern on the same input gives the same
    results on both:
    
    	Python: ababcdb -> ['a', '', 'a', '', '']
    	Perl:   ababcdb -> ['a', '', 'a', '', '']
    
    Anyway, GLib and us claim to support "Perl-compatible regular
    expressions", so we gotta follow Perl, especially in such doubtful
    situations.

 src/search.c |   47 ++++++++++++++++-------------------------------
 1 file changed, 16 insertions(+), 31 deletions(-)

commit 1ce4b1fac516f89dadb639cb773c76b68cfa286b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jul 28 00:31:56 2012 +0200

    Fix a reference to a file in HACKING

 HACKING |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95d767f873729db6a2feadac358a4a5d7a3e564c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jul 28 00:29:27 2012 +0200

    Document sci_get_lexer()
    
    This function is part of the plugin API but missed its documentation,
    leading to it not appearing in the generated API documentation.

 src/sciwrappers.c |    4 ++++
 1 file changed, 4 insertions(+)

commit f4eb89cd7d79738a9c6c45e29abdd9d15d22e4fd
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jul 28 00:15:24 2012 +0200

    Fix search and replacement of empty matches
    
    Regular expressions might match empty ranges, which weren't handled
    properly, but generally simply omitted.
    
    For example, the regular expression "^$" (empty line) never matched
    because we assumed empty results were not interesting, and actually
    needed more care in the code.  Alike, an expression matching only on
    its lookahead part, like "a?(?=b)" against "b", would stop further
    search, although it could even match a non-empty range if "ab" is
    present later in the input.  This last kind of expressions also lead
    to double-replacement because they first matched "ab" and then "b"
    alone when re-matching after the "a" replacement.
    
    This commit fixes:
     * searching when the matched range is empty;
     * step-by-step search when matching an empty range;
     * double replacement when the pattern re-matches an empty range
       straight after a replacement;
     * replacement to and empty string when the matching an empty range.
    
    A know issue though is the step-by-step replacement that won't replace
    an empty match but rather find the next match.

 src/search.c |   55 +++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 37 insertions(+), 18 deletions(-)

commit a091238617a5461a2f5642e9589f15748f4e28ac
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Jul 25 13:13:49 2012 +0200

    Fix searching out of document range
    
    If a search matched the very last character of the document, next
    search attempt started out of the document bounds.  This even lead
    to an infinite loop due to an improper sanity check.
    
    By the way, this fixes matching of contiguous results, as the next
    search used to improperly skip one character after the result.
    Although this looks like a huge issue, it was actually visible almost
    only on the match count since the whole matching line was printed.

 src/search.c |    7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit f90bdc5957a827ce044fed6d0a7cd286a7301014
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jul 26 16:13:34 2012 +0100

    Only set Find in Files directory once per-document
    
    Use the current document's directory unless the directory field has
    already been edited and the current document has not changed.
    Otherwise, prepend the current document's directory to the drop-down
    history in case it is wanted.
    
    This is useful to avoid losing the edited directory when it is less
    likely the user wants to use the current document's directory.

 doc/geany.html |   12 +++++++++---
 doc/geany.txt  |   12 ++++++++++--
 src/search.c   |   21 ++++++++++++++++++---
 3 files changed, 37 insertions(+), 8 deletions(-)

commit 98452edcc9e2ee542ba722f816fc6f0deeabc6f7
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jul 26 15:33:10 2012 +0100

    Update manual for search pref changes; add some links

 doc/geany.html |   14 ++++++++------
 doc/geany.txt  |   14 +++++++++-----
 2 files changed, 17 insertions(+), 11 deletions(-)

commit 924882098990776127bf68b68a045a8b1c956477
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jul 26 13:27:58 2012 +0100

    Fix installing data files with MSYS (Windows makefiles)

 makefile.win32 |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 14daf925ac03b2889a18921f5698ef849a247255
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jul 26 12:56:54 2012 +0100

    indent switch, add braces

 tagmanager/ctags/c.c |  196 +++++++++++++++++++++++++-------------------------
 1 file changed, 99 insertions(+), 97 deletions(-)

commit 5fff1e69c2c68f834f33ebb839127609f22a97bf
Author: Matthew Brush <matt@geany.org>
Date:   Tue Jul 24 17:56:29 2012 -0700

    Add NULL guard for reloading "untitled" documents
    
    Previously it was using a GLIB assertion which shouldn't be used
    to detect a normal condition and so it caused a warning on the
    console output when clicking "Reload" with an "untitled" document.

 src/callbacks.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d11f9a51b939bf39c3c1676ab823147d460ede75
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jul 17 23:09:00 2012 +0200

    Rely on GModule for adding or not the `--export-dynamic` linker flag
    
    We explicitly use GModule's .pc since 7b2f0fe, and it provides the
    appropriate flag: we don't need to add it ourselves anymore.  Moreover,
    since this flag is not needed (nor available) on all platforms (e.g.
    Windows or MacOS X), it is safer to let GModule deal with adding it
    anyway.

 src/Makefile.am |    2 --
 wscript         |    1 -
 2 files changed, 3 deletions(-)

commit 4cdcaa22e680757f4eca4b55a69e6a01eea07549
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jul 14 15:29:10 2012 +0200

    Update for new Scintilla styles

 data/filetypes.c           |    1 +
 src/highlighting.c         |    1 +
 src/highlightingmappings.h |    1 +
 3 files changed, 3 insertions(+)

commit 03509ee1a89856256f42a4ada5b635e70dab9472
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jul 14 15:02:14 2012 +0200

    Update Scintilla to version 3.2.1
    
    Closes #3540469

 NEWS                              |    2 +-
 scintilla/include/Platform.h      |    8 ++--
 scintilla/include/SciLexer.h      |    1 +
 scintilla/include/Scintilla.h     |    4 ++
 scintilla/include/Scintilla.iface |   63 ++++++++++++++++++------------
 scintilla/lexers/LexCPP.cxx       |   32 +++++++++++----
 scintilla/lexers/LexCSS.cxx       |   29 ++++++++++----
 scintilla/lexers/LexFortran.cxx   |   33 +++++++++++-----
 scintilla/lexers/LexHTML.cxx      |    2 +-
 scintilla/lexlib/CharacterSet.h   |   37 ++++++++++++++++--
 scintilla/src/AutoComplete.cxx    |   13 ++++++-
 scintilla/src/AutoComplete.h      |    8 ++++
 scintilla/src/CharClassify.cxx    |   16 ++++++++
 scintilla/src/CharClassify.h      |    1 +
 scintilla/src/Document.cxx        |   77 +++++++++++++++++++++----------------
 scintilla/src/Document.h          |    1 +
 scintilla/src/Editor.cxx          |   60 +++++++++++++++++++++++++----
 scintilla/src/Editor.h            |    1 +
 scintilla/src/PerLine.cxx         |   11 ++----
 scintilla/src/PerLine.h           |    2 +-
 scintilla/src/ScintillaBase.cxx   |   37 +++++++-----------
 scintilla/src/ViewStyle.h         |    2 +-
 scintilla/version.txt             |    2 +-
 23 files changed, 307 insertions(+), 135 deletions(-)

commit f0f3fc83ad8a9ae54896422fa9668b31f1e3f6bf
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Jul 9 13:27:30 2012 +0100

    Allow '!' char in D parameter lists

 tagmanager/ctags/c.c |    6 ++++++
 1 file changed, 6 insertions(+)

commit 8d26450f07cac40812a04fe2adfd29fa54f25059
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun Jul 8 17:11:50 2012 +0100

    Add status bar warning if Windows spawn timed out

 src/win32.c |    9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit deb5f3542b5b618e56ca9d823f40df062188eb6a
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jul 9 00:59:11 2012 +0200

    Bump API version to reflect Scintilla's SCI_{GET,SET}USEPALETTE removal
    
    Scintilla deprecated SCI_GETUSEPALETTE and SCI_SETUSEPALETTE messages,
    and since we don't build with deprecated API support they aren't
    available anymore.

 src/plugindata.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5af4dab5f06316395d1507455284d7f8c588f9e2
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Jul 6 13:17:54 2012 +0100

    Fix showing project name in sidebar documents
    
    This was broken if the base path ended with a directory separator.

 src/sidebar.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 74959b9cb91dcc4436c457f04a40df23a01de381
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jul 4 17:13:14 2012 +0100

    Support MSYS=1 to enable building with MSYS; use $/ instead of DIRSEP
    
    Defining MSYS=1 is cleaner than requiring users to define CP, RM, etc.

 doc/makefile.win32              |    6 ++++--
 makefile.win32                  |   14 +++++++++++---
 plugins/makefile.win32          |    4 ++++
 scintilla/makefile.win32        |    3 +++
 src/makefile.win32              |    4 ++++
 tagmanager/ctags/makefile.win32 |    4 ++++
 tagmanager/mio/makefile.win32   |    4 ++++
 tagmanager/src/makefile.win32   |    4 ++++
 8 files changed, 38 insertions(+), 5 deletions(-)

commit 65fe86369152420c4e7df32645975644dfe7b258
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jul 4 16:44:43 2012 +0100

    Use PREFIX=C:/libs and minor cleanup (Windows makefiles)
    
    This PREFIX works on both cmd.exe and MSYS, whereas backslash confuses
    MSYS.
    Use copy /y in doc/makefile.win32.
    Remove unused targets binclean, exec.

 doc/makefile.win32       |    2 +-
 makefile.win32           |    3 +--
 plugins/makefile.win32   |    4 ++--
 scintilla/makefile.win32 |    2 +-
 src/makefile.win32       |   12 ++----------
 5 files changed, 7 insertions(+), 16 deletions(-)

commit bfa2db50d6176083daf0b8d559ba3bd78ad77175
Merge: 40ab39d c72dce0
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jul 4 12:38:19 2012 +0100

    Merge branch 'tm/tree-refactoring'
    
    This moves CTags files into their own subdirectory and moves the
    tagmanager source and header files into their own subdirectory.
    
    The bulk of the work was done by Colomban.

commit c72dce06a55594247cad232d78bec9868f585587
Merge: 928de3d 40ab39d
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jul 4 12:15:53 2012 +0100

    Merge remote-tracking branch 'origin/master' into tm/tree-refactoring
    
    Conflicts:
    	makefile.win32
    	src/makefile.win32

commit 40ab39d8fd0a17603b5a3af885ad1ef9f26924e8
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jul 1 15:20:21 2012 +0200

    Map all filetype's character styles to 'character' named style

 data/filetypes.ada |    2 +-
 data/filetypes.asm |    2 +-
 data/filetypes.c   |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 409c1a68a5c7d180be2ae311ed54d00c25a61ac3
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 30 22:00:42 2012 +0200

    Make argument checking in Scintilla update script more strict

 scripts/update-scintilla.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f0b245cdae33b019fec5234263b66fe74bbbacb1
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 30 21:58:09 2012 +0200

    Fix a typo in the Scintilla update script (oops)

 scripts/update-scintilla.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6c0dc0978a4ee0ee1ed384e57356303fb0d274c
Merge: 098f127 7c0d4d1
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 30 20:13:56 2012 +0200

    Merge branch 'scintilla-update'

commit 098f12708760ac76c849f917804859e1ae66394e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 30 01:51:53 2012 +0200

    Drop now unused "scalar" named style

 data/colorschemes/alt.conf |    1 -
 data/filetypes.common      |    1 -
 2 files changed, 2 deletions(-)

commit 3d2302393032548a051f513cf2fa269541a320ec
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 30 01:51:38 2012 +0200

    Fix a few Shell style mappings

 data/filetypes.sh |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ad0297f42f01daa226de74b90d671d91735ca12c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 30 01:51:20 2012 +0200

    Fix a few Perl style mappings

 data/filetypes.perl |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 4ad643f756c5f10f73931fc4f15954f62c267513
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jun 27 16:33:34 2012 +0100

    Fix makefile.win32:install for MSYS

 makefile.win32 |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 78144ab606aba1a049cd090cbb574b4f94caf062
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jun 27 14:26:39 2012 +0100

    Make makefile.win32:install target work without MSYS
    
    Based on patch by Dimitar Zhekov.
    MSYS users should now define 'CP_R = cp -r'.
    Removed override of MAKE, as this is set automatically.

 makefile.win32 |   27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit 7c0d4d12458523cb175d7e63e0662aa288b5b5d0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Jun 27 01:04:33 2012 +0200

    Add a script to update Scintilla

 scripts/update-scintilla.sh |   87 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 87 insertions(+)

commit 298ce94c5ddc352a19a89dddcadc23bd3aed631b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jun 26 23:16:45 2012 +0200

    Update for new Scintilla styles

 data/filetypes.c           |    1 +
 data/filetypes.css         |    1 +
 src/highlighting.c         |    3 ++-
 src/highlightingmappings.h |    2 ++
 4 files changed, 6 insertions(+), 1 deletion(-)

commit f1dbdabf7695b39e8873a4a0c74a3a5e809a90b8
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jun 26 22:22:04 2012 +0200

    Add Scintilla update to NEWS

 NEWS |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 08d751daf206d606176bae9cc8cd216f00a1e662
Author: Dimitar Zhekov <dimitar.zhekov@gmail.com>
Date:   Tue Jun 26 21:39:56 2012 +0100

    Fix building with makefile.win32 from Windows command prompt, not MSYS

 makefile.win32     |   26 ++++++++++++--------------
 src/makefile.win32 |   10 +++++-----
 2 files changed, 17 insertions(+), 19 deletions(-)

commit 4dd0fe917501e1d67bf840f8f183acb32ad92b5b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jun 26 20:48:16 2012 +0200

    Update Scintilla to version 3.2.0

 scintilla/gtk/PlatGTK.cxx          | 1204 +++++-------------------------------
 scintilla/gtk/ScintillaGTK.cxx     |  142 ++---
 scintilla/include/ILexer.h         |    8 +
 scintilla/include/Platform.h       |  196 +++---
 scintilla/include/SciLexer.h       |  130 ++++
 scintilla/include/Scintilla.h      |   31 +-
 scintilla/include/Scintilla.iface  |  233 ++++++-
 scintilla/lexers/LexAda.cxx        |    1 +
 scintilla/lexers/LexAsm.cxx        |    6 +-
 scintilla/lexers/LexBash.cxx       |   11 +-
 scintilla/lexers/LexBasic.cxx      |    6 +-
 scintilla/lexers/LexCPP.cxx        |   50 +-
 scintilla/lexers/LexCSS.cxx        |  228 ++++++-
 scintilla/lexers/LexD.cxx          |    6 +-
 scintilla/lexers/LexHTML.cxx       |   31 +-
 scintilla/lexers/LexNsis.cxx       |    1 +
 scintilla/lexers/LexOthers.cxx     |   33 +-
 scintilla/lexers/LexPascal.cxx     |   20 +
 scintilla/lexers/LexPerl.cxx       |    9 +-
 scintilla/lexers/LexRuby.cxx       |    6 +-
 scintilla/lexers/LexSQL.cxx        |  163 +++--
 scintilla/lexers/LexVHDL.cxx       |    3 -
 scintilla/lexlib/LexAccessor.h     |    2 +-
 scintilla/lexlib/PropSetSimple.cxx |    4 +-
 scintilla/scintilla_changes.patch  |   19 +-
 scintilla/src/AutoComplete.cxx     |   11 +-
 scintilla/src/AutoComplete.h       |    3 +-
 scintilla/src/CallTip.cxx          |   63 +-
 scintilla/src/CallTip.h            |   23 +-
 scintilla/src/CellBuffer.cxx       |    8 +
 scintilla/src/CellBuffer.h         |    2 +
 scintilla/src/Decoration.cxx       |    4 +-
 scintilla/src/Document.cxx         |  281 +++++----
 scintilla/src/Document.h           |   11 +-
 scintilla/src/Editor.cxx           | 1099 +++++++++++++++++---------------
 scintilla/src/Editor.h             |   34 +-
 scintilla/src/FontQuality.h        |    3 +
 scintilla/src/Indicator.cxx        |   14 +-
 scintilla/src/Indicator.h          |    2 +-
 scintilla/src/LineMarker.cxx       |  168 +++--
 scintilla/src/LineMarker.h         |   35 +-
 scintilla/src/PerLine.cxx          |   63 +-
 scintilla/src/PerLine.h            |    1 +
 scintilla/src/PositionCache.cxx    |   18 +-
 scintilla/src/PositionCache.h      |   14 +-
 scintilla/src/ScintillaBase.cxx    |   36 +-
 scintilla/src/ScintillaBase.h      |    2 -
 scintilla/src/SplitVector.h        |   18 +
 scintilla/src/Style.cxx            |   38 +-
 scintilla/src/Style.h              |   18 +-
 scintilla/src/UniConversion.cxx    |  117 ++++
 scintilla/src/UniConversion.h      |   15 +
 scintilla/src/ViewStyle.cxx        |  166 +++--
 scintilla/src/ViewStyle.h          |   46 +-
 scintilla/src/XPM.cxx              |   44 +-
 scintilla/src/XPM.h                |   10 +-
 scintilla/version.txt              |    2 +-
 57 files changed, 2435 insertions(+), 2477 deletions(-)

commit 40da14b5b1c9006aa4149481eb6a2d43ed4550fa
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun Jun 24 17:21:50 2012 +0100

    Add keybinding for 'Go to Start of Display Line' (#3182425)

 doc/geany.html    |   31 +++++++++++++++++++------------
 doc/geany.txt     |   21 +++++++++++++--------
 src/keybindings.c |    7 ++++++-
 src/keybindings.h |    1 +
 4 files changed, 39 insertions(+), 21 deletions(-)

commit 8187268ad0ee3c51f85acf3cbfa49f8ec0ab5dc2
Author: Chow Loong Jin <hyperair@debian.org>
Date:   Thu Jun 21 16:06:19 2012 +0800

    Link export plugin against libm (-lm)
    
    The export plugin uses the pow() function from libm without linking against
    it. It has worked so far because Geany itself has a link against libm, but
    should that be removed in the future, this would fail to resolve symbols.
    
    Signed-off-by: Chow Loong Jin <hyperair@debian.org>
    Signed-off-by: Colomban Wendling <ban@herbesfolles.org>

 plugins/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74115db3810d8c7a133bdc08260113e65413b5cd
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Jun 20 17:09:25 2012 +0200

    Update of Swedish translation

 po/sv.po |  602 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 301 insertions(+), 301 deletions(-)

commit 920fe578346b461ba7cd675ad2c88b3067c01d9c
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Tue Jun 19 00:02:48 2012 +0200

    Add missing files in the Windows installer
    
    Even this has been done post-release, the changes were also used
    for the 1.22 release.

 geany.nsi |    4 ++++
 1 file changed, 4 insertions(+)

commit d13ee0406a47856c5d19a4ba5a9615d11b554623
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 18 19:18:31 2012 +0200

    Update making-a-release for Git and new sever setup

 doc/making-a-release |   33 +++++++++++++++++----------------
 1 file changed, 17 insertions(+), 16 deletions(-)

commit e9d61aa7e5d112f9af6252655e3277cf2d7f2d20
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 18 19:16:05 2012 +0200

    Post release version bump

 NEWS             |    3 +++
 configure.ac     |    2 +-
 doc/geany.txt    |    2 +-
 geany.nsi        |    4 ++--
 geany_private.rc |    4 ++--
 src/geany.h      |    2 +-
 win32-config.h   |    2 +-
 wscript          |    2 +-
 8 files changed, 12 insertions(+), 9 deletions(-)

commit b7d245a7dfd797aaa328f020cd65f682767c92f5
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 18 15:28:06 2012 +0200

    Set release date

 NEWS           |    2 +-
 doc/geany.1.in |    2 +-
 doc/geany.html |   13 +++++++------
 doc/geany.txt  |    2 +-
 4 files changed, 10 insertions(+), 9 deletions(-)

commit 29e64583b9940fa8612053e060ad00841cebd32f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 18 16:08:52 2012 +0200

    Fix translations build and installation in VPATH builds

 m4/geany-i18n.m4 |    5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 03c66d5b513ee11cf37e591fd13f87ac468c9f1d
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 18 15:19:31 2012 +0200

    Consistently use US wording

 NEWS |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 3ff2f3409833213c386623f09fc19a7e27cc4743
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 18 15:18:52 2012 +0200

    Add a few missing NEWS entries

 NEWS |    4 ++++
 1 file changed, 4 insertions(+)

commit 1c2c455b1d326159da6a36ebfe225667bd511c91
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jun 18 01:13:05 2012 +0200

    Update copyright information

 README                      |    2 +-
 README.Packagers            |    2 +-
 doc/geany.txt               |    5 +++--
 doc/plugins.dox             |    2 +-
 doc/pluginsignals.c         |    4 ++--
 doc/pluginsymbols.c         |    4 ++--
 geany.nsi                   |    6 +++---
 geany_private.rc            |    2 +-
 plugins/classbuilder.c      |    4 ++--
 plugins/demoplugin.c        |    4 ++--
 plugins/export.c            |    4 ++--
 plugins/filebrowser.c       |    4 ++--
 plugins/geanyplugin.h       |    4 ++--
 plugins/htmlchars.c         |    6 +++---
 plugins/saveactions.c       |    4 ++--
 plugins/splitwindow.c       |    4 ++--
 src/about.c                 |    5 +++--
 src/about.h                 |    4 ++--
 src/build.c                 |    4 ++--
 src/build.h                 |    4 ++--
 src/callbacks.c             |    4 ++--
 src/callbacks.h             |    4 ++--
 src/dialogs.c               |    4 ++--
 src/dialogs.h               |    4 ++--
 src/document.c              |    4 ++--
 src/document.h              |    4 ++--
 src/documentprivate.h       |    4 ++--
 src/editor.c                |    6 +++---
 src/editor.h                |    4 ++--
 src/encodings.c             |    4 ++--
 src/encodings.h             |    4 ++--
 src/filetypes.c             |    4 ++--
 src/filetypes.h             |    4 ++--
 src/filetypesprivate.h      |    4 ++--
 src/gb.c                    |    4 ++--
 src/geany.h                 |    4 ++--
 src/geanyentryaction.c      |    4 ++--
 src/geanyentryaction.h      |    4 ++--
 src/geanymenubuttonaction.c |    4 ++--
 src/geanymenubuttonaction.h |    4 ++--
 src/geanyobject.c           |    4 ++--
 src/geanyobject.h           |    4 ++--
 src/geanywraplabel.c        |    4 ++--
 src/geanywraplabel.h        |    4 ++--
 src/highlighting.c          |    5 +++--
 src/highlighting.h          |    4 ++--
 src/highlightingmappings.h  |    6 +++---
 src/images.c                |    4 ++--
 src/keybindings.c           |    4 ++--
 src/keybindings.h           |    4 ++--
 src/keyfile.c               |    4 ++--
 src/keyfile.h               |    4 ++--
 src/log.c                   |    4 ++--
 src/log.h                   |    4 ++--
 src/main.c                  |    4 ++--
 src/main.h                  |    4 ++--
 src/msgwindow.c             |    4 ++--
 src/msgwindow.h             |    4 ++--
 src/navqueue.c              |    4 ++--
 src/navqueue.h              |    4 ++--
 src/notebook.c              |    4 ++--
 src/notebook.h              |    4 ++--
 src/plugindata.h            |    4 ++--
 src/pluginprivate.h         |    4 ++--
 src/plugins.c               |    4 ++--
 src/plugins.h               |    4 ++--
 src/pluginutils.c           |    4 ++--
 src/pluginutils.h           |    4 ++--
 src/prefs.c                 |    4 ++--
 src/prefs.h                 |    4 ++--
 src/printing.c              |    4 ++--
 src/printing.h              |    4 ++--
 src/project.c               |    4 ++--
 src/project.h               |    4 ++--
 src/projectprivate.h        |    4 ++--
 src/sciwrappers.c           |    4 ++--
 src/sciwrappers.h           |    4 ++--
 src/search.c                |    4 ++--
 src/search.h                |    4 ++--
 src/sidebar.c               |    4 ++--
 src/sidebar.h               |    4 ++--
 src/socket.c                |    4 ++--
 src/socket.h                |    4 ++--
 src/stash.c                 |    4 ++--
 src/stash.h                 |    4 ++--
 src/support.h               |    4 ++--
 src/symbols.c               |    5 +++--
 src/symbols.h               |    4 ++--
 src/templates.c             |    4 ++--
 src/templates.h             |    4 ++--
 src/toolbar.c               |    4 ++--
 src/toolbar.h               |    4 ++--
 src/tools.c                 |    4 ++--
 src/tools.h                 |    4 ++--
 src/ui_utils.c              |    6 +++---
 src/ui_utils.h              |    4 ++--
 src/utils.c                 |    4 ++--
 src/utils.h                 |    4 ++--
 src/vte.c                   |    4 ++--
 src/vte.h                   |    4 ++--
 src/win32.c                 |    4 ++--
 src/win32.h                 |    4 ++--
 wscript                     |    4 ++--
 103 files changed, 211 insertions(+), 207 deletions(-)

commit 64cfa86f86a31c4511a3db333c78730d3d163d8e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 17 23:53:58 2012 +0200

    Remove broken 'deb' build system target
    
    The 'deb' target was supposed to build a Debian package from the
    sources but the 'debian/' subdirectory never existed.

 Makefile.am |    3 ---
 1 file changed, 3 deletions(-)

commit c037f01d0d831884dcca0bb50064a60eb7c14d4c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 17 23:33:08 2012 +0200

    Remove obsolete redundant dist-bzip2 build system target
    
    Automake provides dist-bzip2 since at least version 1.8, so remove our
    own target.  Moreover bzip2 distributions are a little obsolescent now
    Xz is available and spread enough.

 Makefile.am |    6 ------
 1 file changed, 6 deletions(-)

commit 292757777c6060402ddda2e357322efc67b63dd2
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 17 19:35:12 2012 +0200

    Generate ChangeLog from Git log
    
    The Makefile rule comes from https://live.gnome.org/Git/ChangeLog with
    slight modifications.

 ChangeLog          | 6877 +---------------------------------------------------
 ChangeLog.pre-1-22 | 6875 +++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am        |   15 +
 3 files changed, 6892 insertions(+), 6875 deletions(-)

commit 41793a0f7ba38c43c19e84d5577bcd5fff550414
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Jun 16 08:27:14 2012 +0200

    Updating NEWS for translations

 NEWS |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5344ada080d05eb92462f927ce332ff4340469d6
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Jun 16 08:18:31 2012 +0200

    Update of Brailian Portuguese translation

 po/pt_BR.po |  443 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 215 insertions(+), 228 deletions(-)

commit c7c7ff454059799f46c7ba9116c050254bf63c0f
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu Jun 14 19:14:32 2012 +0200

    Clean up a fuzzy string inside Turkish translation

 po/tr.po |    1 -
 1 file changed, 1 deletion(-)

commit fcee5d446f37ad3d837d3d9d65c6635214e3d21d
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Jun 13 18:46:32 2012 +0200

    Update of Turkish translation

 po/tr.po |  444 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 214 insertions(+), 230 deletions(-)

commit 1e15d2f0e3c0de8bd67ffac580533ec5916be397
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Jun 13 18:44:41 2012 +0200

    Update of Spanish translation

 po/es.po |   21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 95ce0a2bee50d39a5abb117b353ee5b086057a21
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jun 13 13:33:39 2012 +0100

    Disable D explicit fold points (as C filetypes do)

 data/filetypes.d |    3 +++
 1 file changed, 3 insertions(+)

commit afaec0b0bb769df4c4bf59b435985af58b77aec3
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Jun 11 19:05:49 2012 +0200

    Update of Kazakh translation

 po/kk.po |  446 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 222 insertions(+), 224 deletions(-)

commit ff0d63eeb55a0606c8ea659cde55d67ee9f19f19
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Jun 11 19:03:53 2012 +0200

    Update of German translation

 po/de.po | 1615 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 715 insertions(+), 900 deletions(-)

commit 97380d9c94b5782c30c53dad3cbe738b252c7286
Author: Jean-Philippe Moal <skateinmars@skateinmars.net>
Date:   Sat Jun 9 20:02:03 2012 +0200

    Update of French translation

 po/fr.po | 1760 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 759 insertions(+), 1001 deletions(-)

commit 7d097ca7ad7fe1cdd044fa83472facac091ce220
Author: Matthew Brush <matt@geany.org>
Date:   Sat Jun 9 19:48:13 2012 -0700

    Update 'docComment' keywords in C, C++, Vala, and Genie filetypes
    
    C and C++ have Doxygen keywords from:
        http://www.stack.nl/~dimitri/doxygen/commands.html
    
    Vala and Genie have Doxygen keywords and Valadoc keywords from:
        http://valadoc.org/#!wiki=markup

 data/filetypes.Genie.conf |    4 ++--
 data/filetypes.c          |    4 ++--
 data/filetypes.cpp        |    4 ++--
 data/filetypes.vala       |    4 ++--
 4 files changed, 8 insertions(+), 8 deletions(-)

commit a82f2f5445995abeb2c2c3e1b571850dbf7f41bd
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat Jun 9 16:16:36 2012 +0200

    Remove double opening bracket

 THANKS |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e6771cce4b92599fc98bac3accb901d462eea7aa
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sat Jun 9 16:15:58 2012 +0200

    Add missing closing brackets in mail addresses
    
    This should also fix the display problems on the website where this file is used.

 THANKS |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit f6cafce997e8e5359a887b532ab714829f4cbe8f
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Jun 9 14:41:21 2012 +0200

    Correct file permissions for some translation files to be 644

 0 files changed

commit db683890f6b589e7993ef2fc255ff3ee05ca9c69
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Jun 9 10:55:33 2012 +0200

    Update of Simplified Chinese translation

 po/zh_CN.po | 2731 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 1358 insertions(+), 1373 deletions(-)

commit 1c47dec4756f2299c4d1b9eae726539618d5d2d0
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Jun 9 10:35:23 2012 +0200

    Fixing an accelerator in German translation

 po/de.po |  332 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 166 insertions(+), 166 deletions(-)

commit 4be2fc07752622fe7b7e5f2ba0edc5b40c1ab19d
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Jun 9 10:34:11 2012 +0200

    Update of Italian transaltion

 po/it.po |    9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 213190ad0fee7cef82f067caba9a362a9a471f52
Author: kilo aka Gabor Kmetyko <kg.kilo@gmail.com>
Date:   Fri Jun 8 13:24:29 2012 +0200

    Updated Hungarian translations

 po/hu.po | 1707 ++++++++++++++++++++++++++------------------------------------
 1 file changed, 724 insertions(+), 983 deletions(-)

commit 0a9262d4d37696c6ac369ca7d2b7c4935dc094b3
Author: Lex Trotman <elextr@gmail.com>
Date:   Sat Jun 9 13:44:42 2012 +1000

    Add incompatibilities to NEWS
    
    Add section outlining incompatibilities in accordance with ML.

 NEWS |    7 +++++++
 1 file changed, 7 insertions(+)

commit e44198abb2080904576f3d7a52814d3d6c737339
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Jun 5 18:27:14 2012 +0100

    Parse D functions with various attributes/storage classes
    
    Parse @attributes, pure, nothrow.
    Parse return types immutable(T), shared(T), inout(T).

 NEWS           |    5 +++--
 tagmanager/c.c |   58 ++++++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 45 insertions(+), 18 deletions(-)

commit edeaa521a2a5eb1b759f50c750422ffb262c587e
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Jun 8 13:28:07 2012 +0100

    Show info message if selection style is invisible, not warning

 src/highlighting.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 928de3d68425374f154f01367ddce0c0bd8f0260
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jun 7 16:45:37 2012 +0100

    Don't suppress warnings or define G_OS_WIN32 (Windows build)

 tagmanager/src/makefile.win32 |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9f99b4f55ad4a1adae4d2db7858b91e95e81c8ad
Merge: 18cec1f 177d642
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jun 7 16:32:32 2012 +0100

    Merge remote-tracking branch 'origin/master' into tm/tree-refactoring

commit 177d6428cb337c5cebd3545afdecea97ba3a1f43
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Jun 6 21:54:12 2012 +0200

    Update of Lithuanian, Italian, Dutch and Portugese translation

 po/it.po |   31 +++--
 po/lt.po |  393 ++++++++++++++++++++++++++--------------------------
 po/pl.po |  330 ++++++++++++++++++++++----------------------
 po/pt.po |  466 ++++++++++++++++++++++++++++++--------------------------------
 4 files changed, 604 insertions(+), 616 deletions(-)

commit 18cec1fb81b5a4d186a352e0264a2f1d065bbe3a
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jun 6 15:21:00 2012 +0100

    Fix Windows build

 plugins/makefile.win32        |    2 +-
 src/makefile.win32            |    2 +-
 tagmanager/src/makefile.win32 |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 6f0d015ed2eed5563d02d7824a098256e9874bb9
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jun 6 15:19:34 2012 +0100

    Fix documentation using old directory tagmanager/include

 doc/Doxyfile.in  |    6 +++---
 src/plugindata.h |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 4e5a7231bf5f7c739b0bc1cd8d55e771cebf7758
Author: Matthew Brush <matt@geany.org>
Date:   Mon Jun 4 14:29:23 2012 -0700

    Always select current editor font when showing the font dialog
    
    Previously, choosing another font and then pressing cancel would keep
    the font selected rather than resetting it to the current editor font
    because the dialog is not destroyed between showings.

 src/dialogs.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9d7ff79a9a4a1e8640847c062ac085a8944e6de2
Author: Matthew Brush <matt@geany.org>
Date:   Mon Jun 4 14:18:49 2012 -0700

    Restore secondary clear icon functionality in Preferences dialog
    
    Ensures all entries that get a clear icon added to the secondary position
    also set the secondary icon to be activatable. This was probably
    introducted during the Glade switch and could be fixed in the Glade file
    but this fix ensures that even hard coded entries will always have their
    clear icon activatable.

 src/ui_utils.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit cfdedf4e678a19f157f981de0777491c97098f2d
Author: Matthew Brush <matt@geany.org>
Date:   Mon Jun 4 13:54:08 2012 -0700

    Remove sentence from documentation that doesn't apply anymore
    
    With newer GTK+ releases, leaving this field blank causes the "Recent
    Files" "feature" to be used rather the the expected current working
    directory. No replacement text added to explain the new behaviour since
    it would be incorrect with older GTK+ versions, would likely be incorrect
    on Windows with native dialogs and it will possibly be reverted in GTK+
    in the future.
    
    Recenerate HTML manual, including previous changes from other commits.

 data/geany.glade |    2 +-
 doc/geany.html   |   23 +++++++++++++++++------
 doc/geany.txt    |    1 -
 3 files changed, 18 insertions(+), 8 deletions(-)

commit 06c1b342d453857197610a4e272d5742ac3d6885
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Jun 4 17:29:04 2012 +0200

    Update of Japanese translation

 po/ja.po |  438 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 213 insertions(+), 225 deletions(-)

commit 682752a0f587a961dd7aea2a994da450c328b987
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Jun 4 17:28:50 2012 +0200

    Update of Italian translation

 po/it.po |  321 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 161 insertions(+), 160 deletions(-)

commit 7a0dc3ea8334271027fa5af8fb140e7912dd5933
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Jun 4 17:28:38 2012 +0200

    Update of Spanish translation

 po/es.po |  430 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 208 insertions(+), 222 deletions(-)

commit 23009bf35d742458457c0df25210dbe7a67e992e
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Jun 4 13:46:27 2012 +0100

    Fix using CXX, CC as usual to prevent override problems (Windows build)

 scintilla/makefile.win32 |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit c37d8b4390811bd59064b9b7e6bb8b807a6ac6a6
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Jun 4 13:30:55 2012 +0100

    Do not suppress warnings (Windows makefiles)
    
    Also do not define G_OS_WIN32.

 scintilla/makefile.win32      |    2 +-
 tagmanager/makefile.win32     |    4 ++--
 tagmanager/mio/makefile.win32 |    4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 304f3a8b476351230bc0324597f0689e9cddebeb
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Mar 11 11:51:47 2012 +0100

    Adding a small note pointing out that setting a default keybinding might not the best idea for plugin maintainers

 src/keybindings.c |    3 +++
 1 file changed, 3 insertions(+)

commit 7b3b65e27df77be862714e2de69aa9f61764a91b
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun Jun 3 18:04:03 2012 +0100

    Add workaround for users with an invisible selection style
    
    This is likely to be the case for any users that copied the system
    selection style line as this was incorrectly set before, but not
    applied.

 src/highlighting.c |    6 ++++++
 1 file changed, 6 insertions(+)

commit ff484c9a8bc355e8258e4db8457005461b451249
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun Jun 3 17:40:46 2012 +0100

    Do not override default selection foreground style

 data/filetypes.common |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd87e318cf846db3b3af1481942637969e891557
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun Jun 3 17:34:33 2012 +0100

    Fix applying default selection colors after editing 'selection' style
    
    Default colors were not restored when disabling the override flags.

 src/highlighting.c |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 12ba8350910f126cbfd2b0b817c293b0816f53f1
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Jun 3 17:53:17 2012 +0200

    Update of Lithuanian translation

 po/lt.po |   80 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 43 insertions(+), 37 deletions(-)

commit d0fe947a6f8eaf70f2d6eea7d161b50643d07b82
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Jun 3 17:51:20 2012 +0200

    Update po files after enabling more strings to be translatable.

 po/ar.po    |   49 +++++++++++++++++++++++++++++++++++--------------
 po/ast.po   |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/be.po    |   49 +++++++++++++++++++++++++++++++++++--------------
 po/bg.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/ca.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/cs.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/de.po    |   54 ++++++++++++++++++++++++++++++++++++------------------
 po/el.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/en_GB.po |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/es.po    |   49 +++++++++++++++++++++++++++++++++++--------------
 po/fa.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/fi.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/fr.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/gl.po    |   54 ++++++++++++++++++++++++++++++++++++------------------
 po/hu.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/id.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/it.po    |   49 +++++++++++++++++++++++++++++++++++--------------
 po/ja.po    |   54 ++++++++++++++++++++++++++++++++++++------------------
 po/kk.po    |   49 +++++++++++++++++++++++++++++++++++--------------
 po/ko.po    |   54 ++++++++++++++++++++++++++++++++++++------------------
 po/lb.po    |   54 ++++++++++++++++++++++++++++++++++++------------------
 po/lt.po    |   49 +++++++++++++++++++++++++++++++++++--------------
 po/mn.po    |   49 +++++++++++++++++++++++++++++++++++--------------
 po/nl.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/nn.po    |   51 ++++++++++++++++++++++++++++++++++++---------------
 po/pl.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/pt.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/pt_BR.po |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/ro.po    |   54 ++++++++++++++++++++++++++++++++++++------------------
 po/ru.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/sk.po    |   49 +++++++++++++++++++++++++++++++++++--------------
 po/sl.po    |   49 +++++++++++++++++++++++++++++++++++--------------
 po/sv.po    |   54 ++++++++++++++++++++++++++++++++++++------------------
 po/tr.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/uk.po    |   54 ++++++++++++++++++++++++++++++++++++------------------
 po/vi.po    |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/zh_CN.po |   52 +++++++++++++++++++++++++++++++++++-----------------
 po/zh_TW.po |   49 +++++++++++++++++++++++++++++++++++--------------
 38 files changed, 1339 insertions(+), 622 deletions(-)

commit 58a03352b6a0030f41210c2f67eb78371e4c41af
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Jun 3 17:48:30 2012 +0200

    Enable two strings for translation. Patch by gymka

 src/about.c    |    2 +-
 src/ui_utils.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 1d6efd332e6720b7d5305e94e54f1f02c934f772
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 3 16:56:31 2012 +0200

    Remove an useless NULL check and error message
    
    gtk_builder_new() cannot fail but in case of memory exhaustion, where
    the GLib allocator will abort anyway.

 src/ui_utils.c |    5 -----
 1 file changed, 5 deletions(-)

commit e98f11cbc504b5fb7711d2ce9bc641b28897272d
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 3 16:50:57 2012 +0200

    Display warnings, critical and error messages even if not in verbose mode

 src/log.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 70e0f6eaa0c7213e9f4681c5941b37a89a8e961c
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 3 16:47:18 2012 +0200

    Fix verbose output with GLib 2.32 and newer
    
    Since GLib 2.32, messages logged with levels INFO and DEBUG aren't
    output by the default log handler unless the G_MESSAGES_DEBUG
    environment variable contains the domain of the message or is set to
    the special value "all".
    
    Since we use INFO level messages for verbose mode, we need to make
    sure this environment variable is properly set when in verbose mode.

 src/main.c |    7 +++++++
 1 file changed, 7 insertions(+)

commit 9f042521e5ab1958c8274c981ff122b461a3e75f
Merge: 87046ee 084f43e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jun 3 15:09:34 2012 +0200

    Merge branch 'frlan/svn_cleanup'

commit 87046eeec092356eceeb979840f6e8d361368877
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Jun 3 10:20:14 2012 +0200

    Update of po-files for string freeze for upcoming 1.22 release

 po/ar.po    |  984 ++++----
 po/ast.po   | 6111 +++++++++++++++++++++++++-------------------------
 po/be.po    | 6042 +++++++++++++++++++++++++------------------------
 po/bg.po    | 6289 ++++++++++++++++++++++++++-------------------------
 po/ca.po    | 6069 +++++++++++++++++++++++++------------------------
 po/cs.po    | 6073 +++++++++++++++++++++++++------------------------
 po/de.po    |   37 +-
 po/el.po    | 6405 ++++++++++++++++++++++++++--------------------------
 po/en_GB.po | 6073 +++++++++++++++++++++++++------------------------
 po/es.po    | 6125 +++++++++++++++++++++++++-------------------------
 po/fa.po    | 6059 +++++++++++++++++++++++++------------------------
 po/fi.po    | 6322 ++++++++++++++++++++++++++-------------------------
 po/fr.po    | 6130 +++++++++++++++++++++++++-------------------------
 po/gl.po    | 6079 +++++++++++++++++++++++++------------------------
 po/hu.po    | 6623 ++++++++++++++++++++++++++++--------------------------
 po/id.po    | 3562 ++++++++++++++---------------
 po/it.po    | 2701 +++++++++++-----------
 po/ja.po    | 5887 ++++++++++++++++++++++++------------------------
 po/kk.po    | 3086 ++++++++++++-------------
 po/ko.po    | 6119 +++++++++++++++++++++++++-------------------------
 po/lb.po    | 6140 +++++++++++++++++++++++++-------------------------
 po/lt.po    |  215 +-
 po/mn.po    | 7227 +++++++++++++++++++++++++++++++++++++++++++++--------------
 po/nl.po    | 6085 +++++++++++++++++++++++++------------------------
 po/nn.po    | 2619 +++++++++++-----------
 po/pl.po    | 6039 +++++++++++++++++++++++++------------------------
 po/pt.po    | 6119 +++++++++++++++++++++++++-------------------------
 po/pt_BR.po | 6101 ++++++++++++++++++++++++-------------------------
 po/ro.po    | 6237 ++++++++++++++++++++++++++-------------------------
 po/ru.po    | 6075 +++++++++++++++++++++++++------------------------
 po/sk.po    | 1884 ++++++++--------
 po/sl.po    | 6571 +++++++++++++++++++++++++++--------------------------
 po/sv.po    | 2607 ++++++++++-----------
 po/tr.po    | 5887 ++++++++++++++++++++++++------------------------
 po/uk.po    | 6142 +++++++++++++++++++++++++-------------------------
 po/vi.po    | 6077 +++++++++++++++++++++++++------------------------
 po/zh_CN.po | 5799 ++++++++++++++++++++++++-----------------------
 po/zh_TW.po | 6042 ++++++++++++++++++++++++-------------------------
 38 files changed, 101967 insertions(+), 94675 deletions(-)

commit 084f43ed71151adb1fa9efa842d5b055e4165e83
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jun 2 11:41:52 2012 +0200

    Suggest to provide git-formatted patches rather than `git diff` ones

 doc/geany.txt |   11 +++++++++++
 1 file changed, 11 insertions(+)

commit 928b847c1e427f25f56d1715d18a0d1d30ab4f59
Author: Lex Trotman <elextr@gmail.com>
Date:   Sat Jun 2 16:09:16 2012 +1000

    Force selection to change when Default or Alt colourscheme chosen
    
    The selection foreground and background are not changed unless
    the respective 3rd or 4th field is true (see highlighting.c:790).

 data/colorschemes/alt.conf |    2 +-
 data/filetypes.common      |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 67ff99b1124594bd846be7a547558fe84837b9dd
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu May 31 23:28:46 2012 +0200

    Add a few missing NEWS entries

 NEWS |    2 ++
 1 file changed, 2 insertions(+)

commit 1725b72ec66730252f0cef48d17943588521cc65
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu May 31 22:53:51 2012 +0200

    Add a node about the possibility for third party plugins to be on p.g.o

 doc/plugins.dox |    2 ++
 1 file changed, 2 insertions(+)

commit a35435b4d9023bfab2832f1caa8c055c089b5f0f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu May 31 22:52:17 2012 +0200

    Reword a few sentences

 doc/plugins.dox |   32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit 7b339b8d3053f13020cdd82831b5e4e8b282e19a
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu May 31 22:33:07 2012 +0200

    Added a missing word and some smaller changes on spelling (GitHub; pull request)

 doc/geany.txt   |    2 +-
 doc/plugins.dox |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 54ed2189fe5a8c3f6d9c7a340c8647f4e4195e1f
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu May 31 22:27:56 2012 +0200

    Use capitilized version of Git inside documentation

 doc/geany.txt   |    2 +-
 doc/plugins.dox |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 05e5f756c11cd2ab66cf064301c115ae82fd5a7a
Merge: f0a9c42 c309360
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu May 31 22:19:32 2012 +0200

    Merge branch 'master' into tm/tree-refactoring

commit 8965b8bc48b4d04a43f318528d800df322079ffa
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu May 31 22:15:44 2012 +0200

    Some updates on general API documentation to reflect, that geany-plugins don't use svn anymore

 doc/plugins.dox |   46 +++++++++++++++++++++-------------------------
 1 file changed, 21 insertions(+), 25 deletions(-)

commit 81c84e553dc43bd9bf0589a07d41d2da5a929d2d
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Apr 29 17:36:45 2012 +0200

    Removing reference to svn from sending a patch for this document

 doc/geany.txt |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit dbeb690f6719eb210db3271080830325f1d1f8de
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Apr 28 10:40:38 2012 +0200

    Fixing one apperance of svn inside documentation

 doc/geany.txt |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit effab1a1291300018e8320b5a8c291c0ccb61cf4
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Mar 9 14:29:02 2012 +0100

    Remove svn specific scripts as the are not needed anymore

 scripts/svn-add.sh     |    8 -------
 scripts/svn-changes.sh |   60 ------------------------------------------------
 2 files changed, 68 deletions(-)

commit c30936028ee5a8d0ca70202bb57676298bc7d727
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue May 8 19:33:04 2012 +0200

    When not sorting the file list, don't preserve read order
    
    If the caller doesn't want the list to be sorted, there is no need to
    preserve the order in which the files were actually read, since that
    order is undefined anyway.

 src/utils.c |    2 --
 1 file changed, 2 deletions(-)

commit 13a7fb521e5a5d78f3a50a83ad6fa0eaacad2e6b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue May 8 19:32:04 2012 +0200

    Don't sort tags file list since the order doesn't matter

 src/symbols.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6f62a55370f629a051184799341498841e2dbb15
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue May 8 19:27:40 2012 +0200

    g_slist_prepend() is faster than _append() and the order doesn't matter

 src/symbols.c |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit d03b347145c06e32402613ee46e40eef065c97c3
Author: Matthew Brush <matt@geany.org>
Date:   Wed May 30 17:24:33 2012 -0700

    Remove duplicate NEWS item

 NEWS |    1 -
 1 file changed, 1 deletion(-)

commit 74faf9920e13f92f0bb8b16e0a2e9ed203ff3d89
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed May 30 17:25:24 2012 +0100

    Update for ntrel's changes

 NEWS |   43 +++++++++++++++++++++++++++++++++++++------
 1 file changed, 37 insertions(+), 6 deletions(-)

commit 8bb24011b6be4996ea141c6eaa338e3cdd00fafa
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed May 30 16:45:29 2012 +0100

    Tweak default string color for a little more contrast

 data/filetypes.common |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa5929ecbe75b2cd1adad1abcf3e52c3fac3ad28
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed May 30 13:02:53 2012 +0100

    Fix clearing styles in sci_set_lexer()

 src/sciwrappers.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c84d486472c19ae388fc068b82bd12c6e470fe7d
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed May 30 01:32:08 2012 +0200

    GeanyWrapLabel: fix rendering issues
    
    GtkLabel may re-create its PangoLayout between calls leading to the
    final layout used for rendering not to be set up with the appropriate
    values for our sizing.  Then, re-set up the layout each time we have to
    deal with it and straight before GtkLabel renders it.

 src/geanywraplabel.c |   17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit 6c15dd4724eac54f6d2ee9e1964af3a2cd1760f1
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed May 30 01:31:06 2012 +0200

    Drop GEANY_WRAP_LABEL_GET_PRIVATE() macro

 src/geanywraplabel.c |   25 +++++++++----------------
 1 file changed, 9 insertions(+), 16 deletions(-)

commit 232919a16d95cf1351a11e1e3ee6f82e3218378b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed May 30 01:23:27 2012 +0200

    GeanyWrapLabel: make sure we ask for the height matching our width
    
    With this patch, we make sure the height we query is the one matching
    the width we stored and not a newer or older one.
    
    This only fixes the sizing problem, the rendering issue visible in
    some situations is still present.
    
    This fix is replicated from the fix in libview's WrapLabel, see
    http://view.svn.sourceforge.net/viewvc/view/trunk/libview/libview/wrapLabel.cc?revision=132&view=markup
    It also includes the "fix for the fix",
    http://view.svn.sourceforge.net/viewvc/view/trunk/libview/libview/wrapLabel.cc?revision=135&view=markup

 src/geanywraplabel.c |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 9b39c9973a054c6abff398dd140483c7e2b89370
Author: Matthew Brush <matt@geany.org>
Date:   Tue May 29 15:51:02 2012 -0700

    Add some more items to NEWS

 NEWS |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 18dea90938b19bdf12b2d932ce5c964f8c40080b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue May 29 19:52:26 2012 +0200

    Show shadow around license text view in the about dialog
    
    Since the license is a huge piece of text expected to possibly scroll
    horizontally, and since most themes display the background of text
    views in a different color than the default widget background color,
    adding a shadow makes the edges more visible and the UI neater.

 src/about.c |    3 +++
 1 file changed, 3 insertions(+)

commit d354c597dcd4494dbfdfdccf126ff3bb45de007b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue May 29 19:31:26 2012 +0200

    Adjust border width of the "Credits" about tab

 src/about.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7aef9c18fb248def92302d1646f7d246f73430d1
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue May 29 19:27:25 2012 +0200

    Update copyright date in about dialog

 src/about.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 563249f7c6659ea2c6436f38af5977da4c5723c9
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue May 29 17:59:37 2012 +0100

    Warn user if current filetype might not support color schemes
    
    If the 'default' style isn't set to a named style, then probably the
    filetype styles have been overridden with manual colors and may not
    work properly with color schemes.
    
    Note: HTML-based filetypes won't show a warning because they don't
    have a 'default' style (they use 'html_default' instead).
    
    This is a simple heuristic, but is worth having to avoid some
    spurious bug reports when using the color schemes dialog.

 src/filetypesprivate.h |    1 +
 src/highlighting.c     |   17 +++++++++++++++++
 2 files changed, 18 insertions(+)

commit 12a1295dd1a0e769951b7d7a2ee89f90c4e869a5
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue May 29 17:54:36 2012 +0100

    Do not change message order for sci_set_lexer()
    
    Scintilla mentions clearing styles after setting lexer.

 src/sciwrappers.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit edd672c3e5d1aff00816e2fc57f58d69b84fa019
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue May 29 15:16:24 2012 +0100

    Don't clear styles when setting lexer id unless it has changed
    
    This fixes styles being cleared when using the Split Window plugin.

 src/sciwrappers.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d550bc781c2fa50078bdeacf2eeec16dcf0cee42
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon May 28 13:57:34 2012 +0200

    Update of German translation

 po/de.po |  920 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 466 insertions(+), 454 deletions(-)

commit 2ed1d6d8bbc936a8a21d205d34cf9910114632c0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun May 27 20:12:31 2012 +0200

    Do not apply color scheme upon color scheme selection dialog display
    
    Current color scheme was applied upon color scheme selection dialog
    display because the GtkTreeView::cursor-changed signal is emitted when
    the tree view is initially shown (since it actually gets the focus for
    the first time), uselessly re-applying the current color scheme.
    
    This is a performance issue because when many documents are open
    updating the color scheme can take a few seconds.
    
    Now we watch for the GtkTreeSelection::changed signal on the tree
    view's selection, which is only emitted when the selected item actually
    changes.  We also connect to that signal after filling the tree so we
    don't get notified on the initial selection setup.

 src/highlighting.c |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit ffd3d739db23c2da70faf960bc060e4a3e29c4ae
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun May 27 17:11:30 2012 +0100

    Fix a missing tag on global tags merge (oops)

 tagmanager/tm_tag.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 915bb5989e2a77469c02a17555f01e8d657dab88
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun May 27 00:28:45 2012 +0200

    Update NEWS to reflect current status

 NEWS |   55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit 262b48b52c66b2b7d10fc0235eb9d24ce1d90026
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun May 27 01:09:05 2012 +0200

    Add a separator after the Color Schemes menu item

 data/geany.glade |    7 +++++++
 1 file changed, 7 insertions(+)

commit e87f393192636e8c03b3743efd82da5e1aa6f167
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun May 27 01:03:18 2012 +0200

    Create color scheme menu item with Glade
    
    Now there is a dialog instead of a menu for selecting the color
    schemes, the item under View->Editor can be created with Glade like the
    rest of the menu.

 data/geany.glade   |   18 ++++++++++++++++++
 src/callbacks.c    |    7 +++++++
 src/callbacks.h    |    4 ++++
 src/highlighting.c |   21 +--------------------
 src/highlighting.h |    4 ++--
 src/main.c         |    3 ---
 6 files changed, 32 insertions(+), 25 deletions(-)

commit ac27a658d26dc6acd4fa73b0e548244879663e7b
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat May 26 08:38:27 2012 +0200

    Adding a missing space inside German translation

 po/de.po |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 23ed5511448d8a4f9450e71b6690690c1728d85e
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat May 26 08:37:31 2012 +0200

    Update of Lithuanian translation provided by Algimantas Margevičius

 po/lt.po |  777 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 396 insertions(+), 381 deletions(-)

commit cf3139de03d7c3b8916b3e22528766c8abd0f6e7
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri May 25 19:47:10 2012 +0200

    Use the same pointer type for all pointers in tm_tags_merge()
    
    This prevents GCC from complaining about implicit casts and comparisons
    between different pointer types.  It also makes the code a little less
    bound at dealing with TMTags.

 tagmanager/tm_tag.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f94aa373e4329dc6d3f103f21333c4e08e95355
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri May 25 19:44:17 2012 +0200

    Fix incomplete copy in tm_tags_merge() that lead to crashes

 tagmanager/tm_tag.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c7fa1fd9e26d414d8dee5ff699d8283f12f0865d
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed May 16 09:48:39 2012 +0200

    Updated Italian translation provided by Giuseppe Penone

 po/it.po | 2911 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1449 insertions(+), 1462 deletions(-)

commit ef59393e82c61534de17dca265612c8b8aabafe5
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed May 16 09:43:45 2012 +0200

    Update of Swedish translation by Tony Mattsson

 po/sv.po | 2061 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1046 insertions(+), 1015 deletions(-)

commit e5f7f7735f258c7863032778af627bc91e1f58ac
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed May 16 09:31:51 2012 +0200

    Update of Slovakian translation

 po/sk.po |  571 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 289 insertions(+), 282 deletions(-)

commit 3bdc8de2c452fa56fce825aac5019ffa1ad62726
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed May 16 09:30:32 2012 +0200

    Added Tomáš Vadina as Slovakian translator

 THANKS      |    1 +
 src/about.c |    1 +
 2 files changed, 2 insertions(+)

commit c04fd65a8fe5812735768fec6fb5990ecbac589e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon May 14 22:22:29 2012 +0200

    Add support for user-defined labels for custom commands
    
    This allows the user to define a label to be displayed in the menu in
    place of the command to be run.  This can be very useful if e.g. a
    custom command is too complex to be easily read in the menu, or if two
    custom commands are so similar could be confounded.

 src/keyfile.c  |   30 +++++++++++++++++++
 src/main.c     |    1 +
 src/tools.c    |   89 +++++++++++++++++++++++++++++++++++++++++---------------
 src/ui_utils.h |    1 +
 4 files changed, 98 insertions(+), 23 deletions(-)

commit f0a9c4298569972abcd6e8d37ddbe7d5c6a7729d
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue May 8 22:52:27 2012 +0200

    Update makefile.win32 build system

 makefile.win32                  |    8 +++---
 src/makefile.win32              |    4 +--
 tagmanager/Makefile.am          |    3 ---
 tagmanager/ctags/makefile.win32 |   56 ++++++++++++++++++++++++++++++++++++++
 tagmanager/makefile.win32       |   57 ---------------------------------------
 tagmanager/mio/makefile.win32   |    2 +-
 tagmanager/src/makefile.win32   |   52 +++++++++++++++++++++++++++++++++++
 7 files changed, 116 insertions(+), 66 deletions(-)

commit 13f3ee5e9982f627a743238defa5c5421518cf7e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue May 8 22:35:55 2012 +0200

    Update Waf build system

 wscript |  103 +++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 78 insertions(+), 25 deletions(-)

commit d69a153bb440bf5e27db6851fa291555be5f9d4b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue May 8 22:14:29 2012 +0200

    Refactor tagmanager source files architecture
    
    Split ctags and tagmanager sources, as follows:
    
    tagmanager/ctags: the parsers, more or less upstream CTags;
    tagmanager/mio: local MIO library copy;
    tagmanager/src: actual tagmanager sources.

 configure.ac                        |    3 +-
 plugins/Makefile.am                 |    4 +-
 src/Makefile.am                     |   30 +-
 tagmanager/Makefile.am              |   83 +-
 tagmanager/abc.c                    |  127 --
 tagmanager/actionscript.c           |   99 --
 tagmanager/args.c                   |  256 ---
 tagmanager/args.h                   |   58 -
 tagmanager/asm.c                    |  384 -----
 tagmanager/basic.c                  |  257 ---
 tagmanager/c.c                      | 3233 -----------------------------------
 tagmanager/cobol.c                  |   48 -
 tagmanager/conf.c                   |  127 --
 tagmanager/css.c                    |  234 ---
 tagmanager/ctags.c                  | 1401 ---------------
 tagmanager/ctags.h                  |   25 -
 tagmanager/ctags/Makefile.am        |   80 +
 tagmanager/ctags/abc.c              |  127 ++
 tagmanager/ctags/actionscript.c     |   99 ++
 tagmanager/ctags/args.c             |  256 +++
 tagmanager/ctags/args.h             |   58 +
 tagmanager/ctags/asm.c              |  384 +++++
 tagmanager/ctags/basic.c            |  257 +++
 tagmanager/ctags/c.c                | 3233 +++++++++++++++++++++++++++++++++++
 tagmanager/ctags/cobol.c            |   48 +
 tagmanager/ctags/conf.c             |  127 ++
 tagmanager/ctags/css.c              |  234 +++
 tagmanager/ctags/ctags.c            | 1401 +++++++++++++++
 tagmanager/ctags/ctags.h            |   25 +
 tagmanager/ctags/diff.c             |  136 ++
 tagmanager/ctags/docbook.c          |  151 ++
 tagmanager/ctags/entry.c            |  421 +++++
 tagmanager/ctags/entry.h            |  103 ++
 tagmanager/ctags/fortran.c          | 2241 ++++++++++++++++++++++++
 tagmanager/ctags/general.h          |  257 +++
 tagmanager/ctags/get.c              |  849 +++++++++
 tagmanager/ctags/get.h              |   51 +
 tagmanager/ctags/haskell.c          |  357 ++++
 tagmanager/ctags/haxe.c             |  233 +++
 tagmanager/ctags/html.c             |   69 +
 tagmanager/ctags/js.c               | 1650 ++++++++++++++++++
 tagmanager/ctags/keyword.c          |  254 +++
 tagmanager/ctags/keyword.h          |   32 +
 tagmanager/ctags/latex.c            |  244 +++
 tagmanager/ctags/lregex.c           |  696 ++++++++
 tagmanager/ctags/lua.c              |  130 ++
 tagmanager/ctags/main.h             |   82 +
 tagmanager/ctags/make.c             |  284 +++
 tagmanager/ctags/markdown.c         |  105 ++
 tagmanager/ctags/matlab.c           |  150 ++
 tagmanager/ctags/nestlevel.c        |   76 +
 tagmanager/ctags/nestlevel.h        |   52 +
 tagmanager/ctags/nsis.c             |  147 ++
 tagmanager/ctags/objc.c             | 1142 +++++++++++++
 tagmanager/ctags/options.c          |  236 +++
 tagmanager/ctags/options.h          |  111 ++
 tagmanager/ctags/parse.c            |  650 +++++++
 tagmanager/ctags/parse.h            |  137 ++
 tagmanager/ctags/parsers.h          |  109 ++
 tagmanager/ctags/pascal.c           |  357 ++++
 tagmanager/ctags/perl.c             |  380 ++++
 tagmanager/ctags/php.c              |  281 +++
 tagmanager/ctags/python.c           |  806 +++++++++
 tagmanager/ctags/r.c                |  195 +++
 tagmanager/ctags/read.c             |  605 +++++++
 tagmanager/ctags/read.h             |  120 ++
 tagmanager/ctags/rest.c             |  176 ++
 tagmanager/ctags/ruby.c             |  408 +++++
 tagmanager/ctags/sh.c               |  112 ++
 tagmanager/ctags/sort.c             |  220 +++
 tagmanager/ctags/sort.h             |   30 +
 tagmanager/ctags/sql.c              | 1675 ++++++++++++++++++
 tagmanager/ctags/strlist.c          |  280 +++
 tagmanager/ctags/strlist.h          |   52 +
 tagmanager/ctags/tcl.c              |  147 ++
 tagmanager/ctags/txt2tags.c         |  133 ++
 tagmanager/ctags/verilog.c          |  337 ++++
 tagmanager/ctags/vhdl.c             |  299 ++++
 tagmanager/ctags/vstring.c          |  230 +++
 tagmanager/ctags/vstring.h          |   82 +
 tagmanager/diff.c                   |  136 --
 tagmanager/docbook.c                |  151 --
 tagmanager/entry.c                  |  421 -----
 tagmanager/entry.h                  |  103 --
 tagmanager/fortran.c                | 2241 ------------------------
 tagmanager/general.h                |  257 ---
 tagmanager/get.c                    |  849 ---------
 tagmanager/get.h                    |   51 -
 tagmanager/haskell.c                |  357 ----
 tagmanager/haxe.c                   |  233 ---
 tagmanager/html.c                   |   69 -
 tagmanager/include/Makefile.am      |   10 -
 tagmanager/include/tm_file_entry.h  |  124 --
 tagmanager/include/tm_project.h     |  207 ---
 tagmanager/include/tm_source_file.h |  160 --
 tagmanager/include/tm_symbol.h      |   80 -
 tagmanager/include/tm_tag.h         |  375 ----
 tagmanager/include/tm_tagmanager.h  |   40 -
 tagmanager/include/tm_work_object.h |  184 --
 tagmanager/include/tm_workspace.h   |  181 --
 tagmanager/js.c                     | 1650 ------------------
 tagmanager/keyword.c                |  254 ---
 tagmanager/keyword.h                |   32 -
 tagmanager/latex.c                  |  244 ---
 tagmanager/lregex.c                 |  696 --------
 tagmanager/lua.c                    |  130 --
 tagmanager/main.h                   |   82 -
 tagmanager/make.c                   |  284 ---
 tagmanager/markdown.c               |  105 --
 tagmanager/matlab.c                 |  150 --
 tagmanager/mio/Makefile.am          |    2 -
 tagmanager/nestlevel.c              |   76 -
 tagmanager/nestlevel.h              |   52 -
 tagmanager/nsis.c                   |  147 --
 tagmanager/objc.c                   | 1142 -------------
 tagmanager/options.c                |  236 ---
 tagmanager/options.h                |  111 --
 tagmanager/parse.c                  |  650 -------
 tagmanager/parse.h                  |  137 --
 tagmanager/parsers.h                |  109 --
 tagmanager/pascal.c                 |  357 ----
 tagmanager/perl.c                   |  380 ----
 tagmanager/php.c                    |  281 ---
 tagmanager/python.c                 |  806 ---------
 tagmanager/r.c                      |  195 ---
 tagmanager/read.c                   |  605 -------
 tagmanager/read.h                   |  120 --
 tagmanager/rest.c                   |  176 --
 tagmanager/ruby.c                   |  408 -----
 tagmanager/sh.c                     |  112 --
 tagmanager/sort.c                   |  220 ---
 tagmanager/sort.h                   |   30 -
 tagmanager/sql.c                    | 1675 ------------------
 tagmanager/src/Makefile.am          |   34 +
 tagmanager/src/tm_file_entry.c      |  282 +++
 tagmanager/src/tm_file_entry.h      |  124 ++
 tagmanager/src/tm_project.c         |  568 ++++++
 tagmanager/src/tm_project.h         |  207 +++
 tagmanager/src/tm_source_file.c     |  369 ++++
 tagmanager/src/tm_source_file.h     |  160 ++
 tagmanager/src/tm_symbol.c          |  319 ++++
 tagmanager/src/tm_symbol.h          |   80 +
 tagmanager/src/tm_tag.c             |  854 +++++++++
 tagmanager/src/tm_tag.h             |  375 ++++
 tagmanager/src/tm_tagmanager.c      |   11 +
 tagmanager/src/tm_tagmanager.h      |   40 +
 tagmanager/src/tm_work_object.c     |  298 ++++
 tagmanager/src/tm_work_object.h     |  184 ++
 tagmanager/src/tm_workspace.c       | 1264 ++++++++++++++
 tagmanager/src/tm_workspace.h       |  181 ++
 tagmanager/strlist.c                |  280 ---
 tagmanager/strlist.h                |   52 -
 tagmanager/tcl.c                    |  147 --
 tagmanager/tm_file_entry.c          |  282 ---
 tagmanager/tm_project.c             |  568 ------
 tagmanager/tm_source_file.c         |  369 ----
 tagmanager/tm_symbol.c              |  319 ----
 tagmanager/tm_tag.c                 |  854 ---------
 tagmanager/tm_tagmanager.c          |   11 -
 tagmanager/tm_work_object.c         |  298 ----
 tagmanager/tm_workspace.c           | 1264 --------------
 tagmanager/txt2tags.c               |  133 --
 tagmanager/verilog.c                |  337 ----
 tagmanager/vhdl.c                   |  299 ----
 tagmanager/vstring.c                |  230 ---
 tagmanager/vstring.h                |   82 -
 166 files changed, 29788 insertions(+), 29748 deletions(-)

commit 11c3c91525919cb5b9f7bf168cbe8e894f345f88
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun May 6 08:14:14 2012 +0200

    Fixed a wrong reference to utils_open_browser()

 doc/pluginsymbols.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a80935835c3b49c0f29876e9d8efa0d309d49be
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Fri May 4 23:13:36 2012 +0200

    Use the same Python interpreter for the genapi.py script as for the Waf script
    
    This ensures we call the genapi.py script with the same Python interpreter as the Waf
    build system was called. This is relevant if the used interpreter is not 'python' but e.g.
    python2 or python2.6 or whatever.

 wscript |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d1c7e3f57e3a4fa2ac527cd14f5ece5501c10c3
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Fri May 4 23:11:40 2012 +0200

    PEP8 fixes

 plugins/genapi.py |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit af70c1dbcba5ef2b8f637e74d6dcd25aa8848f6b
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Fri May 4 23:10:43 2012 +0200

    Make the script Python3 compatible

 plugins/genapi.py |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 1588a675705cf0eb0a0025c67c9e7a623300589d
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu May 3 18:17:39 2012 +0200

    Update of Italian translation by Giuseppe Penone

 po/it.po |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 249f9bc285d605257b0279d0ffb034eb2785cdcd
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Apr 28 08:51:26 2012 +0200

    Update of Italian translation by Giuseppe Penone

 po/it.po | 2050 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1122 insertions(+), 928 deletions(-)

commit 33e1a81b4a5d9f7d282b260c868fd1a5d6c1efaf
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Apr 26 13:50:39 2012 +0100

    Ignore D 'static if' tests
    
    This prevents the parser getting confused.

 tagmanager/c.c |    8 ++++++++
 1 file changed, 8 insertions(+)

commit 3f7b888b32a46683f8d67902df4c5d45ddb11a0e
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Apr 26 13:18:05 2012 +0100

    Avoid unnecessary hash table for global tag filenames

 src/filetypes.c        |    9 ++++++---
 src/filetypesprivate.h |    1 +
 src/symbols.c          |   40 ++++++++++++++--------------------------
 3 files changed, 21 insertions(+), 29 deletions(-)

commit 6e46a7bd3d6805a7af995e0487a4ac22c97c35e3
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Apr 25 16:10:33 2012 +0100

    Fix existing leak when a matching ignore.tags item is parsed

 HACKING              |    1 +
 tagmanager/options.c |   10 +++++++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit a56373cabdceafb9e282ee5e287b5b3c7ce25b9f
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Apr 25 15:54:56 2012 +0100

    Support PREFIX* in ignore.tags

 doc/geany.html       |    6 +++++-
 doc/geany.txt        |    5 +++++
 tagmanager/options.c |    9 +++++++--
 3 files changed, 17 insertions(+), 3 deletions(-)

commit 000bd8547cb349afc50318fd3856df6cfafad4a8
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Apr 25 15:47:49 2012 +0100

    Use g_str_has_prefix to prevent invalid memory reads in find_shebang()

 src/filetypes.c |   10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 7c545a30940a403086859f2b2cdcd4d9221c38f7
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Apr 25 12:54:25 2012 +0100

    Delete temporary error file

 tagmanager/tm_workspace.c |    1 +
 1 file changed, 1 insertion(+)

commit 6edb38b54a6d6d3583bc41dfda17a1fe6489e9c0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Apr 23 20:45:40 2012 +0200

    Rewrite shebang interpreter matching a little
    
    Use a generic match code and an array of the mappings for easier code
    maintenance.

 src/filetypes.c |   56 ++++++++++++++++++++++++++-----------------------------
 1 file changed, 26 insertions(+), 30 deletions(-)

commit 4f87e31478866f8e221bbccd380c944d1bd565ce
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Apr 24 17:35:31 2012 +0100

    Show tag preprocessing errors on stderr

 tagmanager/tm_workspace.c |   11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit c17d128bcd64b4753607b87d2d5c27efc7e84970
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Apr 24 17:19:40 2012 +0100

    Add current dir to include path for tag preprocessing

 src/symbols.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 003185f897069ab44277dce8ecfa91f790785bd9
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Apr 24 16:33:31 2012 +0100

    Grep isn't required for tag file generation; remove replacing c99.tags
    
    This removes 'Replacing the default C/C++ tags file' - we should
    not encourage users to do this as it's unnecessary and error-prone
    when updating Geany.

 doc/geany.html |  688 ++++++++++++++++++++++++++++----------------------------
 doc/geany.txt  |   34 +--
 2 files changed, 358 insertions(+), 364 deletions(-)

commit 3275d510d8a64ce0d1be91aa8b11b3e845ff02fd
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Apr 23 16:58:55 2012 +0100

    Remove unportable pipe-to-grep tag generation hack
    
    Instead always ignore G_BEGIN_DECLS and G_END_DECLS tags.

 src/symbols.c             |    3 +++
 tagmanager/tm_workspace.c |    8 +-------
 2 files changed, 4 insertions(+), 7 deletions(-)

commit 1a9451bfc4915ada3ab2d0743293532f574cad00
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Apr 23 16:17:40 2012 +0100

    Fix NULL tags array warning in document_highlight_tags

 src/document.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d2d4f0b6233a80cbe6294d0fb68695f35d0a62a3
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Apr 23 13:44:22 2012 +0100

    Enforce filetype extension for user tag files

 src/symbols.c |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 24359942bfe96d37c76cccfc3e9993ec83e912d1
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun Apr 22 17:31:38 2012 +0100

    Show selected line count on status bar when whole lines are selected

 src/ui_utils.c |   15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 4bd962ee8dde25b4ce5605ce7b4bf43d79d066f6
Author: Lex Trotman <elextr@gmail.com>
Date:   Sun Apr 22 10:54:41 2012 +1000

    Remove hard coded option that prevents 64 bit tag generation.
    
    On GNU X86-64 systems the predefined macros are required
    to choose the correct headers, so tag definition fails with
    -undef.  Removed it from hardcoded, systems that need it can
    add it to CFLAGS.

 src/symbols.c |    7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 6b22ab908c825cf30bae4b5468dd632e46a2b23a
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Apr 15 16:54:05 2012 +0200

    Adding it into THANKS for Giuliano

 THANKS |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 712cdd6aa0005f65bd77b15c34cd29067864628d
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Apr 20 13:03:41 2012 +0100

    Merge global tags in order rather than resorting the whole array
    
    This is much faster than resorting, especially when there are many
    global tags files loaded.

 tagmanager/include/tm_tag.h |    3 +++
 tagmanager/tm_tag.c         |   45 +++++++++++++++++++++++++++++++++++++++++++
 tagmanager/tm_workspace.c   |    8 ++++----
 3 files changed, 52 insertions(+), 4 deletions(-)

commit d3aed9f08b843ea8df7dc39c26e00deb59813845
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu Apr 19 17:03:23 2012 +0200

    Adding a first version of Slovakian translation provided by Tomáš Vadina

 po/sk.po | 5381 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 5381 insertions(+)

commit 06d02e29db6694ff19ab47f39c7899fc96c9f6ba
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Apr 18 13:29:40 2012 +0100

    Indent with tabs

 tagmanager/docbook.c |   54 +++++++++++++++++++++++++-------------------------
 1 file changed, 27 insertions(+), 27 deletions(-)

commit 495336ca1910ddbb5fb2b699316d9f7b1ab5cd4d
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Apr 16 12:58:44 2012 +0100

    Fix DocBook styling (broken in 7ebdac)

 data/filetypes.docbook |   33 ++++++++++++++++++++++++++++++++-
 1 file changed, 32 insertions(+), 1 deletion(-)

commit ac34a19abe60def11a821d54fe2fbb0b9b6ca845
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Apr 16 12:05:18 2012 +0100

    Show SGML entity completion on first typing '&' again

 src/editor.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f2a93d379010af6d584addf867c9c22ab86d8a00
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Apr 16 11:56:25 2012 +0100

    Don't autocomplete XML entities when outside of XML style range

 src/editor.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ddeed5254dbb2b23a18c2685d4f2e2d2b224eed
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Apr 13 17:08:49 2012 +0100

    Enable entity completion for XML documents

 src/editor.c       |   21 +++++++++++----------
 src/highlighting.c |    2 ++
 2 files changed, 13 insertions(+), 10 deletions(-)

commit 9db1247b96d3815ff470cb02f40eb71eb881c0b6
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Apr 13 16:29:55 2012 +0100

    Cleanup HTML entity checks and fix HTML/PHP autocompletion

 src/editor.c |   56 +++++++++++++++++++++++++++++---------------------------
 1 file changed, 29 insertions(+), 27 deletions(-)

commit 3ecfe90ad775ae297aa36a98ac78b6b13a745b11
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Apr 13 09:33:38 2012 +0200

    Update of Slovenian translation provided by Jože Klepec

 po/sl.po | 1765 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 803 insertions(+), 962 deletions(-)

commit 3eb8e23ecccaed54c70597fc95990db98fff70c6
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Thu Apr 12 23:07:33 2012 +0200

    Code style cleanup
    
    Several small fixes to be more PEP8 compliant (while not completely on purpose).
    There are no functional changes.

 wscript |   33 +++++++++++++--------------------
 1 file changed, 13 insertions(+), 20 deletions(-)

commit 012a904e7496699b792761c12385cd289d7b6f68
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Thu Apr 12 23:00:39 2012 +0200

    Define minimum GTK and Glib versions globally to be reused later

 wscript |    9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 0249d3e90652b1aebabe32cfc7a9518596eb7fef
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Thu Apr 12 22:41:47 2012 +0200

    Don't warn about missing configure flags if configure shall be skipped

 autogen.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9fad7aaa55bbe4eeef6e4fd89ea6767c0325d846
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Apr 12 17:49:00 2012 +0100

    Hide autocompletion when the only entry has been typed
    
    Fixes #3516212.

 src/editor.c |   17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 5f0963d4706d40d6beefd844d2c7e7b25847a191
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Apr 12 17:39:10 2012 +0200

    List package dependencies only in configure.ac
    
    This prevents from having to update both configure.ac and geany.pc.in
    every time our dependencies (e.g. GTK version) change.

 configure.ac |    6 ++++--
 geany.pc.in  |    2 +-
 wscript      |    1 +
 3 files changed, 6 insertions(+), 3 deletions(-)

commit 890667db5ac473f4a40e8fd73591a7867bcff874
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Apr 11 21:58:45 2012 +0200

    Adding some more meta information to Norvegian translation

 po/nn.po |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bdf71ff58687684e574122b1b2a7d70589d54878
Author: Håkon Vågsether <hauk142@gmail.com>
Date:   Wed Feb 8 19:32:38 2012 +0100

    Added Norwegian Nynorsk translation

 po/nn.po | 5357 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 5357 insertions(+)

commit 78432b5806f492843af3eaf9a696e600fc4aad06
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Apr 10 04:07:16 2012 +0200

    Find in files: split extra options like a shell would do
    
    Don't simply split the the extra options string on spaces to build the
    grep argument list but rather split it in a shell-style fashion.
    
    This is probably more intuitive for most users, is more consistent with
    e.g. custom commands, and allows for spaces in an option or its
    argument.
    
    Closes #3516263.

 NEWS         |    4 ++++
 src/search.c |   13 +++++++++----
 2 files changed, 13 insertions(+), 4 deletions(-)

commit 728eeb854be9090595c16ce94918adeee23397fb
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sat Apr 7 18:21:51 2012 +0100

    Remove unnecessary fields from StashTreeValue

 src/stash.c |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 9f06d49f6f43aa54d00f7815a12bc8320dee8cfc
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sat Apr 7 18:09:28 2012 +0100

    Use union for StashTreeValue instead of void*
    
    This avoids many casts.

 src/stash.c |   42 +++++++++++++++++++-----------------------
 1 file changed, 19 insertions(+), 23 deletions(-)

commit 4509dd6457948838eab37e4fc61d5823a55e22e1
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Apr 6 17:46:02 2012 +0100

    Use union for StashPref extra fields that depend on widget_type
    
    This should make the code clearer vs. using a void*.

 src/stash.c |   29 ++++++++++++++---------------
 1 file changed, 14 insertions(+), 15 deletions(-)

commit f2d33bc16ea8c8c6ef5f8f5cd6aee77ec63f2129
Author: Dimitar Zhekov <dimitar.zhekov@gmail.com>
Date:   Thu Apr 5 20:59:57 2012 +0300

    Add stash_group_free_settings() function to API
    
    Frees the memory allocated for setting values in a group.

 plugins/geanyfunctions.h |    2 ++
 src/plugindata.h         |    5 +++--
 src/plugins.c            |    3 ++-
 src/stash.c              |   23 +++++++++++++++++++++++
 src/stash.h              |    2 ++
 5 files changed, 32 insertions(+), 3 deletions(-)

commit c7b3a09f05b32078f827b05fc0070345f9f7c33c
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Apr 4 13:37:31 2012 +0100

    Update bold flag after editing shortcut

 src/prefs.c |   38 ++++++++++++++++++++++++++++----------
 1 file changed, 28 insertions(+), 10 deletions(-)

commit 6286b288a483498fd427d2d22ca6b461bc914cbe
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Apr 4 13:17:41 2012 +0100

    Fix always showing Save All keybinding as overridden
    
    Defaults should use lowercase e.g. GDK_s, not GDK_S.

 src/keybindings.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e418d7aafeb1aa482255c723a095f2f92572c69
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Apr 3 16:56:32 2012 +0100

    Show overridden keybindings in bold for prefs dialog tree

 src/keybindings.c |    2 ++
 src/keybindings.h |    2 ++
 src/prefs.c       |   18 +++++++++++++-----
 3 files changed, 17 insertions(+), 5 deletions(-)

commit fa7959f31652612f72cc6dadbeb5e846373eac61
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Apr 3 16:09:06 2012 +0100

    Maintain sidebar width when sidebar is on the right
    
    Resizing the window should not affect sidebar width.
    Fixes #3514436.

 src/ui_utils.c |   15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 00143d2d78319c03574f0b393dd72e42ccf67c8a
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Apr 2 20:38:23 2012 +0200

    Update of Italian translation. Thanks to Giuseppe Penone

 po/it.po | 1642 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 721 insertions(+), 921 deletions(-)

commit ba4ccc6653fd2a7940999a4f57ef793682da8c3e
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Apr 2 15:56:47 2012 +0200

    Waf: mark Scintilla as using GLib and GModule
    
    This doesn't change anything in practice since GTK brings GLib and
    GModule is linked with the Geany program, but it's cleaner for the lib
    to list its true dependencies.

 wscript |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7b2f0fe5aef6c389738f4a861cc19dfec5ce2c42
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Apr 2 14:56:19 2012 +0200

    Explicitly depend on GModule
    
    GIO used to bring GModule, but it became a private dependency since
    GIO 2.31.  So, add explicit checks for GModule so we still build with
    GLib/GIO >= 2.31.
    
    Closes #3483388.

 configure.ac |    2 +-
 wscript      |    6 ++++--
 2 files changed, 5 insertions(+), 3 deletions(-)

commit e5ae146730241621fef781233f2446b1e44d6c1c
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Mar 31 09:44:39 2012 +0200

    Update of Italian translation. Thanks to Giuseppe Penone

 po/it.po | 7018 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 3125 insertions(+), 3893 deletions(-)

commit 8a15fe80ec58ebc22d27e7177539055ac72b2f80
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Mar 31 09:41:41 2012 +0200

    Remove ChangeLog of po-files. git-backlog is way better

 po/ChangeLog | 2140 ----------------------------------------------------------
 1 file changed, 2140 deletions(-)

commit c670742316d9c7417bfc21055c2d6f4d6cd8620b
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Mar 31 09:40:50 2012 +0200

    Update of German translation

 po/de.po | 3284 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1740 insertions(+), 1544 deletions(-)

commit 51dc2e9baff2ef9391ce8d5acbad7df3b834fb18
Author: Matthew Brush <matt@geany.org>
Date:   Wed Mar 28 22:50:18 2012 -0700

    Support plugins written in C++
    
    Rename use of C++ `template` keyword in plugin API function argument
    and add `G_BEGIN_DECLS` and `G_END_DECLS` to public header files to
    make them easier to include in C++ code. TagManager and Scintilla
    headers already have these `extern "C"` blocks so they shouldn't
    require any modifications.
    
    The Autotools build system already adds in a `dummy.cxx` to hint
    Automake into C++ linking to support Scintilla, which is quite
    convenient for dynamically loading of C++ plugins at run-time into
    the otherwise C-only program. The other build systems seem to also
    use the correct linking.

 doc/plugins.dox    |   23 ++++++++++++++++++++++-
 src/build.h        |    4 ++++
 src/document.h     |    4 ++++
 src/editor.h       |    4 ++++
 src/encodings.h    |    3 +++
 src/filetypes.h    |    4 ++++
 src/geany.h        |    8 ++++++--
 src/highlighting.h |    4 ++++
 src/keybindings.h  |    4 ++++
 src/msgwindow.h    |    3 +++
 src/plugindata.h   |    4 ++++
 src/prefs.h        |    4 ++++
 src/project.h      |    4 ++++
 src/search.h       |    4 ++++
 src/stash.h        |    4 ++++
 src/support.h      |    3 +++
 src/templates.c    |   10 +++++-----
 src/templates.h    |    6 +++++-
 src/toolbar.h      |    4 ++++
 src/ui_utils.h     |    3 +++
 src/utils.h        |    3 +++
 21 files changed, 101 insertions(+), 9 deletions(-)

commit 7b8add40192ac4dadd419666450adcb4b39176bd
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Mar 18 14:23:13 2012 +0100

    Better handling of duplicated tags in the sidebar

 src/symbols.c |  131 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 120 insertions(+), 11 deletions(-)

commit ec3efe04867c29ab64247ae62c77827fc743568a
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Mar 20 12:59:29 2012 +0000

    Fix existing user's goto tag/move tab workaround (oops)
    
    Write an empty keybindings.conf for new users to prevent the workaround
    for old defaults being written.
    
    Also remove generated comment in keybindings.conf, this file doesn't
    need an explanation as it is generated by Geany.

 src/keybindings.c |   23 +++++++++--------------
 1 file changed, 9 insertions(+), 14 deletions(-)

commit 99e8ed495b442afdc30259a5928b80595cdf2dc6
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Mar 19 16:36:27 2012 +0000

    Don't change existing user's goto tag, move tab keybindings
    
    This provides a workaround so existing users who upgrade should now
    be unaffected.
    
    The default changed for these in commits
    82769a046c6394d073cc8a32677d8d4794c12c4c and
    9ae71ab6cc3bb8185939e1536ffba41beb896686, but this may be
    confusing/annoying for existing users who have not edited any
    keybindings.
    
    Those commit messages were wrong about never affecting existing
    users. Thanks to Lex for raising this.

 src/keybindings.c |   15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit f4afe96880ed01b4ecb6ffe32e10c34e2b661399
Author: Eugene Arshinov <earshinov@gmail.com>
Date:   Sat Mar 10 17:43:49 2012 +0400

    Fix opening project in already running instance (via socket).
    
    Previously the code didn't properly handle the case when other project
    is already opened.

 src/socket.c |    7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 6badca5201d808eac10cc5b04ed812145f07e884
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Mar 15 16:12:32 2012 +0000

    Destroy color scheme dialog after closing instead of just hiding it

 src/highlighting.c |   11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 4e42814ead5c2306779af2602ff564476bea262f
Author: Matthew Brush <mbrush@codebrainz.ca>
Date:   Thu Mar 15 15:48:52 2012 +0000

    Automatically show color scheme dialog scrollbars, set shadow type

 src/highlighting.c |    3 +++
 1 file changed, 3 insertions(+)

commit d54504355e9eac6bd168c8c5934b2aed7b65255c
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Mar 14 20:19:39 2012 +0100

    Update of Hungarian translation

 po/ChangeLog |    1 +
 po/hu.po     | 1912 ++++++++++++++++++++++++++--------------------------------
 2 files changed, 852 insertions(+), 1061 deletions(-)

commit d3e5f775db0409752c1238d94bca2ce33267f2cb
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Wed Mar 14 20:16:46 2012 +0100

    Update of Lithuanian translation

 po/ChangeLog |    5 +
 po/lt.po     |  909 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 513 insertions(+), 401 deletions(-)

commit dcc079d814fda67d99c2d36b8a49ae09c3c92b8b
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Mar 14 16:56:55 2012 +0000

    Replace Color Schemes menu with custom dialog
    
    A dialog makes it easier to select different items when comparing
    themes, and easier to see the descriptions.

 src/highlighting.c |  160 +++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 108 insertions(+), 52 deletions(-)

commit a2efc32d1fbdc58b91d10ef34371263656981971
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Mar 13 13:48:15 2012 +0000

    Add basic install target, requires admin privileges and MSYS

 makefile.win32 |    9 +++++++++
 1 file changed, 9 insertions(+)

commit 43ee34f660418358f0970c3652d294030af2f18b
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Mar 12 19:03:05 2012 +0100

    Added Lithuanian translation

 THANKS       |    1 +
 po/ChangeLog |    5 +
 po/lt.po     | 5476 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/about.c  |    1 +
 4 files changed, 5483 insertions(+)

commit f3cff26ef85eaa887c49cb79d15aedd86af11532
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Mar 9 16:55:21 2012 +0100

    Added Arabian translation

 THANKS       |    1 +
 po/ChangeLog |    5 +
 po/ar.po     | 5370 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/about.c  |    1 +
 4 files changed, 5377 insertions(+)

commit 0df9835fd5662ce040a68e90422da2e8fb2b33d0
Author: Dimitar Zhekov <dimitar.zhekov@gmail.com>
Date:   Thu Mar 8 18:53:23 2012 +0200

    free configfile in configuration_reload_default_session

 src/keyfile.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5584990fb642d0ac908390860837535c9ef3c288
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Mar 5 19:28:53 2012 +0100

    Update of German translation

 po/ChangeLog |    5 +
 po/de.po     |  805 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 415 insertions(+), 395 deletions(-)

commit 3bcd7fc40078efd601f0e9bed8efec971d505db2
Merge: 3d4e8b4 5cc8a96
Author: Matthew Brush <mbrush@codebrainz.ca>
Date:   Sun Feb 26 21:04:50 2012 -0800

    Merge pull request #19 from techee/fixes
    
    Fixes

commit 3d4e8b41d419255ee1b0764fb60e45ea588bd800
Merge: d7d5a6d ca9dca9
Author: Matthew Brush <mbrush@codebrainz.ca>
Date:   Sun Feb 26 20:50:01 2012 -0800

    Merge pull request #25 from techee/project_patches
    
    Project patches

commit d7d5a6d7fb48c9b86218f1e826ffd1b05207a128
Author: Matthew Brush <matt@geany.org>
Date:   Sun Feb 26 20:12:38 2012 -0800

    Add some more key links to the Help menu (wiki, bug tracker, donate)

 data/geany.glade |  199 ++++++++++++++++++++++++++++++++----------------------
 src/callbacks.c  |   18 +++++
 src/callbacks.h  |   11 ++-
 src/geany.h      |    3 +
 4 files changed, 149 insertions(+), 82 deletions(-)

commit c54489c86c52bb0896be38149bf85e54a5a6851a
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sat Feb 25 19:42:21 2012 +0100

    Update of German translation

 po/ChangeLog |    5 +
 po/de.po     | 6193 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 3089 insertions(+), 3109 deletions(-)

commit 15bbe3633110759a137737ad5631bce0f644f2cd
Merge: 795ee4c f8fd930
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Feb 25 18:05:10 2012 +0100

    Merge branch 'earshinov/join-lines-2'

commit f8fd93039b577a21819baa7722314612e25b94e9
Author: Eugene Arshinov <earshinov@gmail.com>
Date:   Thu Jan 19 14:10:11 2012 +0400

    join_lines: Remove excessive comments

 src/keybindings.c |   54 ++++++-----------------------------------------------
 1 file changed, 6 insertions(+), 48 deletions(-)

commit 2d29296302a40e5af39a81657d9a91f049fe579f
Author: Eugene Arshinov <earshinov@gmail.com>
Date:   Sat Feb 25 17:29:04 2012 +0400

    join_lines: Remove `sci_fix_selection_anchors` function.
    
    Previously it was useful because `reflow_lines`, in case when selection
    contained trailing newline, removed that newline from selection by
    calling `sci_set_selection_end` which only works when anchor > current
    cursor position (it's mentioned in Scintilla's documentation on
    SCI_SETSELECTIONEND).
    
    Now trailing newline is removed by calling `sci_deselect_last_newline`
    which uses `sci_set_selection` with `start` and `end` arguments.  This
    function works regardless of the interposition of current cursor
    position and anchor.

 src/keybindings.c |   13 -------------
 1 file changed, 13 deletions(-)

commit f318b2cca0fa9fa024d3dddb908c1e490ab78a0e
Author: Eugene Arshinov <earshinov@gmail.com>
Date:   Wed Jan 18 10:42:32 2012 +0400

    join_lines: Remove some obsolete code from `reflow_lines`.
    
    The code joined current line with the next one when no text is selected.
    For "Join lines" command this behaviour is wrong; for "Reflow paragraph"
    the case is already handled outside the `reflow_lines` function.

 src/keybindings.c |    4 ----
 1 file changed, 4 deletions(-)

commit 1816b0d7f4a8b4022950ae5abfd74dbb60ce580c
Author: Eugene Arshinov <earshinov@gmail.com>
Date:   Thu Feb 23 23:54:52 2012 +0400

    join_lines: Don't exclude trailing newline from the selection in `reflow_lines`
    
    This is now done by the calling code.

 src/keybindings.c |    9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

commit 6b760b99d45238c343493f0bfe9f95958c071096
Author: Eugene Arshinov <earshinov@gmail.com>
Date:   Thu Feb 23 12:56:28 2012 +0400

    join_lines: Add "Join lines" command.
    
    The code of existing "Reflow paragraph" command was refactored to
    extract the bits required for the new command.

 src/keybindings.c |  105 ++++++++++++++++++++++++++++++++++++++---------------
 src/keybindings.h |    1 +
 2 files changed, 76 insertions(+), 30 deletions(-)

commit 795ee4cf4bea525814b5793a6771d3da78f6c863
Merge: 9fa6cfe 5fb7522
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Fri Feb 24 13:01:08 2012 -0800

    Merge pull request #28 from RetroX/patch-1
    
    Added size_t, ptrdiff_t, intN_t to filetypes.cpp.

commit 5fb7522b723b63a4eccdc9b1f13f1f44fb8c5f7c
Author: Alex Charron <classixretrox@gmail.com>
Date:   Fri Feb 24 15:29:17 2012 -0500

    Added size_t, ptrdiff_t, intN_t to filetypes.cpp.

 data/filetypes.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9fa6cfe47b606c447d8820613623a5a80b761cc0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Wed Feb 22 14:58:47 2012 +0100

    Rebuild HTML manual

 doc/geany.html |   19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 373734980b1ad8ab9990eae87e1a3dfc42537d05
Author: Dimitar Zhekov <dimitar.zhekov@gmail.com>
Date:   Mon Feb 20 21:20:48 2012 +0200

    altered Geany manual "Startup" to reflect that the default session is loaded even if opening file(s)

 doc/geany.txt |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 2cf30ebadbf8fe7b23310cf7fb4e83983251f536
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Tue Feb 21 22:55:36 2012 +0100

    Update of Kazakh translation. Thanks to Baurzhan Muftakhidinov

 po/ChangeLog |    5 +
 po/kk.po     | 6450 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 3253 insertions(+), 3202 deletions(-)

commit f5262a453ed7fbc4ab5f4387a066a597d147c8e9
Author: Eugene Arshinov <earshinov@gmail.com>
Date:   Sun Feb 19 10:46:00 2012 +0400

    Use Scintilla's MOVESELECTEDLINES{UP,DOWN} commands.

 src/keybindings.c |   35 ++---------------------------------
 src/sciwrappers.c |   10 ++++++++++
 src/sciwrappers.h |    3 +++
 3 files changed, 15 insertions(+), 33 deletions(-)

commit ad1c08ebbe6a7e33bddfea15fafb8f94fea95fb5
Author: Dimitar Zhekov <dimitar.zhekov@gmail.com>
Date:   Mon Feb 20 19:18:21 2012 +0200

    Load the default session even if opening file(s)
    
    A slightly simplified variant of the "rewritten load startup files"
    from Geany patch tracker. Does not check for CLI files when deciding
    whether to load the default session.

 src/main.c |   60 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 30 insertions(+), 30 deletions(-)

commit 3d570d750f9d3787aac5e42ade34741f2f22e7c5
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Feb 20 17:25:21 2012 +0100

    Map TCL "SUB_BRACE" style

 data/filetypes.tcl         |    1 +
 src/highlightingmappings.h |    3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit ca9dca94f890ed53741b2ec0b7bbdccaaeb72d36
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Feb 20 00:06:24 2012 +0100

    Drop 'already' from the message in project close confirmation dialog
    
    Suppose you have project A open and want to open project B. Then the message
    saying "The 'A' project is already open" displays. This is slightly confusing
    and feels like if you were trying to re-open project A even though you
    are opening different project. The message without 'already' looks clearer
    in this context.

 src/project.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e2f7db298f67960974fbca11427a50999aa3a8a
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 19 23:55:25 2012 +0100

    Modify project dialog signals
    
    Rename project-dialog-create signal to project-dialog-open because now
    the dialog exists all the time and the signal name is misleading. Add
    project-dialog-close signal to indicate that project dialog has been closed
    and plugins can remove their tabs when needed.
    
    In addition, bump plugin API and ABI version.

 doc/pluginsignals.c |   15 ++++++++++++---
 src/geanyobject.c   |   15 ++++++++++++---
 src/geanyobject.h   |    6 ++++--
 src/plugindata.h    |    4 ++--
 src/project.c       |    3 ++-
 5 files changed, 32 insertions(+), 11 deletions(-)

commit 4b1a3b39d43740899400e957d7e30ae2073f89cf
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Sun Feb 19 10:30:31 2012 +0100

    Small changes on function documentation of ui_lookup_stock_label() as doxygen complained a bit

 src/ui_utils.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 33d5378508be235954e86aabc1688ac9d07defdd
Author: Lex Trotman <elextr@gmail.com>
Date:   Fri Feb 17 09:26:03 2012 +1100

    Add build.h to list of headers installed (autotools)

 src/Makefile.am |    1 +
 1 file changed, 1 insertion(+)

commit c348ccae5841014a841f3649f194e9dd35691985
Author: Lex Trotman <elextr@gmail.com>
Date:   Fri Feb 17 09:02:34 2012 +1100

    Include build.h in headers installed for plugin use

 wscript |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 510bbfbb05bcec2e08bc2178fb05b142f3dd45bb
Author: Matthew Brush <matt@geany.org>
Date:   Wed Feb 15 17:05:25 2012 -0800

    Add .mm extension for Objective-C filetype

 data/filetype_extensions.conf |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa118fb12a0a2a98c6d80939d489cc57c5dcf23b
Author: Lex Trotman <elextr@gmail.com>
Date:   Wed Feb 15 14:18:34 2012 +1100

    Add build command access to plugin interface
    
    Add ability for plugins to read and edit the fields of the build commands.

 plugins/geanyfunctions.h |   10 +++
 src/build.c              |  162 +++++++++++++++++++++++++++++++++++++---------
 src/build.h              |   22 ++++---
 src/plugindata.h         |   25 +++++--
 src/plugins.c            |   13 +++-
 5 files changed, 185 insertions(+), 47 deletions(-)

commit 589ffff377bdaa930bd4b547c98b8b84db3a46c9
Author: Matthew Brush <matt@geany.org>
Date:   Sun Feb 12 22:35:08 2012 -0800

    Add Scintilla wrapper function sci_set_lexer()
    
    When the lexer is changed it clears all styling information and resets
    the folding state.
    
    Closes #3486917 and #3486918

 src/highlighting.c |    4 ++--
 src/sciwrappers.c  |    7 +++++++
 src/sciwrappers.h  |    1 +
 3 files changed, 10 insertions(+), 2 deletions(-)

commit b0b0ebb469a6b7eb74d321e6f5d7fe6f0bfcf6ba
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Feb 10 18:24:10 2012 +0100

    Make sure not to emit activation/change signals twice from entry action
    
    If connect_proxy() get called twice, then the handlers would have been
    connected twice, leading to wrongly emit activation/change signals twice
    for a single input signal.
    
    For whatever reason connect_proxy() is actually called twice for the
    quick search entry on Windows (but not on Linux), so this fixes the
    search entry behavior on Windows.

 src/geanyentryaction.c |   22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit 01fea3e7470756b51d1616e9b732a641f500de1b
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Feb 10 01:18:30 2012 +0100

    Remove possible '/' from display name when building socket filename
    
    MacOS X seems to have slashes in the display name, which prevent the
    socket file from being created.  So, replace such characters that may
    not appear in a filename with an underscore.

 src/socket.c |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 9426104f0b18dcca295c7615abd99dc3f207463f
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Feb 6 16:41:18 2012 +0000

    Remove utils_build_path() - use g_build_filename instead

 src/editor.c       |    4 ++--
 src/filetypes.c    |   14 +++++++-------
 src/highlighting.c |    4 ++--
 src/keyfile.c      |    6 +++---
 src/symbols.c      |    8 ++++----
 src/templates.c    |    2 +-
 src/toolbar.c      |    6 +++---
 src/utils.c        |   39 ---------------------------------------
 src/utils.h        |    2 --
 9 files changed, 22 insertions(+), 63 deletions(-)

commit e7befb410c895b0136a6c38a3b3d534395592729
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Feb 6 16:36:51 2012 +0000

    Remove utils_make_filename() - use g_strconcat instead

 src/filetypes.c |    4 ++--
 src/utils.c     |   24 ------------------------
 src/utils.h     |    2 --
 3 files changed, 2 insertions(+), 28 deletions(-)

commit 402249f1b814952e80c8df01863450fe1cd41b93
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Feb 6 16:08:55 2012 +0000

    Revert "Don't append file truncation warning if file doesn't exist"
    
    This reverts commit 7cc443e1420b77d041815a464fe5b20bc62412f4.
    
    Showing the truncation message only when the file exists doesn't work
    when writing to a network file and the connection drops out (thanks to
    Lex).

 src/document.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 8f453d14cfa375a71b0687c79ed387752d2783d5
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Mon Feb 6 11:26:50 2012 +0100

    Update of Traditional Chinese translation provided by Matthew Lien.

 po/ChangeLog |    7 +-
 po/zh_TW.po  | 1390 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 739 insertions(+), 658 deletions(-)

commit 6e2d26b12498fe6b1a982eaf6f49f51205608524
Merge: e686681 cc6e85f
Author: elextr <elextr@gmail.com>
Date:   Sun Feb 5 14:39:02 2012 -0800

    Merge pull request #22 from RetroX/patch-1
    
    Added C++11 keywords to syntax highlighter.

commit cc6e85f454a0af91f2e4606cc428757605d5ecc9
Author: Alex Charron <classixretrox@gmail.com>
Date:   Sun Feb 5 16:30:22 2012 -0500

    Added C++11 keywords to syntax highlighter.

 data/filetypes.cpp |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e6866813853886ac577fdaa1c1cfbf16fef66033
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Feb 5 19:46:59 2012 +0100

    Don't set error twice (oops)

 src/build.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0a22e8a624a095161dd3bdb958243be51510aa3f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Feb 5 17:58:50 2012 +0100

    Improve error handling in build_create_shellscript()

 src/build.c |   37 +++++++++++++++++++++++++++++--------
 1 file changed, 29 insertions(+), 8 deletions(-)

commit ce21bdfb215f60c270817b641b52ba954303ce9f
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Feb 5 17:26:33 2012 +0100

    Use g_set_error() rather than manualy creating the GError

 src/win32.c |   42 ++++++++++++++----------------------------
 1 file changed, 14 insertions(+), 28 deletions(-)

commit e66a3ba38950d0fb802a3534fd33ec7029ce27ab
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Feb 5 17:08:54 2012 +0100

    Don't use nonexistant --export-dynamic linker flag on Windows

 wscript |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ca340a8aa332e0c9ff4e5a5f54de944d6a091a74
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Tue Jan 31 15:04:23 2012 +0100

    Properly handle remote URIs received through drag 'n drop
    
    Closes #2966770, #3479567.

 src/document.c |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 9876ce5a3fdfe04936f23d5fd12fa47d66d524dd
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Mon Jan 30 18:21:15 2012 +0100

    Remove a redundant check

 src/main.c |    8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 9ff4eec8538549078d2011bd6be31d7c6f9b0194
Author: Matthew Brush <matt@geany.org>
Date:   Mon Jan 30 21:32:16 2012 -0800

    Fix Color Schemes menu items activation when used with libdbusmenu.
    
    I'm not even going to try to explain why this fixes it :)

 src/highlighting.c |    9 +++------
 src/main.c         |    4 +++-
 2 files changed, 6 insertions(+), 7 deletions(-)

commit cc3c2684fb969b2bdfc8fec30831eb0c9aee1677
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Thu Jan 26 22:52:22 2012 +0100

    Fix makefile.win32 for included regex removal

 tagmanager/makefile.win32 |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 58164c65f0bbc5bfd13c84aeabaca203befbb1a7
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jan 26 16:10:53 2012 +0000

    Remove static function utils_slist_remove_next()

 src/utils.c |   18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

commit 7cc443e1420b77d041815a464fe5b20bc62412f4
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jan 26 15:13:30 2012 +0000

    Don't append file truncation warning if file doesn't exist
    
    This warning shown after a failed save is unnecessary when the
    filename is invalid.

 src/document.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 30ec6e6e2b06da5e04d3440d29b2329908b523d3
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu Jan 26 11:42:24 2012 +0100

    Fix plural setting

 po/id.po |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit ae00745f48278da42afcf35ee7a0865ec9f8e482
Author: Frank Lanitz <frank@frank.uvena.de>
Date:   Thu Jan 26 11:36:09 2012 +0100

    Added Indonesian translation provided by Fajar Wahyu

 po/ChangeLog |    5 +
 po/id.po     | 6572 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 6577 insertions(+)

commit b287553e4aaf6065952d524541d9d37ca087742f
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jan 25 16:26:16 2012 +0000

    Use 'SETPTR' instead of 'setptr'
    
    This makes it clearer we're using a macro.

 plugins/filebrowser.c |   24 +++++++++++------------
 plugins/saveactions.c |    6 +++---
 src/build.c           |   52 ++++++++++++++++++++++++-------------------------
 src/callbacks.c       |   22 ++++++++++-----------
 src/dialogs.c         |    2 +-
 src/document.c        |   10 +++++-----
 src/editor.c          |    6 +++---
 src/encodings.c       |   10 +++++-----
 src/filetypes.c       |   26 ++++++++++++-------------
 src/highlighting.c    |   12 ++++++------
 src/keybindings.c     |    4 ++--
 src/keyfile.c         |    2 +-
 src/main.c            |    6 +++---
 src/msgwindow.c       |    8 ++++----
 src/notebook.c        |    4 ++--
 src/prefs.c           |    8 ++++----
 src/project.c         |   18 ++++++++---------
 src/search.c          |    2 +-
 src/socket.c          |    2 +-
 src/symbols.c         |    6 +++---
 src/templates.c       |    8 ++++----
 src/toolbar.c         |    2 +-
 src/ui_utils.c        |    2 +-
 src/utils.c           |    8 ++++----
 src/vte.c             |    4 ++--
 25 files changed, 127 insertions(+), 127 deletions(-)

commit ed66c2b29336d1edbaad4e7adaf4cf0737d02ccf
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jan 25 13:46:31 2012 +0000

    Remove LW() macro

 src/keybindings.c |  424 +++++++++++++++++++++++++++--------------------------
 1 file changed, 216 insertions(+), 208 deletions(-)

commit 011dd017e052ed6654d77db3fc99683f57aa08dd
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jan 25 13:40:39 2012 +0000

    Enable default Scintilla editing menu for Split Window
    
    This allows copying and pasting, undo etc.

 plugins/splitwindow.c |    1 +
 1 file changed, 1 insertion(+)

commit 951b5a9da5cd0a0492198164c0f1c7ff33e39dd5
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jan 25 12:45:01 2012 +0000

    Rectangular selection modifiers are Alt+Shift on Windows

 doc/geany.html |   12 +++++++-----
 doc/geany.txt  |   11 +++++++----
 2 files changed, 14 insertions(+), 9 deletions(-)

commit 9031335971a0f26625b3494d99b668c3af6befe0
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Jan 20 19:31:57 2012 +0100

    Set prefs' encoding combo boxes "wrap with" in the Glade file directly

 data/geany.glade |    2 ++
 src/prefs.c      |    5 -----
 2 files changed, 2 insertions(+), 5 deletions(-)

commit 7f16b9a4fb3af08239c928df3e634abd6af9ff16
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Jan 20 19:22:22 2012 +0100

    Fix content of encodings and EOL style prefs ComboBoxes (oops)
    
    I broke them in ca922e0ddc8022283ec3c1f49aaa15ab7c5ba213
    
    Now the two encoding combo boxes shares the same data, which is
    built only once.

 data/geany.glade |   14 ++++++++++----
 src/prefs.c      |   26 ++++++++++++++++++--------
 2 files changed, 28 insertions(+), 12 deletions(-)

commit 9130b84d86f4e078df480a2f1e798d835b158f52
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Fri Jan 20 19:14:31 2012 +0100

    Add ui_builder_get_object()
    
    This is used to get any object built from the UI file, not widgets only.

 src/ui_utils.c |    9 +++++++++
 src/ui_utils.h |    2 ++
 2 files changed, 11 insertions(+)

commit 21cd7bb2139fd67644e5777bb8e6387d34473d09
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jan 19 18:09:29 2012 +0000

    Add Project overrides for 'Saving files' checkbox options

 data/geany.glade     | 9071 +++++++++++++++++++++++++-------------------------
 src/document.c       |   11 +-
 src/project.c        |   97 +-
 src/project.h        |    2 +
 src/projectprivate.h |    4 +
 5 files changed, 4687 insertions(+), 4498 deletions(-)

commit 75ff98a2b6ed8deadbcf71a47e5f03e4b43c014f
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jan 19 12:54:12 2012 +0000

    Regenerate with Glade 3.8.1

 data/geany.glade | 6978 +++++++++++++++++++++++++++---------------------------
 1 file changed, 3489 insertions(+), 3489 deletions(-)

commit 6f64f31e0938ff743caf4f9d05cd87910ef2201b
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Thu Jan 19 13:12:51 2012 +0000

    Make Glade object names unique throughout
    
    This fixes object name clashes when making changes using Glade 3.8.1 (maybe a Glade bug).

 data/geany.glade |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 73bc824c8291f8940a9b9f7949515e1f0cb0d147
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jan 14 04:40:11 2012 +0100

    Restore line breaking preference's adjustment in Glade file
    
    It got removed by accident in commit
    c85b89afdd880b7a6aac42f953bab83d3938a4a3 "Port more of the Project properties dialog to Glade"

 data/geany.glade |    8 ++++++++
 1 file changed, 8 insertions(+)

commit 380613866ca852b07e01262e8083787c2a9231f6
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sat Jan 14 04:27:27 2012 +0100

    Restore accelerator group in Glade file
    
    It got removed by accident in commit
    c85b89afdd880b7a6aac42f953bab83d3938a4a3 "Port more of the Project properties dialog to Glade"

 data/geany.glade |   32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 5cc8a96d440274c15f50228ee55461fb557cee3e
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jan 12 00:33:50 2012 +0100

    Do not show document change notification dialog when MRU switch is in progress
    
    When switching between MRU documents, Geany pops up a dialog about
    document change even for the intermediate non-final documents.
    This leads to both reload dialog and document switch dialog displayed
    at the same time and termination of document switching because the
    newly displayed dialog takes focus.
    
    This patch disables reload checks for the intermediate documents and
    forces reload check for the final document.

 src/document.c |    3 ++-
 src/notebook.c |   12 +++++++++++-
 src/notebook.h |    4 ++++
 3 files changed, 17 insertions(+), 2 deletions(-)

commit ec6798d7614437d162ccab701ac690d6bb81be5f
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 11 23:30:10 2012 +0100

    Do not ignore system() return value to eliminate compiler warning

 tagmanager/tm_workspace.c |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 73f345eb09e52a195f823d6e28bc52702b735388
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jul 24 01:29:15 2010 +0200

    Use standard include paths for "open selected file"
    
    Under linux, try to locate the file with the given
    name also under /usr/local/include and /usr/include.
    This feature is probably most often used for
    opening include files so this helps for the system
    ones.
    
    In addition, fix locale/utf8 encoding usage.

 src/callbacks.c |   22 ++++++++++++++++++----
 1 file changed, 18 insertions(+), 4 deletions(-)

commit d4b2b89d009aa8c5314a86450ea13190f4a20241
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Aug 14 00:24:42 2010 +0200

    Maybe != may be

 src/editor.c |    4 ++--
 src/search.c |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 214367906c2548abe07999f3816a85f1aaf5b548
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Tue Jan 10 15:28:43 2012 +0000

    Regenerate manual for Project Keybindings change

 doc/geany.html |  321 +++++++++++++++++++++++++++++++-------------------------
 1 file changed, 178 insertions(+), 143 deletions(-)

commit 8a928956a42c684476dbfb47fdeaa0989b0626a1
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Jan 9 16:43:14 2012 +0000

    Fix project dialog recreation (oops)
    
    Remove memset - rely on static data to be zeroed.

 src/project.c |    2 --
 1 file changed, 2 deletions(-)

commit 5288dbe5d356d84feedc7b9cbd86e6b16012de0d
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Jan 9 16:35:29 2012 +0000

    Add Project New, Close keybindings

 doc/geany.txt     |    4 +++-
 src/keybindings.c |   11 +++++++++++
 src/keybindings.h |    2 ++
 3 files changed, 16 insertions(+), 1 deletion(-)

commit 1fcff6f7bfaf5bb8c24bc896793e3d4a4a1e69ff
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Jan 9 15:58:10 2012 +0000

    Fix unused variable warning

 src/ui_utils.c |    1 -
 1 file changed, 1 deletion(-)

commit fa3b07bcff4f4b40b22ef9a4f2fe3ed1e823c1d5
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Mon Jan 9 15:56:59 2012 +0000

    Fix missing initializers warning on = {0}

 src/project.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 0755b44db1a238a65d7b3cec7f8b11430c8b2f1e
Merge: ca922e0 31bc70d
Author: Matthew Brush <matt@geany.org>
Date:   Sun Jan 8 15:58:37 2012 -0800

    Merge branch 'project-dialog-fix'

commit ca922e0ddc8022283ec3c1f49aaa15ab7c5ba213
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jan 8 23:21:52 2012 +0100

    Remove duplicated lists and name them more sensibly

 data/geany.glade |   94 +++++++-----------------------------------------------
 1 file changed, 11 insertions(+), 83 deletions(-)

commit 2077347b3497706b844d105c81af5437f3be13de
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jan 8 23:12:09 2012 +0100

    Remove empty rows at the end of some lists

 data/geany.glade |    9 ---------
 1 file changed, 9 deletions(-)

commit aa96bc2cbfab0a8033d0ed600541c2d2e0c767bb
Author: Colomban Wendling <ban@herbesfolles.org>
Date:   Sun Jan 8 22:55:28 2012 +0100

    Add missing ComboBox cell renderers in Glade rather than manually
    
    This also fixes the duplicated renderers when there was already one
    in Glade, and a second one got added manually.

 data/geany.glade |   18 ++++++++++++++++++
 src/ui_utils.c   |   10 ----------
 2 files changed, 18 insertions(+), 10 deletions(-)

commit 31bc70d0f3f0d3854627aad6b2874950d1edcede
Author: Matthew Brush <matt@geany.org>
Date:   Sun Jan 8 11:48:54 2012 -0800

    Fix one-off leak by allocating PropertyDialogElements on the stack
    
    Also prevents following a whole code path for nothing, by only calling
    create_properties_dialog() once per run.

 src/project.c |   53 +++++++++++++++++++++++++----------------------------
 1 file changed, 25 insertions(+), 28 deletions(-)

commit 6968a1a957f8c4d71ea9edc126e6af1ace996502
Author: Matthew Brush <matt@geany.org>
Date:   Sun Jan 8 11:34:27 2012 -0800

    Make it so project properties form errors can be corrected (oops)
    
    Was broken during last commit.

 src/project.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit c85b89afdd880b7a6aac42f953bab83d3938a4a3
Author: Matthew Brush <matt@geany.org>
Date:   Tue Dec 27 23:12:10 2011 -0800

    Port more of the Project properties dialog to Glade
    
    Fixes issue where dialog was being destroyed and would not show 2nd time.

 data/geany.glade |  897 +++++++++++++++++++++++++++++++++---------------------
 src/project.c    |  197 ++++++------
 2 files changed, 635 insertions(+), 459 deletions(-)

commit 3cb3826aad3e110f5309816e65394249369f24e7
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun Jan 8 17:51:30 2012 +0000

    Fix using 'All files' instead of 'None' in Open dialogs (Windows)

 src/win32.c |    6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit eb04c514bab87af60f01ae3c8e9ee1d3fd9bccf8
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun Jan 8 17:37:58 2012 +0000

    Add API function ui_lookup_stock_label()
    
    Using this can avoid adding i18n strings unnecessarily.

 plugins/geanyfunctions.h |    2 ++
 plugins/splitwindow.c    |   14 +-------------
 src/keybindings.c        |    3 ++-
 src/plugindata.h         |    1 +
 src/plugins.c            |    3 ++-
 src/ui_utils.c           |   16 ++++++++++++++++
 src/ui_utils.h           |    2 ++
 7 files changed, 26 insertions(+), 15 deletions(-)

commit 8f44132dcd0835c00a57b4eb04ce1b4f7a8a6305
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun Jan 8 17:14:04 2012 +0000

    Add 'Open Project' keybinding

 doc/geany.txt     |   10 ++++++++++
 src/keybindings.c |    5 +++++
 src/keybindings.h |    1 +
 3 files changed, 16 insertions(+)

commit 6935af0485122e7092ee6d840658c6017836f713
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Sun Jan 8 14:33:26 2012 +0000

    Fix showing calltips for single character tags

 src/editor.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 85b5e08c471c505b59218b1a94df9b95a01cca06
Author: Enrico Tröger <enrico.troeger@uvena.de>
Date:   Sun Jan 8 13:44:21 2012 +0100

    Recognize #!/bin/dash as shebang for Shell files (closes #3470986)

 src/filetypes.c |    2 ++
 1 file changed, 2 insertions(+)

commit 5b02efb6f88a7689ff18905bdbaf620b87276d82
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Jan 6 13:39:26 2012 +0000

    Separate interfaces and structs in the symbol list

 src/symbols.c        |   17 +++++++++++------
 tagmanager/fortran.c |    2 +-
 2 files changed, 12 insertions(+), 7 deletions(-)

commit 296ecadf459876efb6262a93cba0bb64ab99be77
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Fri Jan 6 12:48:08 2012 +0000

    Parse D parameterized template body

 tagmanager/c.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 40499d75111e708513ba6f7d67a5a2a85b9d85b0
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jan 4 16:41:32 2012 +0000

    Parse D template blocks
    
    Note: they are listed under Module in the symbol list.

 tagmanager/c.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 39ff492e4b47e1ab2120a16339536ada555fc28c
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jan 4 16:08:38 2012 +0000

    Show D struct constructor calltips also

 src/editor.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7aa5d9516d4d72dcc634aca14984b6ab0ced4b99
Author: Nick Treleaven <nick.treleaven@btinternet.com>
Date:   Wed Jan 4 15:57:45 2012 +0000

    Parse D class, struct, interface template bodies
    
    Previously they were parsed as functions.

 tagmanager/c.c |   12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 6c31ed4bc0ae52282ae8c696ee8c80ec5c352be6
Author: Matthew Brush <matt@geany.org>
Date:   Tue Jan 3 10:21:09 2012 -0800

    Re-highlight type keywords on notebook page switch

 src/callbacks.c |    1 +
 src/document.c  |   17 ++++++++++++-----
 src/document.h  |    2 ++
 3 files changed, 15 insertions(+), 5 deletions(-)

